#! /usr/local/bin/perl
&fixMake(".");

sub fixMake {
    my (@allfiles);
    my ($curdir) = @_;

    opendir THISDIR, $curdir or die "serious dainbramage: $!";
    @allfiles = grep -d, map "$curdir/$_", grep !/^\.\.?$/, readdir THISDIR;
    closedir THISDIR;

    foreach $file (@allfiles){
	&fixMake($file);
    }
    if(open MAKEIN, "$curdir/Makefile.in"){
	unless (open MAKEOUT, ">$curdir/Makefile.tmp"){
	    print "Failed to make temporary Makefile: $!";
	    close(MAKEIN);
	    exit;
	}
	while (<MAKEIN>){
	    if(/DEPS_MAGIC/){
		foreach $i (1..2){
		    $waste = <MAKEIN>;
		}
		next;
	    }
	    if(/%\.o: %\.c/){
		foreach $i (1..8){
		    $waste = <MAKEIN>;
		}
		print MAKEOUT ".c.o:\n";
		print MAKEOUT "\t\$(COMPILE) -c \$<\n\n";
		next;
	    }
	    print MAKEOUT $_;
	}
	close(MAKEIN);
	close(MAKEOUT);
	rename("$curdir/Makefile.tmp", "$curdir/Makefile.in");
    }
}
