/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef	LNKnet_main_HEADER
#define	LNKnet_main_HEADER

/*
 * LNKnet_main_ui.h - User interface object and function declarations.
 * This file contains a structure for warning glyphs used on LNKnet windows
*/
typedef struct {
    Xv_opaque LNKnet_warning_pic;
    Xv_opaque LNKnet_blank_pic;
    Xv_opaque small_warning_pic;
    Xv_opaque small_blank_pic;
} lnknet_glyph_objects;

extern lnknet_glyph_objects *lnknet_glyph_objects_initialize();
extern Xv_opaque lnknet_glyphs_LNKnet_warning_pic_create();
extern Xv_opaque lnknet_glyphs_LNKnet_blank_pic_create();
extern Xv_opaque lnknet_glyphs_small_warning_pic_create();
extern Xv_opaque lnknet_glyphs_small_blank_pic_create();
#endif
