;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  470
	:height                 385
	:background-color       ""
	:foreground-color       ""
	:label                  "E and M Clustering Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  470
	:height                 385
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   cluster_by_class
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      16
	:width                  259
	:height                 23
	:value-x                8
	:value-y                16
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gem_clus_cluster_by_class_handler
	:event-handler          nil
	:choices                ("Cluster ignoring class" "Cluster by class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cluster_by_class)
		:when                   (Notify )
		:to                     (popup1 cluster_by_class)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_cluster_by_class_handler)
		)
	)
)
(
	:type                   :setting
	:name                   equal_ncenters
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      48
	:width                  158
	:height                 46
	:value-x                8
	:value-y                48
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gem_clus_equal_ncenters_handler
	:event-handler          nil
	:choices                ("K equal for all classes" "Specify K for each class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 equal_ncenters)
		:when                   (Notify )
		:to                     (popup1 equal_ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_equal_ncenters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ncenters
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      52
	:width                  263
	:height                 15
	:value-x                356
	:value-y                52
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Centers (K):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1024
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_ncenters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters)
		:when                   (Notify )
		:to                     (popup1 ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_ncenters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ncenters_list
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      76
	:width                  240
	:height                 32
	:value-x                192
	:value-y                93
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Centers per class (3,4,10,...):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_ncenters_list_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters_list)
		:when                   (Notify )
		:to                     (popup1 ncenters_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_ncenters_list_handler)
		)
	)
)
(
	:type                   :message
	:name                   total_ncenters_msg
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      112
	:width                  244
	:height                 13
	:foreground-color       ""
	:label                  "This will create a total of N centers."
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   reduce_step
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      132
	:width                  369
	:height                 32
	:value-x                8
	:value-y                149
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Num. of Centers to remove at a time for non-binary K:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_reduce_step_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 reduce_step)
		:when                   (Notify )
		:to                     (popup1 reduce_step)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_reduce_step_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   stop_percentage
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      172
	:width                  361
	:height                 15
	:value-x                305
	:value-y                172
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop when % difference in log likelihood <"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_stop_percentage_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 stop_percentage)
		:when                   (Notify )
		:to                     (popup1 stop_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_stop_percentage_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_iteration
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      200
	:width                  409
	:height                 15
	:value-x                318
	:value-y                200
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Max. iterations after split or center removal:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_max_iteration_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 max_iteration)
		:when                   (Notify )
		:to                     (popup1 max_iteration)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_max_iteration_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   split_percentage
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      228
	:width                  341
	:height                 15
	:value-x                285
	:value-y                228
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Perturb +/- this % stddev on each split:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_split_percentage_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 split_percentage)
		:when                   (Notify )
		:to                     (popup1 split_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_split_percentage_handler)
		)
	)
)
(
	:type                   :setting
	:name                   add_random_offset
	:owner                  controls2
	:help                   ""
	:x                      96
	:y                      248
	:width                  234
	:height                 23
	:value-x                296
	:value-y                248
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Add Random Offset on split:"
	:label-type             :string
	:notify-handler         gem_clus_add_random_offset_handler
	:event-handler          nil
	:choices                ("" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 add_random_offset)
		:when                   (Notify )
		:to                     (popup1 add_random_offset)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_add_random_offset_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   var_spread
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      280
	:width                  290
	:height                 15
	:value-x                234
	:value-y                280
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Variance Multiplier After Splits:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_var_spread_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 var_spread)
		:when                   (Notify )
		:to                     (popup1 var_spread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_var_spread_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   minvar
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      304
	:width                  205
	:height                 15
	:value-x                149
	:value-y                304
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_minvar_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 minvar)
		:when                   (Notify )
		:to                     (popup1 minvar)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_minvar_handler)
		)
	)
)
(
	:type                   :setting
	:name                   use_kmeans
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      328
	:width                  252
	:height                 23
	:value-x                226
	:value-y                328
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Initialize centers with Kmeans"
	:label-type             :string
	:notify-handler         gem_clus_use_kmeans_handler
	:event-handler          nil
	:choices                ("" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 use_kmeans)
		:when                   (Notify )
		:to                     (popup1 use_kmeans)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_use_kmeans_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   kmeans_stop_percentage
	:owner                  controls2
	:help                   ""
	:x                      48
	:y                      360
	:width                  364
	:height                 15
	:value-x                348
	:value-y                360
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop kmeans when % sq. error difference <"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gem_clus_kmeans_stop_percentage_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 kmeans_stop_percentage)
		:when                   (Notify )
		:to                     (popup1 kmeans_stop_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gem_clus_kmeans_stop_percentage_handler)
		)
	)
)
)
