;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  443
	:height                 465
	:background-color       ""
	:foreground-color       ""
	:label                  "GMIX Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   param_controls
	:owner                  param_pop
	:help                   "Set parameters particular to the K Nearest
Neighbor Classifier"
	:x                      0
	:y                      0
	:width                  443
	:height                 465
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   clustering_active
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      8
	:width                  154
	:height                 23
	:value-x                16
	:value-y                8
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ggmix_select_handler
	:event-handler          nil
	:choices                ("Create clusters first" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop clustering_active)
		:when                   (Notify )
		:to                     (param_pop clustering_active)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clustering_algorithm
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      32
	:width                  291
	:height                 23
	:value-x                194
	:value-y                32
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Clustering algorithm:"
	:label-type             :string
	:notify-handler         ggmix_select_handler
	:event-handler          nil
	:choices                ("Kmeans" "E&M Binary Split" "Leader Cluster" "Random" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop clustering_algorithm)
		:when                   (Notify )
		:to                     (param_pop clustering_algorithm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   clustering_parameters
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      56
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clustering Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ggmix_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop clustering_parameters)
		:when                   (Notify )
		:to                     (param_pop clustering_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_btn_handler)
		)
	)
)
(
	:type                   :message
	:name                   cluster_param_fname1
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      80
	:width                  194
	:height                 13
	:foreground-color       ""
	:label                  "Cluster Parameter Filename:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   cluster_param_fname
	:owner                  param_controls
	:help                   ""
	:x                      240
	:y                      80
	:width                  118
	:height                 13
	:foreground-color       ""
	:label                  "X1kmeans.param"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   grand_type
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      104
	:width                  319
	:height                 86
	:value-x                32
	:value-y                121
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Covariance Matrix:"
	:label-type             :string
	:notify-handler         ggmix_select_handler
	:event-handler          nil
	:choices                ("Separate for Each Mixture Component" "Separate for Each Class (Grand per Class)" "Same for All Mixture Components (Grand Overall)" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop grand_type)
		:when                   (Notify )
		:to                     (param_pop grand_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cov_type
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      200
	:width                  281
	:height                 46
	:value-x                32
	:value-y                200
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ggmix_select_handler
	:event-handler          nil
	:choices                ("Diagonal Covariance Matrix (Axis following)" "Full Covariance Matrix (Tilted)" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop cov_type)
		:when                   (Notify )
		:to                     (param_pop cov_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   mix_type
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      256
	:width                  310
	:height                 63
	:value-x                32
	:value-y                273
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Sharing Mixture Components:"
	:label-type             :string
	:notify-handler         ggmix_select_handler
	:event-handler          nil
	:choices                ("Separate Mixture Components for each Class" "Same Mixture Components for All Classes (Tied)" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop mix_type)
		:when                   (Notify )
		:to                     (param_pop mix_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   var_spread
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      344
	:width                  254
	:height                 15
	:value-x                206
	:value-y                344
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Initial Variance Multiplier:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop var_spread)
		:when                   (Notify )
		:to                     (param_pop var_spread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      368
	:width                  283
	:height                 15
	:value-x                224
	:value-y                368
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Maximum Number of Epochs:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop epochs)
		:when                   (Notify )
		:to                     (param_pop epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   stop_percentage
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      392
	:width                  381
	:height                 15
	:value-x                317
	:value-y                392
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop when % difference in log likelihood < "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop stop_percentage)
		:when                   (Notify )
		:to                     (param_pop stop_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_ratio
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      416
	:width                  289
	:height                 15
	:value-x                241
	:value-y                416
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Max. Accepted Eigenvalue Ratio:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop max_ratio)
		:when                   (Notify )
		:to                     (param_pop max_ratio)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_var
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      440
	:width                  205
	:height                 15
	:value-x                157
	:value-y                440
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop min_var)
		:when                   (Notify )
		:to                     (param_pop min_var)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_text_handler)
		)
	)
)
)
