;GIL-3
(
(
	:type                   :menu
	:name                   classifiers
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Classification"
	:menu-item-labels       ("     -- NEURAL NETWORK --" "MLP (Multi-Layer Perceptron)" "RBF (Radial Basis Function)" "IRBF (Incremental RBF)" "       -- LIKELIHOOD --" "GAUSS (Gaussian)" "GMIX (Gaussian Mixture)" "HISTOGRAM" "PARZEN (Parzen Window)" "    -- NEAREST NEIGHBOR --" "KNN (K-Nearest Neighbor)" "CKNN (Condensed KNN)" "NC_CLASS (Nearest Cluster)" "LVQ (Learning Vector Quantizer)" "         -- RULE BASED --" "BINTREE (Binary Tree)" "HYPER (Hypersphere)" "     -- COMBINATIONS --" "COMMITTEE" )
	:menu-item-label-types  (:string :string :string :string :string :string :string :string :string :string :string :string :string :string :string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active :active :active :active :active :active :active :active :active :active :active :active :active :active :active )
	:menu-item-defaults     (nil t nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil )
	:menu-item-handlers     (nil alg_class_handler alg_class_handler alg_class_handler nil alg_class_handler alg_class_handler alg_class_handler alg_class_handler nil alg_class_handler alg_class_handler alg_class_handler alg_class_handler nil alg_class_handler alg_class_handler nil alg_class_handler )
	:menu-item-menus        (nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil nil )
	:menu-item-colors       ("Blue" "" "" "" "Blue" "" "" "" "" "Blue" "" "" "" "" "Blue" "" "" "Blue" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (classifiers "MLP (Multi-Layer Perceptron)")
		:when                   (Notify )
		:to                     (classifiers "MLP (Multi-Layer Perceptron)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "RBF (Radial Basis Function)")
		:when                   (Notify )
		:to                     (classifiers "RBF (Radial Basis Function)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "IRBF (Incremental RBF)")
		:when                   (Notify )
		:to                     (classifiers "IRBF (Incremental RBF)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "HISTOGRAM")
		:when                   (Notify )
		:to                     (classifiers "HISTOGRAM")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "PARZEN (Parzen Window)")
		:when                   (Notify )
		:to                     (classifiers "PARZEN (Parzen Window)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "GAUSS (Gaussian)")
		:when                   (Notify )
		:to                     (classifiers "GAUSS (Gaussian)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "GMIX (Gaussian Mixture)")
		:when                   (Notify )
		:to                     (classifiers "GMIX (Gaussian Mixture)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "KNN (K-Nearest Neighbor)")
		:when                   (Notify )
		:to                     (classifiers "KNN (K-Nearest Neighbor)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "CKNN (Condensed KNN)")
		:when                   (Notify )
		:to                     (classifiers "CKNN (Condensed KNN)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "NC_CLASS (Nearest Cluster)")
		:when                   (Notify )
		:to                     (classifiers "NC_CLASS (Nearest Cluster)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "LVQ (Learning Vector Quantizer)")
		:when                   (Notify )
		:to                     (classifiers "LVQ (Learning Vector Quantizer)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "HYPER (Hypersphere)")
		:when                   (Notify )
		:to                     (classifiers "HYPER (Hypersphere)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "BINTREE (Binary Tree)")
		:when                   (Notify )
		:to                     (classifiers "BINTREE (Binary Tree)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "COMMITTEE")
		:when                   (Notify )
		:to                     (classifiers "COMMITTEE")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
	)
)
(
	:type                   :menu
	:name                   clusters
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Clustering"
	:menu-item-labels       ("KMEANS (K Means Clustering)" "EM_CLUS (GMIX Clustering)" "LEAD_CLUS (Leader Clustering)" "RAN_CLUS (Random Clustering)" )
	:menu-item-label-types  (:string :string :string :string )
	:menu-item-states       (:active :active :active :active )
	:menu-item-defaults     (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:menu-item-handlers     (alg_clus_handler alg_clus_handler alg_clus_handler alg_clus_handler )
	:menu-item-menus        (nil nil nil nil )
	:menu-item-colors       ("" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (clusters "KMEANS (K Means Clustering)")
		:when                   (Notify )
		:to                     (clusters "KMEANS (K Means Clustering)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_clus_handler)
		)
		(
		:from                   (clusters "EM_CLUS (GMIX Clustering)")
		:when                   (Notify )
		:to                     (clusters "EM_CLUS (GMIX Clustering)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_clus_handler)
		)
		(
		:from                   (clusters "LEAD_CLUS (Leader Clustering)")
		:when                   (Notify )
		:to                     (clusters "LEAD_CLUS (Leader Clustering)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_clus_handler)
		)
		(
		:from                   (clusters "RAN_CLUS (Random Clustering)")
		:when                   (Notify )
		:to                     (clusters "RAN_CLUS (Random Clustering)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_clus_handler)
		)
	)
)
(
	:type                   :menu
	:name                   contrib
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Contributed Algorithms"
	:menu-item-labels       ("ARTMAP (Fuzzy ART Map)" )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (nil )
	:initial-selections     (nil )
	:menu-item-handlers     (alg_contrib_handler )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (contrib "ARTMAP (Fuzzy ART Map)")
		:when                   (Notify )
		:to                     (contrib "ARTMAP (Fuzzy ART Map)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_contrib_handler)
		)
	)
)
(
	:type                   :menu
	:name                   alg_groups
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Algorithms"
	:menu-item-labels       ("Classification" "Clustering" "Contributed" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (nil nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (nil nil nil )
	:menu-item-menus        (classifiers clusters contrib )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                ()
)
(
	:type                   :menu
	:name                   quit
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "QUIT"
	:menu-item-labels       ("Cancel" "Quit " )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil quit_handler )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (quit "Quit ")
		:when                   (Notify )
		:to                     (quit "Quit ")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (quit_handler)
		)
	)
)
)
