;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  477
	:height                 443
	:background-color       ""
	:foreground-color       ""
	:label                  "Histogram Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   param_controls
	:owner                  param_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  477
	:height                 443
	:background-color       "White"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   bin_num_msg
	:owner                  param_controls
	:help                   ""
	:x                      8
	:y                      8
	:width                  111
	:height                 13
	:foreground-color       ""
	:label                  "Number of Bins:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   specify_nbins
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      24
	:width                  159
	:height                 46
	:value-x                32
	:value-y                24
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ghistogram_select_handler
	:event-handler          nil
	:choices                ("N bins for all classes" "Specify N for each class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop specify_nbins)
		:when                   (Notify )
		:to                     (param_pop specify_nbins)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   nbins
	:owner                  param_controls
	:help                   ""
	:x                      200
	:y                      24
	:width                  207
	:height                 15
	:value-x                343
	:value-y                24
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Number of Bins (N):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghistogram_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop nbins)
		:when                   (Notify )
		:to                     (param_pop nbins)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   nBinsPerClass
	:owner                  param_controls
	:help                   ""
	:x                      200
	:y                      48
	:width                  240
	:height                 32
	:value-x                200
	:value-y                65
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Bins per Class (3,4,10,...):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghistogram_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop nBinsPerClass)
		:when                   (Notify )
		:to                     (param_pop nBinsPerClass)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   total_nbins_msg
	:owner                  param_controls
	:help                   ""
	:x                      200
	:y                      88
	:width                  263
	:height                 13
	:foreground-color       ""
	:label                  "This will create N bins per dimension."
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   bin_complex_msg
	:owner                  param_controls
	:help                   ""
	:x                      8
	:y                      104
	:width                  122
	:height                 13
	:foreground-color       ""
	:label                  "Separate Bins for:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   grand_bins
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      120
	:width                  260
	:height                 69
	:value-x                32
	:value-y                120
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ghistogram_select_handler
	:event-handler          nil
	:choices                ("Each Class & Input Feature" "Each Input Feature" "Neither (Uniformly Segment Hypercube)" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop grand_bins)
		:when                   (Notify )
		:to                     (param_pop grand_bins)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   grand_msg
	:owner                  param_controls
	:help                   ""
	:x                      304
	:y                      168
	:width                  125
	:height                 13
	:foreground-color       ""
	:label                  "Hypercube Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   user_min
	:owner                  param_controls
	:help                   ""
	:x                      320
	:y                      184
	:width                  141
	:height                 15
	:value-x                397
	:value-y                184
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghistogram_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop user_min)
		:when                   (Notify )
		:to                     (param_pop user_min)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   user_max
	:owner                  param_controls
	:help                   ""
	:x                      320
	:y                      200
	:width                  142
	:height                 15
	:value-x                398
	:value-y                200
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Maximum:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghistogram_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop user_max)
		:when                   (Notify )
		:to                     (param_pop user_max)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   bin_type_msg
	:owner                  param_controls
	:help                   ""
	:x                      8
	:y                      216
	:width                  64
	:height                 13
	:foreground-color       ""
	:label                  "Bin Type:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   bin_type
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      232
	:width                  240
	:height                 46
	:value-x                32
	:value-y                232
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ghistogram_select_handler
	:event-handler          nil
	:choices                ("Equal Width Histogram Bins" "Bins with Equal Numbers of Patterns" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop bin_type)
		:when                   (Notify )
		:to                     (param_pop bin_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   range_factor
	:owner                  param_controls
	:help                   ""
	:x                      8
	:y                      288
	:width                  237
	:height                 15
	:value-x                181
	:value-y                288
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Histogram Range Factor:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghistogram_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop range_factor)
		:when                   (Notify )
		:to                     (param_pop range_factor)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   use_gauss_msg
	:owner                  param_controls
	:help                   ""
	:x                      8
	:y                      312
	:width                  171
	:height                 13
	:foreground-color       ""
	:label                  "Class if Outside all Bins:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   use_gauss
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      328
	:width                  235
	:height                 46
	:value-x                32
	:value-y                328
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ghistogram_select_handler
	:event-handler          nil
	:choices                ("Allow \"Unknown\" Classification" "Use Gaussian to Force Classification" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop use_gauss)
		:when                   (Notify )
		:to                     (param_pop use_gauss)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_var
	:owner                  param_controls
	:help                   ""
	:x                      8
	:y                      384
	:width                  305
	:height                 15
	:value-x                249
	:value-y                384
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance for Gaussians:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghistogram_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop min_var)
		:when                   (Notify )
		:to                     (param_pop min_var)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghistogram_text_handler)
		)
	)
)
)
