;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  277
	:height                 282
	:background-color       ""
	:foreground-color       ""
	:label                  "HYPER Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   base_controls
	:owner                  param_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  277
	:height                 282
	:background-color       "White"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   add_centers_msg
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      8
	:width                  85
	:height                 13
	:foreground-color       ""
	:label                  "Add Centers:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   add_epochs
	:owner                  base_controls
	:help                   ""
	:x                      32
	:y                      24
	:width                  220
	:height                 15
	:value-x                169
	:value-y                24
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Epochs:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghyper_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop add_epochs)
		:when                   (Notify )
		:to                     (param_pop add_epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghyper_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   r_init
	:owner                  base_controls
	:help                   ""
	:x                      32
	:y                      40
	:width                  165
	:height                 15
	:value-x                133
	:value-y                40
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Initial Radius"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghyper_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop r_init)
		:when                   (Notify )
		:to                     (param_pop r_init)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghyper_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   prune
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      64
	:width                  173
	:height                 23
	:value-x                147
	:value-y                64
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Prune to N Centers:"
	:label-type             :string
	:notify-handler         ghyper_select_handler
	:event-handler          nil
	:choices                ("" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop prune)
		:when                   (Notify )
		:to                     (param_pop prune)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghyper_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   prune_type
	:owner                  base_controls
	:help                   ""
	:x                      32
	:y                      88
	:width                  157
	:height                 46
	:value-x                32
	:value-y                88
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ghyper_select_handler
	:event-handler          nil
	:choices                ("ordered by Size" "ordered by Times Used" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop prune_type)
		:when                   (Notify )
		:to                     (param_pop prune_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghyper_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   prune_n
	:owner                  base_controls
	:help                   ""
	:x                      32
	:y                      144
	:width                  161
	:height                 15
	:value-x                110
	:value-y                144
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "N Centers:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         ghyper_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop prune_n)
		:when                   (Notify )
		:to                     (param_pop prune_n)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghyper_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   class_msg
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      184
	:width                  214
	:height                 13
	:foreground-color       ""
	:label                  "Class if Ambiguous or Outside:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   force_class
	:owner                  base_controls
	:help                   ""
	:x                      32
	:y                      200
	:width                  208
	:height                 46
	:value-x                32
	:value-y                200
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ghyper_select_handler
	:event-handler          nil
	:choices                ("Allow \"Unknown\" Classification" "Use NN to Force Classification" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop force_class)
		:when                   (Notify )
		:to                     (param_pop force_class)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ghyper_select_handler)
		)
	)
)
)
