;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  364
	:height                 470
	:background-color       ""
	:foreground-color       ""
	:label                  "IRBF Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  364
	:height                 470
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   clustering_active
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      8
	:width                  154
	:height                 23
	:value-x                8
	:value-y                8
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         girbf_select_handler
	:event-handler          nil
	:choices                ("Create clusters first" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_active)
		:when                   (Notify )
		:to                     (popup1 clustering_active)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clustering_algorithm
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      32
	:width                  291
	:height                 23
	:value-x                178
	:value-y                32
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Clustering algorithm:"
	:label-type             :string
	:notify-handler         girbf_select_handler
	:event-handler          nil
	:choices                ("Kmeans" "E&M Binary Split" "Leader Cluster" "Random" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_algorithm)
		:when                   (Notify )
		:to                     (popup1 clustering_algorithm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   clustering_parameters
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      56
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clustering Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         girbf_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_parameters)
		:when                   (Notify )
		:to                     (popup1 clustering_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_btn_handler)
		)
	)
)
(
	:type                   :message
	:name                   cluster_param_fname1
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      80
	:width                  194
	:height                 13
	:foreground-color       ""
	:label                  "Cluster Parameter Filename:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   cluster_param_fname
	:owner                  controls2
	:help                   ""
	:x                      224
	:y                      80
	:width                  118
	:height                 13
	:foreground-color       ""
	:label                  "X1kmeans.param"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      112
	:width                  252
	:height                 15
	:value-x                145
	:value-y                112
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Epochs:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 epochs)
		:when                   (Notify )
		:to                     (popup1 epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   hspread
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      136
	:width                  294
	:height                 15
	:value-x                238
	:value-y                136
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Training Variance Multiplier (h):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 hspread)
		:when                   (Notify )
		:to                     (popup1 hspread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   extra_hspread
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      152
	:width                  280
	:height                 15
	:value-x                224
	:value-y                152
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Extra Test Variance Multiplier:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 extra_hspread)
		:when                   (Notify )
		:to                     (popup1 extra_hspread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   stepsize_msg
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      176
	:width                  69
	:height                 13
	:foreground-color       ""
	:label                  "Stepsizes:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   weight_eta
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      192
	:width                  216
	:height                 15
	:value-x                176
	:value-y                192
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize for Weights:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 weight_eta)
		:when                   (Notify )
		:to                     (popup1 weight_eta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   mean_eta
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      208
	:width                  291
	:height                 15
	:value-x                251
	:value-y                208
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize for Hidden Unit Means:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 mean_eta)
		:when                   (Notify )
		:to                     (popup1 mean_eta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   var_eta
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      224
	:width                  229
	:height                 15
	:value-x                189
	:value-y                224
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize for Variances:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 var_eta)
		:when                   (Notify )
		:to                     (popup1 var_eta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   grandvar
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      248
	:width                  223
	:height                 63
	:value-x                8
	:value-y                265
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Diagonal Covariance Matrix:"
	:label-type             :string
	:notify-handler         girbf_select_handler
	:event-handler          nil
	:choices                ("Separate for Each Hidden Unit" "Same for All Hidden Units (Grand)" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 grandvar)
		:when                   (Notify )
		:to                     (popup1 grandvar)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cost_func
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      320
	:width                  136
	:height                 63
	:value-x                8
	:value-y                337
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Cost Function:"
	:label-type             :string
	:notify-handler         girbf_select_handler
	:event-handler          nil
	:choices                ("Squared Error" "Top Two Difference" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cost_func)
		:when                   (Notify )
		:to                     (popup1 cost_func)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_param
	:owner                  controls2
	:help                   ""
	:x                      152
	:y                      368
	:width                  162
	:height                 15
	:value-x                234
	:value-y                368
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Steepness:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cost_param)
		:when                   (Notify )
		:to                     (popup1 cost_param)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   bias
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      392
	:width                  165
	:height                 23
	:value-x                8
	:value-y                392
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         girbf_select_handler
	:event-handler          nil
	:choices                ("Constant Output Bias" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 bias)
		:when                   (Notify )
		:to                     (popup1 bias)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_magnitude
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      424
	:width                  264
	:height                 15
	:value-x                208
	:value-y                424
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Maximum of initial weights:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 max_magnitude)
		:when                   (Notify )
		:to                     (popup1 max_magnitude)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_var
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      444
	:width                  205
	:height                 15
	:value-x                149
	:value-y                444
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 min_var)
		:when                   (Notify )
		:to                     (popup1 min_var)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_text_handler)
		)
	)
)
)
