;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  419
	:height                 310
	:background-color       ""
	:foreground-color       ""
	:label                  "LVQ Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  419
	:height                 310
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   clustering_active
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      8
	:width                  154
	:height                 23
	:value-x                8
	:value-y                8
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         glvq_select_handler
	:event-handler          nil
	:choices                ("Create clusters first" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_active)
		:when                   (Notify )
		:to                     (popup1 clustering_active)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clustering_algorithm
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      32
	:width                  291
	:height                 23
	:value-x                178
	:value-y                32
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Clustering algorithm:"
	:label-type             :string
	:notify-handler         glvq_select_handler
	:event-handler          nil
	:choices                ("Kmeans" "E&M Binary Split" "Leader Cluster" "Random" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_algorithm)
		:when                   (Notify )
		:to                     (popup1 clustering_algorithm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   clustering_parameters
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      56
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clustering Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         glvq_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_parameters)
		:when                   (Notify )
		:to                     (popup1 clustering_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_btn_handler)
		)
	)
)
(
	:type                   :message
	:name                   cluster_param_fname1
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      80
	:width                  194
	:height                 13
	:foreground-color       ""
	:label                  "Cluster Parameter Filename:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   cluster_param_fname
	:owner                  controls2
	:help                   ""
	:x                      224
	:y                      80
	:width                  118
	:height                 13
	:foreground-color       ""
	:label                  "X1kmeans.param"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   lvq_type
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      104
	:width                  194
	:height                 40
	:value-x                8
	:value-y                121
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Training Algorithm:"
	:label-type             :string
	:notify-handler         glvq_select_handler
	:event-handler          nil
	:choices                ("OLVQ" "LVQ1" "LVQ2" "LVQ3" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 lvq_type)
		:when                   (Notify )
		:to                     (popup1 lvq_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   n_epochs
	:owner                  controls2
	:help                   "Number of classes in the input data"
	:x                      8
	:y                      152
	:width                  208
	:height                 15
	:value-x                145
	:value-y                152
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Epochs:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         glvq_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 n_epochs)
		:when                   (Notify )
		:to                     (popup1 n_epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   alpha
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      176
	:width                  183
	:height                 15
	:value-x                127
	:value-y                176
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Initial Step Size:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         glvq_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 alpha)
		:when                   (Notify )
		:to                     (popup1 alpha)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   window
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      192
	:width                  255
	:height                 15
	:value-x                199
	:value-y                192
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Window for Distance Ratio:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         glvq_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 window)
		:when                   (Notify )
		:to                     (popup1 window)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   epsilon
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      208
	:width                  337
	:height                 15
	:value-x                281
	:value-y                208
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize Scale for Same Class Centers:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         glvq_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 epsilon)
		:when                   (Notify )
		:to                     (popup1 epsilon)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (glvq_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   alg_help1
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      240
	:width                  371
	:height                 13
	:foreground-color       ""
	:label                  "Closest center moves toward pattern if classes match,"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   alg_help2
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      256
	:width                  201
	:height                 13
	:foreground-color       ""
	:label                  "away from pattern otherwise."
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   alg_help3
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      272
	:width                  227
	:height                 13
	:foreground-color       ""
	:label                  "Each center has its own stepsize."
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   alg_help4
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      288
	:width                  99
	:height                 13
	:foreground-color       ""
	:label                  "usually empty"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
