;GIL-3
(
(
	:type                   :popup-window
	:name                   detect_pop
	:owner                  main_window
	:width                  388
	:height                 312
	:background-color       ""
	:foreground-color       ""
	:label                  "Detection (ROC) Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   detect_line_controls
	:owner                  detect_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  388
	:height                 312
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   target
	:owner                  detect_line_controls
	:help                   ""
	:x                      8
	:y                      16
	:width                  137
	:height                 15
	:value-x                105
	:value-y                16
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Target Class:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop target)
		:when                   (Notify )
		:to                     (detect_pop target)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   target_label
	:owner                  detect_line_controls
	:help                   ""
	:x                      160
	:y                      16
	:width                  38
	:height                 13
	:foreground-color       ""
	:label                  "Label"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   verbose
	:owner                  detect_line_controls
	:help                   ""
	:x                      8
	:y                      40
	:width                  362
	:height                 23
	:value-x                128
	:value-y                40
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Table Verbosity:"
	:label-type             :string
	:notify-handler         detect_select_handler
	:event-handler          nil
	:choices                ("No Table" "Area under ROC curve" "Table for Given False Alarm Rates" "Table with all Plot Data" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop verbose)
		:when                   (Notify )
		:to                     (detect_pop verbose)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_table_begin
	:owner                  detect_line_controls
	:help                   ""
	:x                      40
	:y                      72
	:width                  157
	:height                 15
	:value-x                133
	:value-y                72
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Table Begin:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_table_begin)
		:when                   (Notify )
		:to                     (detect_pop detect_table_begin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_table_end
	:owner                  detect_line_controls
	:help                   ""
	:x                      40
	:y                      88
	:width                  143
	:height                 15
	:value-x                119
	:value-y                88
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Table End:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_table_end)
		:when                   (Notify )
		:to                     (detect_pop detect_table_end)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_table_step
	:owner                  detect_line_controls
	:help                   ""
	:x                      40
	:y                      104
	:width                  148
	:height                 15
	:value-x                124
	:value-y                104
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Table Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_table_step)
		:when                   (Notify )
		:to                     (detect_pop detect_table_step)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   detect_axes_limits
	:owner                  detect_line_controls
	:help                   ""
	:x                      8
	:y                      128
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   detect_xmin
	:owner                  detect_line_controls
	:help                   ""
	:x                      24
	:y                      152
	:width                  114
	:height                 15
	:value-x                74
	:value-y                152
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_xmin)
		:when                   (Notify )
		:to                     (detect_pop detect_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_xmax
	:owner                  detect_line_controls
	:help                   ""
	:x                      24
	:y                      176
	:width                  115
	:height                 15
	:value-x                75
	:value-y                176
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_xmax)
		:when                   (Notify )
		:to                     (detect_pop detect_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_xstep
	:owner                  detect_line_controls
	:help                   ""
	:x                      24
	:y                      202
	:width                  118
	:height                 15
	:value-x                78
	:value-y                202
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_xstep)
		:when                   (Notify )
		:to                     (detect_pop detect_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :group
	:name                   group1
	:x                      24
	:y                      152
	:group-type             nil
	:members                (detect_xmin detect_xmax detect_xstep )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   detect_ymin
	:owner                  detect_line_controls
	:help                   ""
	:x                      156
	:y                      152
	:width                  114
	:height                 15
	:value-x                206
	:value-y                152
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_ymin)
		:when                   (Notify )
		:to                     (detect_pop detect_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_ymax
	:owner                  detect_line_controls
	:help                   ""
	:x                      156
	:y                      176
	:width                  115
	:height                 15
	:value-x                207
	:value-y                176
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_ymax)
		:when                   (Notify )
		:to                     (detect_pop detect_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   detect_ystep
	:owner                  detect_line_controls
	:help                   ""
	:x                      156
	:y                      202
	:width                  118
	:height                 15
	:value-x                210
	:value-y                202
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_ystep)
		:when                   (Notify )
		:to                     (detect_pop detect_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :group
	:name                   group2
	:x                      156
	:y                      152
	:group-type             nil
	:members                (detect_ymin detect_ymax detect_ystep )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   detect_reject
	:owner                  detect_line_controls
	:help                   ""
	:x                      8
	:y                      232
	:width                  272
	:height                 15
	:value-x                216
	:value-y                232
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Fraction of Patterns to Reject:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         detect_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (detect_pop detect_reject)
		:when                   (Notify )
		:to                     (detect_pop detect_reject)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (detect_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   detect_plot_label1
	:owner                  detect_line_controls
	:help                   ""
	:x                      8
	:y                      256
	:width                  71
	:height                 13
	:foreground-color       ""
	:label                  "Plot Label:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   detect_plot_label
	:owner                  detect_line_controls
	:help                   ""
	:x                      96
	:y                      256
	:width                  95
	:height                 13
	:foreground-color       ""
	:label                  "Detection Plot"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   detect_plot_file1
	:owner                  detect_line_controls
	:help                   ""
	:x                      8
	:y                      280
	:width                  99
	:height                 13
	:foreground-color       ""
	:label                  "Plot file name:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   detect_plot_file
	:owner                  detect_line_controls
	:help                   ""
	:x                      136
	:y                      280
	:width                  118
	:height                 13
	:foreground-color       ""
	:label                  "X1mlp.detect.plot"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
