;GIL-3
(
(
	:type                   :popup-window
	:name                   reject_pop
	:owner                  main_window
	:width                  391
	:height                 275
	:background-color       ""
	:foreground-color       ""
	:label                  "Rejection Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   reject_line_controls
	:owner                  reject_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  391
	:height                 275
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   verbose
	:owner                  reject_line_controls
	:help                   ""
	:x                      8
	:y                      8
	:width                  227
	:height                 23
	:value-x                8
	:value-y                8
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         reject_select_handler
	:event-handler          nil
	:choices                ("No Table" "Table for Given Rejection Rates" "Table with all Plot Data" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:choice-defaults        (nil nil nil )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop verbose)
		:when                   (Notify )
		:to                     (reject_pop verbose)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_table_begin
	:owner                  reject_line_controls
	:help                   ""
	:x                      32
	:y                      32
	:width                  157
	:height                 15
	:value-x                125
	:value-y                32
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Table Begin:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_table_begin)
		:when                   (Notify )
		:to                     (reject_pop reject_table_begin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_table_end
	:owner                  reject_line_controls
	:help                   ""
	:x                      32
	:y                      48
	:width                  143
	:height                 15
	:value-x                111
	:value-y                48
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Table End:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_table_end)
		:when                   (Notify )
		:to                     (reject_pop reject_table_end)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_table_step
	:owner                  reject_line_controls
	:help                   ""
	:x                      32
	:y                      64
	:width                  148
	:height                 15
	:value-x                116
	:value-y                64
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Table Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_table_step)
		:when                   (Notify )
		:to                     (reject_pop reject_table_step)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   sum_to_one
	:owner                  reject_line_controls
	:help                   ""
	:x                      8
	:y                      88
	:width                  242
	:height                 23
	:value-x                8
	:value-y                88
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         reject_select_handler
	:event-handler          nil
	:choices                ("Normalize Outputs to Sum to One" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop sum_to_one)
		:when                   (Notify )
		:to                     (reject_pop sum_to_one)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   reject_axes_limits
	:owner                  reject_line_controls
	:help                   ""
	:x                      8
	:y                      120
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   reject_xmin
	:owner                  reject_line_controls
	:help                   ""
	:x                      24
	:y                      144
	:width                  114
	:height                 15
	:value-x                74
	:value-y                144
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_xmin)
		:when                   (Notify )
		:to                     (reject_pop reject_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_xmax
	:owner                  reject_line_controls
	:help                   ""
	:x                      24
	:y                      168
	:width                  115
	:height                 15
	:value-x                75
	:value-y                168
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_xmax)
		:when                   (Notify )
		:to                     (reject_pop reject_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_xstep
	:owner                  reject_line_controls
	:help                   ""
	:x                      24
	:y                      194
	:width                  118
	:height                 15
	:value-x                78
	:value-y                194
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_xstep)
		:when                   (Notify )
		:to                     (reject_pop reject_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :group
	:name                   group1
	:x                      24
	:y                      144
	:group-type             nil
	:members                (reject_xmin reject_xmax reject_xstep )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   reject_ymin
	:owner                  reject_line_controls
	:help                   ""
	:x                      156
	:y                      144
	:width                  114
	:height                 15
	:value-x                206
	:value-y                144
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_ymin)
		:when                   (Notify )
		:to                     (reject_pop reject_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_ymax
	:owner                  reject_line_controls
	:help                   ""
	:x                      156
	:y                      168
	:width                  115
	:height                 15
	:value-x                207
	:value-y                168
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_ymax)
		:when                   (Notify )
		:to                     (reject_pop reject_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reject_ystep
	:owner                  reject_line_controls
	:help                   ""
	:x                      156
	:y                      194
	:width                  118
	:height                 15
	:value-x                210
	:value-y                194
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         reject_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (reject_pop reject_ystep)
		:when                   (Notify )
		:to                     (reject_pop reject_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reject_text_handler)
		)
	)
)
(
	:type                   :group
	:name                   group2
	:x                      156
	:y                      144
	:group-type             nil
	:members                (reject_ymin reject_ymax reject_ystep )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   reject_plot_label1
	:owner                  reject_line_controls
	:help                   ""
	:x                      8
	:y                      232
	:width                  71
	:height                 13
	:foreground-color       ""
	:label                  "Plot Label:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   reject_plot_label
	:owner                  reject_line_controls
	:help                   ""
	:x                      88
	:y                      232
	:width                  112
	:height                 13
	:foreground-color       ""
	:label                  "Reject plot label"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   reject_plot_file2
	:owner                  reject_line_controls
	:help                   ""
	:x                      8
	:y                      256
	:width                  99
	:height                 13
	:foreground-color       ""
	:label                  "Plot file name:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   reject_plot_file
	:owner                  reject_line_controls
	:help                   ""
	:x                      120
	:y                      256
	:width                  96
	:height                 13
	:foreground-color       ""
	:label                  "Plot file name"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
