;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  498
	:height                 166
	:background-color       ""
	:foreground-color       ""
	:label                  "Random Clustering Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  498
	:height                 166
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   cluster_by_class
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      16
	:width                  259
	:height                 23
	:value-x                8
	:value-y                16
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gran_clus_cluster_by_class_handler
	:event-handler          nil
	:choices                ("Cluster ignoring class" "Cluster by class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cluster_by_class)
		:when                   (Notify )
		:to                     (popup1 cluster_by_class)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gran_clus_cluster_by_class_handler)
		)
	)
)
(
	:type                   :setting
	:name                   equal_ncenters
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      52
	:width                  203
	:height                 46
	:value-x                16
	:value-y                52
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gran_clus_equal_ncenters_handler
	:event-handler          nil
	:choices                ("Ncenters equal for all classes" "Specify Ncenters for each class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 equal_ncenters)
		:when                   (Notify )
		:to                     (popup1 equal_ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gran_clus_equal_ncenters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ncenters
	:owner                  controls2
	:help                   ""
	:x                      224
	:y                      56
	:width                  237
	:height                 15
	:value-x                362
	:value-y                56
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Centers"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gran_clus_ncenters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters)
		:when                   (Notify )
		:to                     (popup1 ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gran_clus_ncenters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ncenters_list
	:owner                  controls2
	:help                   ""
	:x                      224
	:y                      76
	:width                  240
	:height                 32
	:value-x                224
	:value-y                93
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Ncenters by class (5,1,2,...):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gran_clus_ncenters_list_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters_list)
		:when                   (Notify )
		:to                     (popup1 ncenters_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gran_clus_ncenters_list_handler)
		)
	)
)
(
	:type                   :message
	:name                   total_ncenters_msg
	:owner                  controls2
	:help                   ""
	:x                      224
	:y                      112
	:width                  244
	:height                 13
	:foreground-color       ""
	:label                  "This will create a total of N centers."
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   ran_msg1
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      128
	:width                  185
	:height                 13
	:foreground-color       ""
	:label                  "To Select Random Patterns:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   ran_msg2
	:owner                  controls2
	:help                   ""
	:x                      40
	:y                      144
	:width                  376
	:height                 13
	:foreground-color       ""
	:label                  "Select Random Presentation Order on the Main Window"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
