;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  534
	:height                 305
	:background-color       ""
	:foreground-color       ""
	:label                  "MLPM Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  534
	:height                 305
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      12
	:width                  375
	:height                 15
	:value-x                268
	:value-y                12
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "# of Epochs (cycles through all data):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_epochs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 epochs)
		:when                   (Notify )
		:to                     (popup1 epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_epochs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   layers
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      32
	:width                  511
	:height                 15
	:value-x                279
	:value-y                32
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Nodes/Layer (input,hidden,. . . ,output):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_layers_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 layers)
		:when                   (Notify )
		:to                     (popup1 layers)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_layers_handler)
		)
	)
)
(
	:type                   :message
	:name                   parameters_header
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      56
	:width                  92
	:height                 13
	:foreground-color       ""
	:label                  "PARAMETERS:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   weight_update
	:owner                  controls2
	:help                   ""
	:x                      228
	:y                      56
	:width                  279
	:height                 86
	:value-x                228
	:value-y                73
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Weight update mode:"
	:label-type             :string
	:notify-handler         gmlpm_weight_update_handler
	:event-handler          nil
	:choices                ("Update weights after each trial (no batch)" "Update weights after each epoch (all trials)" "Variable weight update" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 weight_update)
		:when                   (Notify )
		:to                     (popup1 weight_update)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_weight_update_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   etta
	:owner                  controls2
	:help                   ""
	:x                      32
	:y                      76
	:width                  153
	:height                 15
	:value-x                105
	:value-y                76
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Step size:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_etta_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 etta)
		:when                   (Notify )
		:to                     (popup1 etta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_etta_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   momentum
	:owner                  controls2
	:help                   ""
	:x                      32
	:y                      100
	:width                  168
	:height                 15
	:value-x                120
	:value-y                100
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Momentum:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_alpha_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 momentum)
		:when                   (Notify )
		:to                     (popup1 momentum)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_alpha_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   tolerance
	:owner                  controls2
	:help                   ""
	:x                      32
	:y                      122
	:width                  159
	:height                 15
	:value-x                111
	:value-y                122
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Tolerance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_tolerance_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 tolerance)
		:when                   (Notify )
		:to                     (popup1 tolerance)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_tolerance_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   decay
	:owner                  controls2
	:help                   ""
	:x                      32
	:y                      144
	:width                  132
	:height                 15
	:value-x                84
	:value-y                144
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Decay:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_decay_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 decay)
		:when                   (Notify )
		:to                     (popup1 decay)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_decay_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   batch
	:owner                  controls2
	:help                   ""
	:x                      252
	:y                      152
	:width                  263
	:height                 32
	:value-x                252
	:value-y                169
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Batch size (first,maximum,epoch incr):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_batch_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 batch)
		:when                   (Notify )
		:to                     (popup1 batch)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_batch_handler)
		)
	)
)
(
	:type                   :setting
	:name                   ofunction
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      192
	:width                  149
	:height                 86
	:value-x                24
	:value-y                209
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Output Node Function"
	:label-type             :string
	:notify-handler         gmlpm_ofunction_handler
	:event-handler          nil
	:choices                ("Standard Sigmoid" "Symetric Sigmoid" "Linear" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ofunction)
		:when                   (Notify )
		:to                     (popup1 ofunction)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_ofunction_handler)
		)
	)
)
(
	:type                   :setting
	:name                   mas_flag
	:owner                  controls2
	:help                   ""
	:x                      224
	:y                      204
	:width                  221
	:height                 40
	:value-x                224
	:value-y                221
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "ALGORITHM OPTIONS:"
	:label-type             :string
	:notify-handler         gmlpm_mas_handler
	:event-handler          nil
	:choices                ("Multiple Adapt. Stepsize (MAS)" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 mas_flag)
		:when                   (Notify )
		:to                     (popup1 mas_flag)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_mas_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   kappa
	:owner                  controls2
	:help                   ""
	:x                      248
	:y                      252
	:width                  173
	:height                 15
	:value-x                341
	:value-y                252
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "MAS incr (+):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_kappa_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 kappa)
		:when                   (Notify )
		:to                     (popup1 kappa)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_kappa_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   epsilon
	:owner                  controls2
	:help                   ""
	:x                      248
	:y                      272
	:width                  173
	:height                 15
	:value-x                341
	:value-y                272
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "MAS decr (*):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlpm_epsilon_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 epsilon)
		:when                   (Notify )
		:to                     (popup1 epsilon)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlpm_epsilon_handler)
		)
	)
)
)
