;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  443
	:height                 465
	:background-color       ""
	:foreground-color       ""
	:label                  "GMIX Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   param_controls
	:owner                  param_pop
	:help                   "Set parameters particular to the K Nearest
Neighbor Classifier"
	:x                      0
	:y                      0
	:width                  443
	:height                 465
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   clustering_active
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      24
	:width                  154
	:height                 23
	:value-x                16
	:value-y                24
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         ggmix_create_clusters_handler
	:event-handler          nil
	:choices                ("Create clusters first" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop clustering_active)
		:when                   (Notify )
		:to                     (param_pop clustering_active)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_create_clusters_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clustering_algorithm
	:owner                  param_controls
	:help                   ""
	:x                      52
	:y                      52
	:width                  291
	:height                 23
	:value-x                206
	:value-y                52
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Clustering algorithm:"
	:label-type             :string
	:notify-handler         ggmix_cluster_algorithm_handler
	:event-handler          nil
	:choices                ("Kmeans" "E&M Binary Split" "Leader Cluster" "Random" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop clustering_algorithm)
		:when                   (Notify )
		:to                     (param_pop clustering_algorithm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_cluster_algorithm_handler)
		)
	)
)
(
	:type                   :button
	:name                   clustering_parameters
	:owner                  param_controls
	:help                   ""
	:x                      52
	:y                      80
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clustering Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ggmix_cluster_parameters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop clustering_parameters)
		:when                   (Notify )
		:to                     (param_pop clustering_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_cluster_parameters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cluster_param_fname
	:owner                  param_controls
	:help                   ""
	:x                      52
	:y                      108
	:width                  304
	:height                 32
	:value-x                52
	:value-y                125
	:value-length           38
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Cluster Parameter Filename:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_cluster_param_fname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop cluster_param_fname)
		:when                   (Notify )
		:to                     (param_pop cluster_param_fname)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_cluster_param_fname_handler)
		)
	)
)
(
	:type                   :setting
	:name                   mix_type
	:owner                  param_controls
	:help                   ""
	:x                      24
	:y                      160
	:width                  93
	:height                 40
	:value-x                24
	:value-y                177
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Mixture Type:"
	:label-type             :string
	:notify-handler         ggmix_mix_type_handler
	:event-handler          nil
	:choices                ("Class" "Tied" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop mix_type)
		:when                   (Notify )
		:to                     (param_pop mix_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_mix_type_handler)
		)
	)
)
(
	:type                   :setting
	:name                   grand_type
	:owner                  param_controls
	:help                   ""
	:x                      216
	:y                      172
	:width                  162
	:height                 86
	:value-x                216
	:value-y                189
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Grand Covariance Type:"
	:label-type             :string
	:notify-handler         ggmix_grand_type_handler
	:event-handler          nil
	:choices                ("Per Mixture Component" "Grand Per Class" "Grand Overall" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop grand_type)
		:when                   (Notify )
		:to                     (param_pop grand_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_grand_type_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cov_type
	:owner                  param_controls
	:help                   ""
	:x                      20
	:y                      224
	:width                  155
	:height                 63
	:value-x                20
	:value-y                241
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Covariace Matrix Type:"
	:label-type             :string
	:notify-handler         ggmix_cov_type_handler
	:event-handler          nil
	:choices                ("Diagonal" "Full Covariance" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop cov_type)
		:when                   (Notify )
		:to                     (param_pop cov_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_cov_type_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      304
	:width                  284
	:height                 32
	:value-x                16
	:value-y                321
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Maximum number of cycles through data:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_epochs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop epochs)
		:when                   (Notify )
		:to                     (param_pop epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_epochs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   stop_percentage
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      352
	:width                  381
	:height                 15
	:value-x                317
	:value-y                352
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop when % difference in log likelihood < "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_stop_percentage_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop stop_percentage)
		:when                   (Notify )
		:to                     (param_pop stop_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_stop_percentage_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_var
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      380
	:width                  205
	:height                 15
	:value-x                157
	:value-y                380
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_min_var_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop min_var)
		:when                   (Notify )
		:to                     (param_pop min_var)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_min_var_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_ratio
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      404
	:width                  289
	:height                 15
	:value-x                241
	:value-y                404
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Max. Accepted Eigenvalue Ratio:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_max_ratio_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop max_ratio)
		:when                   (Notify )
		:to                     (param_pop max_ratio)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_max_ratio_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   var_spread
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      428
	:width                  254
	:height                 15
	:value-x                206
	:value-y                428
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Initial Variance Multiplier:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ggmix_var_spread_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop var_spread)
		:when                   (Notify )
		:to                     (param_pop var_spread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ggmix_var_spread_handler)
		)
	)
)
)
