;GIL-3
(
(
	:type                   :popup-window
	:name                   select_pop
	:owner                  main_window
	:width                  621
	:height                 497
	:background-color       ""
	:foreground-color       ""
	:label                  "Feature Selection"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   select_controls
	:owner                  select_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  621
	:height                 303
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   select_type
	:owner                  select_controls
	:help                   ""
	:x                      20
	:y                      12
	:width                  117
	:height                 86
	:value-x                20
	:value-y                29
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Selection Method"
	:label-type             :string
	:notify-handler         select_3_handler
	:event-handler          nil
	:choices                ("All Features" "First N               " "Check by Hand" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_type)
		:when                   (Notify )
		:to                     (select_pop select_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_3_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_n
	:owner                  select_controls
	:help                   ""
	:x                      144
	:y                      56
	:width                  96
	:height                 15
	:value-x                165
	:value-y                56
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "N:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_n)
		:when                   (Notify )
		:to                     (select_pop select_n)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_feature_list
	:owner                  select_controls
	:help                   ""
	:x                      144
	:y                      80
	:width                  418
	:height                 15
	:value-x                258
	:value-y                80
	:value-length           38
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Features: (0,1,2)"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_feature_list)
		:when                   (Notify )
		:to                     (select_pop select_feature_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_2_handler)
		)
	)
)
(
	:type                   :message
	:name                   feature_labels1
	:owner                  select_controls
	:help                   ""
	:x                      16
	:y                      112
	:width                  104
	:height                 13
	:foreground-color       ""
	:label                  "Feature Labels:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   feature_labels
	:owner                  select_controls
	:help                   ""
	:x                      128
	:y                      112
	:width                  101
	:height                 13
	:foreground-color       ""
	:label                  "Feature Labels"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_warning
	:owner                  select_controls
	:help                   ""
	:x                      16
	:y                      128
	:width                  64
	:height                 64
	:foreground-color       ""
	:label                  "blank.icon"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_error_message
	:owner                  select_controls
	:help                   ""
	:x                      104
	:y                      144
	:width                  98
	:height                 13
	:foreground-color       ""
	:label                  "Error Message"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   window_width
	:owner                  select_controls
	:help                   ""
	:x                      24
	:y                      208
	:width                  171
	:height                 15
	:value-x                131
	:value-y                208
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Window Width:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop window_width)
		:when                   (Notify )
		:to                     (select_pop window_width)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   window_frames
	:owner                  select_controls
	:help                   ""
	:x                      24
	:y                      232
	:width                  320
	:height                 32
	:value-x                24
	:value-y                249
	:value-length           40
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Frames to use within window:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop window_frames)
		:when                   (Notify )
		:to                     (select_pop window_frames)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_2_handler)
		)
	)
)
(
	:type                   :message
	:name                   window_msg
	:owner                  select_controls
	:help                   ""
	:x                      16
	:y                      280
	:width                  186
	:height                 13
	:foreground-color       ""
	:label                  "Selected Frames in Window"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :canvas-pane
	:name                   canvas1
	:owner                  select_pop
	:help                   ""
	:x                      0
	:y                      303
	:width                  621
	:height                 194
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:draggable              nil
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:horizontal-scrollbar   nil
	:scrollable-width       621
	:vertical-scrollbar     nil
	:scrollable-height      194
	:repaint-proc           select_draw_windowing
	:event-handler          select_canvas_handler
	:drawing-model          :xwindows
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop canvas1)
		:when                   (Repaint )
		:to                     (select_pop canvas1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_draw_windowing)
		)
		(
		:from                   (select_pop canvas1)
		:when                   (AnyEvent )
		:to                     (select_pop canvas1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_canvas_handler)
		)
	)
)
)
