;GIL-2
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  470
	:height                 295
	:background-color       ""
	:foreground-color       ""
	:label                  "Kmeans Parameters"
	:label-type             :string
	:mapped                 nil
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  470
	:height                 295
	:background-color       "white"
	:foreground-color       ""
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :setting
	:name                   cluster_by_class
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      16
	:width                  268
	:height                 23
	:value-x                17
	:value-y                16
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:rows                   1
	:columns                0
	:label                  ""
	:label-type             :string
	:notify-handler         gkmeans_cluster_by_class_handler
	:event-handler          nil
	:events                 ()
	:choices                ("Cluster ignoring class" "Cluster by class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:user-data              ()
)
(
	:type                   :setting
	:name                   equal_ncenters
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      48
	:width                  167
	:height                 46
	:value-x                17
	:value-y                48
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:rows                   0
	:columns                1
	:label                  ""
	:label-type             :string
	:notify-handler         gkmeans_equal_ncenters_handler
	:event-handler          nil
	:events                 ()
	:choices                ("K equal for all classes" "Specify K for each class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:user-data              ()
)
(
	:type                   :text-field
	:name                   ncenters
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      52
	:width                  264
	:height                 15
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Centers (K):"
	:label-type             :string
	:value-x                357
	:value-y                52
	:layout-type            :horizontal
	:value-length           8
	:stored-length          80
	:max-value              1024
	:min-value              1
	:read-only              nil
	:notify-handler         gkmeans_ncenters_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   ncenters_list
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      76
	:width                  240
	:height                 32
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Centers per class (3,4,10,...):"
	:label-type             :string
	:value-x                192
	:value-y                93
	:layout-type            :vertical
	:value-length           30
	:stored-length          80
	:read-only              nil
	:notify-handler         gkmeans_ncenters_list_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   reduce_step
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      132
	:width                  370
	:height                 32
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Num. of Centers to remove at a time for non-binary K:"
	:label-type             :string
	:value-x                16
	:value-y                149
	:layout-type            :vertical
	:value-length           8
	:stored-length          80
	:max-value              100
	:min-value              1
	:read-only              nil
	:notify-handler         gkmeans_reduce_step_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   stop_percentage
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      172
	:width                  307
	:height                 15
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop when % sq. error difference <"
	:label-type             :string
	:value-x                259
	:value-y                172
	:layout-type            :horizontal
	:value-length           8
	:stored-length          80
	:read-only              nil
	:notify-handler         gkmeans_stop_percentage_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   max_iteration
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      200
	:width                  410
	:height                 15
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Max. iterations after split or center removal:"
	:label-type             :string
	:value-x                327
	:value-y                200
	:layout-type            :horizontal
	:value-length           8
	:stored-length          80
	:max-value              100
	:min-value              1
	:read-only              nil
	:notify-handler         gkmeans_max_iteration_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :text-field
	:name                   split_percentage
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      228
	:width                  342
	:height                 15
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Perturb +/- this % stddev on each split:"
	:label-type             :string
	:value-x                294
	:value-y                228
	:layout-type            :horizontal
	:value-length           8
	:stored-length          80
	:read-only              nil
	:notify-handler         gkmeans_split_percentage_handler
	:event-handler          nil
	:events                 ()
	:user-data              ()
)
(
	:type                   :setting
	:name                   add_random_offset
	:owner                  controls2
	:help                   ""
	:x                      96
	:y                      248
	:width                  235
	:height                 23
	:value-x                297
	:value-y                248
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:rows                   1
	:columns                0
	:label                  "Add Random Offset on split:"
	:label-type             :string
	:notify-handler         gkmeans_add_random_offset_handler
	:event-handler          nil
	:events                 ()
	:choices                ("" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:user-data              ()
)
)
