;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  359
	:height                 310
	:background-color       ""
	:foreground-color       ""
	:label                  "RBF Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  359
	:height                 310
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   clustering_active
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      8
	:width                  154
	:height                 23
	:value-x                8
	:value-y                8
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         grbf_create_clusters_handler
	:event-handler          nil
	:choices                ("Create clusters first" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_active)
		:when                   (Notify )
		:to                     (popup1 clustering_active)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_create_clusters_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clustering_algorithm
	:owner                  controls2
	:help                   ""
	:x                      44
	:y                      36
	:width                  291
	:height                 23
	:value-x                198
	:value-y                36
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Clustering algorithm:"
	:label-type             :string
	:notify-handler         grbf_clustering_algorithm_handler
	:event-handler          nil
	:choices                ("Kmeans" "E&M Binary Split" "Leader Cluster" "Random" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_algorithm)
		:when                   (Notify )
		:to                     (popup1 clustering_algorithm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_clustering_algorithm_handler)
		)
	)
)
(
	:type                   :button
	:name                   clustering_parameters
	:owner                  controls2
	:help                   ""
	:x                      40
	:y                      64
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clustering Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         grbf_clustering_parameters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_parameters)
		:when                   (Notify )
		:to                     (popup1 clustering_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_clustering_parameters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cluster_param_fname
	:owner                  controls2
	:help                   ""
	:x                      44
	:y                      96
	:width                  304
	:height                 32
	:value-x                44
	:value-y                113
	:value-length           38
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Cluster Parameter Filename:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         grbf_cluster_param_fname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cluster_param_fname)
		:when                   (Notify )
		:to                     (popup1 cluster_param_fname)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_cluster_param_fname_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   hspread
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      156
	:width                  253
	:height                 15
	:value-x                205
	:value-y                156
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Training Spread Factor (h):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         grbf_hspread_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 hspread)
		:when                   (Notify )
		:to                     (popup1 hspread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_hspread_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   extra_hspread
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      184
	:width                  239
	:height                 15
	:value-x                191
	:value-y                184
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Extra Test Spread Factor:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         grbf_extra_hspread_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 extra_hspread)
		:when                   (Notify )
		:to                     (popup1 extra_hspread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_extra_hspread_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_ratio
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      212
	:width                  294
	:height                 15
	:value-x                246
	:value-y                212
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Max. Accepted Eigen Value Ratio:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         grbf_max_ratio_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 max_ratio)
		:when                   (Notify )
		:to                     (popup1 max_ratio)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_max_ratio_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_var
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      240
	:width                  205
	:height                 15
	:value-x                157
	:value-y                240
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         grbf_min_var_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 min_var)
		:when                   (Notify )
		:to                     (popup1 min_var)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_min_var_handler)
		)
	)
)
(
	:type                   :setting
	:name                   bias
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      272
	:width                  165
	:height                 23
	:value-x                8
	:value-y                272
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         grbf_bias_handler
	:event-handler          nil
	:choices                ("Constant Output Bias" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 bias)
		:when                   (Notify )
		:to                     (popup1 bias)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (grbf_bias_handler)
		)
	)
)
)
