/* bintree_feat_sel.h */

/* DEFINITIONS AND DECLARATIONS FOR bintree_feat_sel.c */

#ifndef bintree_feat_sel_h
#define bintree_feat_sel_h

void bintree_feat_sel(int search_type, int search_n, int search_verbosity,
		      char *search_param_fname,
		      int report_cost, int roc_target, float roc_lower,
		      float roc_upper, int *categories,
		      int nraw, int ninputs,
		      int *features, int noutputs, int linear,
		      int train_full_tree, int test_full_tree,
		      int leaf_min_npatterns, int max_nodes, int normalize,
		      int npatterns, int debug, int verbosity, int verror,
		      int random_flag, int cv_nfolds, int cv_nsplits,
		      int use_splits, int *cv_splits, char **cv_train_mask,
		      char **cv_test_mask, char *data_path, char *data_fname,
		      char *norm_fname, char *exp_path, char *error_fname,
		      char *param_fname, char **labels, char *comment,
		      int adjust_train, int adjust_test, int priors_npatterns,
		      float *train_priors_list, float *test_priors_list,
		      int cv_random, int log_outputs);
#endif
