/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***--------------------------------------------------------------------------
* NAME:     cv_args.h
* PURPOSE:  argument table for cross valid split files
* USAGE: 
*   #include<cv_args.h>
*   cc -I/u/kukolich/lnknet/src/include
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/include/cv_args.h,v 11.3 2001/08/23 20:14:33 craig Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/include/cv_args.h,v $
* CREATED: lck                  MIT LINCOLN LABORATORY
*---------------------------------------------------------------------------
* Copyright 1990 MIT Lincoln Laboratory.
* This software is not for release and should neither be copied
* nor distributed without explicit permission of MIT Lincoln Laboratory.
--------------------------------------------------------------------------***/

/*---------------------------------------
  cross_valid_args.h
---------------------------------------*/
static int cv_nfolds = 0;
static int cv_nsplits = 0;
static int cv_splits[NNARGS_MAX_LABELS] = {0};
static char *cv_train_mask[NNARGS_MAX_LABELS] = {"0"};
static char *cv_test_mask[NNARGS_MAX_LABELS] = {"0"};

#ifndef NO_CV_TABLE
static ARG cross_valid_argtab[] =
{
    {"nfolds", INT, &cv_nfolds},
    {"nsplits", INT, &cv_nsplits},
    {"cv_splits", INT_LIST, cv_splits},
    {"cv_train_mask", STRING_LIST, (int *)cv_train_mask},
    {"cv_test_mask", STRING_LIST, (int *)cv_test_mask},
};
#define CROSS_VALID_TABSIZE (sizeof(cross_valid_argtab)/sizeof(ARG))
#endif /* NO_CV_TABLE */

