/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***---------------------------------------------------------------------------
* NAME:	      get_subs.h
* PURPOSE:    function declerations, type and macro definitions for get_subs.c
* USAGE:      #include "/u/kukolich/lnknet/lib/get_subs.h"
* CREATED:    20-Jul-93                               MIT LINCOLN LABORATORY
*--------------------------------------------------------------------------***/

#ifndef get_subs_h
#define get_subs_h

#define RTN '\n'
#define BLOCK_SIZE  256

typedef struct{
    int trial;
    int desired_class;
    int class;
    int err_f;
    float rmserr;
    float *inputs;
    int ninputs;
    float *outputs;
    float *desired_outputs;
    int noutputs;
} ERROR_LINE;

typedef struct{
    char fname[128];
    int class;
    int ninputs;
    int start;
    int npatterns;
    float **data_matrix;
} DATA_BLOCK;

#endif
