/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* kmeans_seq.h */

/* DEFINITIONS AND DECLARATIONS FOR kmeans_seq.c */

#ifndef kmeans_seq_h
#define kmeans_seq_h

/* declarations for other files */
void kmeans_seq_train(int nraw, int ninputs, int *features, int noutputs,
		      int nwindow_frames, int *window_frames, int normalize,
		      int nsequences, int debg, int verbosity,
		      char *data_path, char *data_fname, char *norm_fname,
		      char *exp_path, char *param_fname, char **labels,
		      char *comment, int max_iterations,
		      float split_percentage, float stop_percentage,
		      int cluster_by_class, int add_random_offset,
		      int reduce_step, int *desired_ncenter);
void kmeans_seq_cross_valid(int nraw, int ninputs, int *features,
			    int noutputs, int nwindow_frames,
			    int *window_frames, int normalize, int nsequences,
			    int debg, int verbosity, int cv_nfolds,
			    int cv_nsplits, int use_cv_splits, int *cv_splits,
			    char **cv_train_mask, int cv_random,
			    char *data_path, char *data_fname,
			    char *norm_fname, char *exp_path,
			    char *param_fname, char **labels, char *comment,
			    int max_iterations, float split_percentage,
			    float stop_percentage, int cluster_by_class,
			    int add_random_offset, int reduce_step,
			    int *desired_ncenter);
     
#endif
