/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* nbayes_feat_sel.h */

/* DEFINITIONS AND DECLARATIONS FOR nbayes_feat_sel.c */

#ifndef nbayes_feat_sel_h
#define nbayes_feat_sel_h


void nbayes_feat_sel(int search_type, int search_n, int search_verbosity,
		     char *search_param_fname, int roc_cost, int roc_target,
		     float roc_lower, float roc_upper, int *categories,
			int db_type, int nraw, int ninputs, int *features,
			int noutputs, int normalize, int npatterns,
			int verbosity, int verror, int cv_nfolds,
			int cv_nsplits, int use_cv_splits, int *cv_splits,
			char **cv_train_mask, char **cv_test_mask,
			char *data_path, char *data_fname, char *norm_fname,
			char *exp_path, char *error_fname, char *param_fname,
			char **labels, char *comment, int adjust_test,
			float *test_priors_list, int cv_random,
			int log_outputs, int *nBinsPerInput, int discreteData,
		     float rangeFactor, int ignore_unseen, int unity_laplace);
#endif
