/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* $Header: /data/speech/kukolich/cvsroot/lnknet/src/include/nc_class_args.h,v 11.3 2001/08/23 20:14:36 craig Exp $ */


/* Argument variables for nc_class program */
static int	dist_type = 0; /* 0=near_neighbor, 1=gauss */
static char	*cluster_param_fname = "kmeans.param";
static float	minimum_variance = 1e-6;

static ARG	nc_class_tab[] =
{
    {"fclparam", STRING, (int *) &cluster_param_fname,
       "name of cluster parameter file"},
    {"gauss_dist", BOOLEAN, &dist_type,
       "use Gaussian output to assign points to centers. (default nearest center"},
    {"minvar", FLOAT, (int *)&minimum_variance, "minimum value of variance"},
};
#define NC_CLASS_TABSIZE (sizeof(nc_class_tab)/sizeof(ARG))
