/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* the first set of colors were chosen to do a nice VIBGYOR.

   Rich and I chose the second set to do primaries, then combined
   and to add browns, like the Mac table, and to not have any that were
   so pale you couldn't see the white rimmed pattern boxes.
   Those colors look alike when they are translated to black and
   white by FrameMaker.

   I have now done the list again, starting from all the colors in X,
   weeding out the ones that look the same to me, asking Charles Jancowski
   how he liked them, putting them into frame maker to see which ones it
   colored as the same, printing them out to check the gray scales on 
   close sets of them.
*/
#undef FIRST_COLOR_TABLE
#ifdef FIRST_COLOR_TABLE
static char *color_table[] =
{"mediumorchid", "blue", "green", "yellow", "orange", "red",
   "plum1", "cyan", "darkseagreen2", "chocolate3", "burlywood2", "lightpink",
   "mediumpurple3", "dodgerblue", "darkolivegreen3",
   "gold", "orangered3", "deeppink",
   "violet", "skyblue", "mediumaquamarine", "yellow3", "tan", "hotpink",
   "gray50", "lightsteelblue", "lightseagreen", "wheat", "coral2", "tomato",
   "gray", "black"};
#endif
#undef FIRST_COLOR_TABLE

#undef SECOND_COLOR_TABLE
#ifdef SECOND_COLOR_TABLE
static char    *color_table[] = {
  "red","blue", "mediumseagreen", "orangered4", "orange", "mediumorchid",
  "hotpink", "skyblue", "yellowgreen", "burlywood2", "lightpink",
  "mediumpurple3", "lightsteelblue", "dodgerblue", "gray50", "chocolate3",
  "gold", "violet", "coral2", "cyan", "mediumaquamarine", "tan", "yellow3",
  "lightseagreen", "wheat", "tomato", "plum1", "yellow", "darkseagreen2",
  "grey", "black" };
#endif
#undef SECOND_COLOR_TABLE

#define THIRD_COLOR_TABLE
#ifdef THIRD_COLOR_TABLE
static char    *color_table[] = {
"red",
"LightGoldenrod",
"violet",
"blue",
"salmon",
"LimeGreen",
"SteelBlue",

"brown",
"PaleVioletRed",
"OliveDrab",
"DeepSkyBlue",
"HotPink",
"turquoise",
"yellow",

"MediumBlue",
"maroon",
"chocolate",
"LightSlateGray",
"DarkSeaGreen",
"orange",
"LightBlue",

"purple",
"gray",
"MediumSeaGreen",
"cyan",
"DeepPink",
"tan",
"pink",

"DarkOliveGreen",
"SkyBlue",
"VioletRed",
"DarkOrange",
"LightSlateBlue",
"goldenrod",
"SpringGreen",

"LightGrey",
"white",
"black",
};
#endif
#undef THIRD_COLOR_TABLE
#define N_PLOT_COLORS (sizeof(color_table)/sizeof(char *))
