/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* plot_map.h */

/* DEFINITIONS AND DECLARATIONS FOR plot_map.c */

#ifndef plot_map_h
#define plot_map_h
void plot_map_in_window (char *error_filename, char *print_filename,
			 char *plot_label);
void find_outputs (register float x);
void plot_outputs (void);
float plot_scatter (FILE *data_file, int n_patterns);
void calc_map_autoscale (FILE *data_file);
int x2u (float raw_x);
int y2v (float raw_y);
int xlength2u (float raw_x);
int ylength2v (float raw_y);

/* these are defined in each of the alg_plot_map.c files */
int get_extra_map_args (int argc, char **argv);
void read_model (FILE *param_file, int *total_trials, int *ninputs,
		 int *noutputs, int **features);
float *get_outputs (void);
void eval (float *inputs);
#endif
