/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* $Header: /data/speech/kukolich/cvsroot/lnknet/src/include/ran_clus_args.h,v 11.3 2001/08/23 20:14:37 craig Exp $ */


/* Argument variables for ran_clus program */
static int	ncenters = 16;
static int	*ncenters_list = NULL;
static int	cluster_by_class = 0; /* 1 cluster by ncenter_list */

static ARG	ran_clus_tab[] =
{
    {"cluster_by_class", BOOLEAN, &cluster_by_class,
       "cluster centers by class"},
    {"ncenters", INT, (int *)&ncenters,
       "number of desired clusters (total, or per-class if cluster_by_class)"},
    {"ncenters_list", INT_ALLOC_LIST, (int *)&ncenters_list,
       "number of clusters for each class. default: \"ncenters\" for all"},
};
#define RAN_CLUS_TABSIZE (sizeof(ran_clus_tab)/sizeof(ARG))
