/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* rbfm.h */

/* DEFINITIONS AND DECLARATIONS FOR rbfm.c */

#ifndef rbfm_h
#define rbfm_h

void rbfm_train(int create_flag, int nraw, int ninputs, int *pfeatures,
		int noutputs, int npatterns, int debg, int verbosity,
		char *data_path, char *data_fname, char *exp_path,
		char *param_fname, char *comment, int bias, float hspread,
		float max_ratio, char *cluster_param_fname,
		float minimum_variance);
void rbfm_test(int create_flag, int map_flag, int nraw, int ninputs,
	       int noutputs, int npatterns, int debg, int verbosity,
	       int verror, char *data_path, char *data_fname, char *exp_path,
	       char *error_fname, char *param_fname, char **labels,
	       float extra_hspread);

#endif
