/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***---------------------------------------------------------------------------
* NAME:		g_vect
* PURPOSE:	continue plotting line to this point 
* USAGE: 
* 	g_vect(x, y)
*   	int	x;			-  x coordinate (0 to 1023) 
* 	int	y;			-  y coordinate (0 to 1023) 
* 
* DESCRIPTION:
*   Continues to the next point pen down.
* 
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/g_vect.c,v 11.3 2001/08/23 20:15:06 craig Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/g_vect.c,v $
* CREATED: 8-Mar-84 rpl    LAST UPDATE: 3-Jul-84 rpl	MIT LINCOLN LABORATORY
--------------------------------------------------------------------------***/
/* config.h must go first */
#if HAVE_CONFIG_H
#include <config.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#endif
#include "g_gvt.h"
#include "PlotI.h"


void
g_vect (x, y)	/* output a vector corresponding to a point on the screen */
register int x, y;
{


	/* shift previous to old position for arrow , current positions are
	   stored in uvcont and uvmove 
	   ----------------------------------------------------------*/
	GG_.uold=GG_.ucur;
	GG_.vold=GG_.vcur;

	x_plot_cont(x, y);
}
