/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* config.h must go first */
#if HAVE_CONFIG_H
#include <config.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#endif
main()
{
float x[100], y[100];
int n=100;
int i,j=0;
int symbol_mode=1, symbol_type=0, symbol_radius=10;
static char symbol_string[80];
int line_type=1, grid_type=2;  
static char graph_label[80];
int auto_abscissas=0;
float auto_xmin=0.0, auto_xstep=10.0;
float height_fract=1.0, width_fract=1.0, xoffset_fract=0.0, yoffset_fract=0.0;
int xlog=0;
int auto_xaxis=0;
float xmin=0.0, xmax=100.0, xstep=10.0;
static char xlabel[80];
int ylog=0;
int auto_yaxis=0;
float ymin=0.0, ymax=10000.0, ystep=1000.0; 
static char ylabel[80];
static char *any_symbol[]={"x", "*"};
static char *any_graph[]={"Test Plot", "*"};
static char *any_xlabel[]={"Time(secs)", "*"};
static char *any_ylabel[]={"Power","*"};
float xfact=1.0;
float yfact=1.0;


for(i=0; i< 100; i++)
	{
	x[i] = i+1;
	y[i] = ((float)(i+1))*(float)(i+1);
	}
ginit(6,0);
ghardcopy(1);
for(;;)
{
aski(&j, "Clear screen (0,1):", j, 0, 1);
if (j==1)
	gclear();
askf(&yfact, "Multiplicative factor for y",yfact, 0.0, 1000000.0);
for(i=0;i<100;i++)
	y[i] = yfact*(i+1.0)*(i+1.0);
askf(&xfact, "Multiplicative factor for x",xfact, 0.0, 1000000.0);
for(i=0;i<100;i++)
	x[i] = xfact*(i+1.0);

aski(&n, "number of points (0-100):",n,0,100);
aski(&symbol_mode, "symbol mode(0-2):",symbol_mode,0,2);
aski(&symbol_type, "symbol type(0-7):",symbol_type,0,7);
aski(&symbol_radius, "symbol radius(0-1023):",symbol_radius,0,1023);
asks(symbol_string, "symbol string:","x",2,any_symbol);
aski(&line_type, "line type (0-5):",line_type,0,5);
aski(&grid_type, "grid type (0-2):",grid_type,0,2);
asks(graph_label, "graph label:","test plot",2,any_graph);
aski(&auto_abscissas, "auto abscissas (0-1):",auto_abscissas,0,1);
askf(&auto_xmin, "auto x minimum:",auto_xmin,-10000.0,10000.0);
askf(&auto_xstep, "auto x step:",auto_xstep,-10000.0,10000.0);
askf(&height_fract, "height fraction :", height_fract,0.0, 1.0);
askf(&width_fract, "width fraction :", width_fract,0.0, 1.0);
askf(&xoffset_fract, "x offset fraction :", xoffset_fract,0.0, 1.0);
askf(&yoffset_fract, "y offset fraction :", yoffset_fract,0.0, 1.0);
aski(&xlog, "x log flag (0-1):",xlog,0,1);
aski(&auto_xaxis, "Automatic x axis (0-1):",auto_xaxis,0,1);
askf(&xmin, "x minimum ", xmin, -10000.0, 10000.0 );
askf(&xmax, "x maximum ", xmax, -10000.0, 10000.0 );
askf(&xstep, "x step ", xstep, -10000.0, 10000.0 );
asks(xlabel, "x axis label", "Time(secs)",2,any_xlabel);
aski(&ylog, "y log flag (0-1):",ylog,0,1);
aski(&auto_yaxis, "Automatic y axis (0-1):",auto_yaxis,0,1);
askf(&ymin, "y minimum ", ymin, -10000.0, 10000.0 );
askf(&ymax, "y maximum ", ymax, -10000.0, 10000.0 );
askf(&ystep, "y step ", ystep, -10000.0, 10000.0 );
asks(ylabel, "y axis label", "Prob", 2,any_ylabel);
/*
aclear();
*/
uvframe(1, 0,0, 1023, 780);

  xygraph(x, y, n,
          symbol_mode, symbol_string, symbol_type, symbol_radius,
          line_type, grid_type, graph_label,
          auto_abscissas, auto_xmin, auto_xstep,
          height_fract, width_fract, xoffset_fract, yoffset_fract,
          xlog, auto_xaxis, xmin, xmax, xstep, xlabel,
          ylog, auto_yaxis, ymin, ymax, ystep, ylabel);
	}
ghardcopy(0);
gexit(0);
}
