/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/*-----------------------------------------------------------------------------
* NAME:		uvline 
* PURPOSE:	draw line between two points 
* USAGE: 
*	uvline (u1,v1,u2,v2)	
*	int u1, v1	- point at one end of line (currently 0-1023, 0-780)
*	int u2, v2	- point at other end of line (currently 0-1023, 0-780)
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/uvline.c,v 11.3 2001/08/23 20:15:12 craig Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/uvline.c,v $
* CREATED: 15-Mar-84 rpl    LAST UPDATE: 15-Mar-84 rpl	MIT LINCOLN LABORATORY
*---------------------------------------------------------------------------*/
/* config.h must go first */
#if HAVE_CONFIG_H
#include <config.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#endif
#include "g_gvt.h"
#include "xlippic.h"
void
uvline (u1,v1,u2,v2)	/* draw line from (u1,v1) to (u2,v2) */
int u1,v1,u2,v2;
{

	/* if one of the points equals the current position, output the other */
	if ((GG_.ucur == u1) && (GG_.vcur == v1))
	    {
	    uvcont(u2, v2);
	    return;
	    }
	if ((GG_.ucur == u2) && (GG_.vcur == v2))
	    {
	    uvcont(u1, v1);
	    return;
	    }
	/* otherwise move to the first point, and output the second point */
	uvmove(u1,v1);
	uvcont(u2, v2);
}
