/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef LnkLabelP_H
#define LnkLabelP_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/LnkLabel/LnkLabelP.h,v 11.2 2001/08/23 20:15:22 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                     LnkLabel Widget, Private                         ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/LnkLabel/LnkLabelP.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "LnkLabelP.h"
 *
 * Modification History:
 *  28-Nov-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
#include <Xm/LabelP.h>
#include "LnkLabel.h"

/************************************************************************
  New Fields for LnkLabel widget class record 
************************************************************************/
typedef struct {
    int makes_compiler_happy;
} LnkLabelClassPart;

/************************************************************************
  Full class record declaration
************************************************************************/
typedef struct _LnkLabelClassRec {
   CoreClassPart       core_class;
   XmPrimitiveClassPart primitive_class;
   XmLabelClassPart	 label_class;
   LnkLabelClassPart     lnkLabel_class;
} LnkLabelClassRec;

/* for use by our subclasses */
extern LnkLabelClassRec lnkLabelClassRec;

/************************************************************************
  New Fields for the LnkLabel Widget record
************************************************************************/
typedef struct {
    int	makesCompilerHappy;
} LnkLabelPart;

/************************************************************************
  Full instance record declaration
************************************************************************/
typedef struct _LnkLabelRec {
   CorePart	  core;
   XmPrimitivePart  primitive;
   XmLabelPart	    label;
   LnkLabelPart     lnkLabel;
} LnkLabelRec;
#endif
/* DON'T ADD ANYTHING AFTER THIS #endif */
