/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef defaults_H
#define defaults_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* RcsId "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/data/defaults.h,v 1.6 2001/08/23 20:16:13 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            LNKNET                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $LNKNETHOME/src/defaults.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for lnknet
 * 
 * Calling Sequence:
 *   #include <defaults.h>
 *
 * Modification History:
 *  13-Sep-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" defaults.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget defaultsDialogShell;
  Widget defaultsForm;
  Widget dataPathLabel1;
  Widget dataPathLabel;
  Widget dataBaseLabel1;
  Widget dataBaseLabel;
  Widget nInputsForm;
  Widget nInputsLabel;
  Widget nInputsText;
  Widget nInputsOKPBtn;
  Widget nInputsCancelPBtn;
  Widget inputLabelsForm;
  Widget inputLabelsLabel;
  Widget inputLabelsText;
  Widget inputLabelsOKPBtn;
  Widget inputLabelsCancelPBtn;
  Widget nOutputsForm;
  Widget nOutputsLabel;
  Widget nOutputsText;
  Widget nOutputsOKPBtn;
  Widget nOutputsCancelPBtn;
  Widget outputLabelsForm;
  Widget outputLabelsLabel;
  Widget outputLabelsText;
  Widget outputLabelsOKPBtn;
  Widget outputLabelsCancelPBtn;
  Widget categoriesForm;
  Widget categoriesLabel;
  Widget categoriesText;
  Widget categoriesOKPBtn;
  Widget categoriesCancelPBtn;
  Widget errorLabel;
  Widget errorGlyphLabel;
  Widget separator;
  Widget buttonForm;
  Widget generatePBtn;
  Widget cancelPBtn;
} DefaultsWidgets;
 
#endif
