/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef hyper_H
#define hyper_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/hyper/hyper.h,v 1.3 2001/08/23 20:16:37 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            HYPER                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $HYPERHOME/src/hyper.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for hyper
 * 
 * Calling Sequence:
 *   #include <hyper.h>
 *
 * Modification History:
 *  20-Nov-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" hyper.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget hyperDialogShell;
  Widget hyperForm;
  Widget addFrame;
  Widget addLabel;
  Widget addForm;
  Widget nEpochsForm;
  Widget nEpochsLabel;
  Widget nEpochsText;
  Widget nEpochsOKPBtn;
  Widget nEpochsCancelPBtn;
  Widget rInitForm;
  Widget rInitLabel;
  Widget rInitText;
  Widget rInitOKPBtn;
  Widget rInitCancelPBtn;
  Widget pruneFrame;
  Widget pruneLabel;
  Widget pruneForm;
  Widget pruneToggle;
  Widget useRadioBox;
  Widget sizeToggle;
  Widget useToggle;
  Widget nCentersForm;
  Widget nCentersLabel;
  Widget nCentersText;
  Widget nCentersOKPBtn;
  Widget nCentersCancelPBtn;
  Widget forceLabel;
  Widget forceRadioBox;
  Widget unknownToggle;
  Widget forceToggle;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} HyperWidgets;
 
#endif
