/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef irbf_func_H
#define irbf_func_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/irbf/irbf_func.h,v 1.3 2001/08/23 20:16:41 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                       functions for irbf window                                 ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/irbf/irbf_func.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "irbf_func.h"
 *
 * Modification History:
 *  07-Nov-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
void irbf_callback(Widget w, XtPointer client, XtPointer call);
void irbf_request(String request);
void read_irbf_defaults(int argc, char **argv);
void write_irbf_defaults(FILE *default_file);
String irbf_get_plot_label(String);
String irbf_get_args();
String irbf_get_important_args();
void irbf_set_cluster_param_fname();
void irbf_store_plot_command(FILE *);
char *irbf_get_cluster_fname();
int irbf_get_cluster_alg();
int irbf_must_store_clustering();
int irbf_get_epochs();
void irbf_set_epochs(int e);
int irbf_get_cost_func();
#endif
