/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef lead_clus_H
#define lead_clus_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/lead_clus/lead_clus.h,v 1.3 2001/08/23 20:16:50 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            LEAD_CLUS                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $LEAD_CLUSHOME/src/lead_clus.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for lead_clus
 * 
 * Calling Sequence:
 *   #include <lead_clus.h>
 *
 * Modification History:
 *  23-Oct-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" lead_clus.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget lead_clusDialogShell;
  Widget lead_clusForm;
  Widget clusterByClassRadioBox;
  Widget ignoreClassToggle;
  Widget clusterByClassToggle;
  Widget deltaByClassRadioBox;
  Widget equalDeltaToggle;
  Widget deltaByClassToggle;
  Widget deltaForm;
  Widget deltaLabel;
  Widget deltaText;
  Widget deltaOKPBtn;
  Widget deltaCancelPBtn;
  Widget deltaListForm;
  Widget deltaListLabel;
  Widget deltaListText;
  Widget deltaListOKPBtn;
  Widget deltaListCancelPBtn;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} Lead_clusWidgets;
 
#endif
