/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef lvq_H
#define lvq_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/lvq/lvq.h,v 1.4 2001/08/23 20:16:57 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            LVQ                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $LVQHOME/src/lvq.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for lvq
 * 
 * Calling Sequence:
 *   #include <lvq.h>
 *
 * Modification History:
 *  14-Nov-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" lvq.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget lvqDialogShell;
  Widget lvqForm;
  Widget clusterFrame;
  Widget clusterForm;
  Widget createClustersToggle;
  Widget clustAlgOptionMenu;
  Widget clustAlgPulldownMenu;
  Widget kmeansPBtn;
  Widget em_clusPBtn;
  Widget lead_clusPBtn;
  Widget ran_clusPBtn;
  Widget clustParamsPBtn;
  Widget clustFnameLabel1;
  Widget clustFnameLabel;
  Widget clusterLabel;
  Widget lvqTypeLabel;
  Widget lvqTypeRadioBox;
  Widget olvqToggle;
  Widget lvq1Toggle;
  Widget lvq2Toggle;
  Widget lvq3Toggle;
  Widget nEpochsForm;
  Widget nEpochsLabel;
  Widget nEpochsText;
  Widget nEpochsOKPBtn;
  Widget nEpochsCancelPBtn;
  Widget alphaForm;
  Widget alphaLabel;
  Widget alphaText;
  Widget alphaOKPBtn;
  Widget alphaCancelPBtn;
  Widget windowForm;
  Widget windowLabel;
  Widget windowText;
  Widget windowOKPBtn;
  Widget windowCancelPBtn;
  Widget epsilonForm;
  Widget epsilonLabel;
  Widget epsilonText;
  Widget epsilonOKPBtn;
  Widget epsilonCancelPBtn;
  Widget algHelpLabel;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} LvqWidgets;
 
#endif
