/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef mlp_func_H
#define mlp_func_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/mlp/mlp_func.h,v 1.4 2001/08/23 20:17:05 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                     functions for mlp windows                        ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/mlp/mlp_func.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "mlp_func.h"
 *
 * Modification History:
 *  03-Nov-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
void mlp_callback(Widget w, XtPointer client, XtPointer call);
void mlp_request(String request);
void mlpWeight_callback(Widget w, XtPointer client, XtPointer call);
void mlpWeight_request(String request);
void mlpNode_callback(Widget w, XtPointer client, XtPointer call);
void mlpNode_request(String request);
void mlpCost_callback(Widget w, XtPointer client, XtPointer call);
void mlpCost_request(String request);
void read_mlp_defaults(int argc, char **argv);
void write_mlp_defaults(FILE *default_file);
String mlp_get_plot_label(String);
String mlp_get_args();
String mlp_get_important_args();
int mlp_get_epochs();
void mlp_set_epochs(int e);
int mlp_get_cost_func();
#endif
