/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef nbayes_H
#define nbayes_H
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/nbayes/nbayes.h,v 1.2 2001/08/23 20:17:08 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            NBAYES                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $NBAYESHOME/src/nbayes.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for nbayes
 * 
 * Calling Sequence:
 *   #include <nbayes.h>
 *
 * Modification History:
 *  8-Nov-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" nbayes.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget nbayesDialogShell;
  Widget nbayesForm;
  Widget specifyBinsRadioBox;
  Widget equalNbinsToggle;
  Widget specifyBinsToggle;
  Widget nBinsForm;
  Widget nBinsLabel;
  Widget nBinsText;
  Widget nBinsOKPBtn;
  Widget nBinsCancelPBtn;
  Widget nBinsPerInputForm;
  Widget nBinsPerInputLabel;
  Widget nBinsPerInputText;
  Widget nBinsPerInputOKPBtn;
  Widget nBinsPerInputCancelPBtn;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} NbayesWidgets;
 
#endif
