/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef nc_class_func_H
#define nc_class_func_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/nc_class/nc_class_func.h,v 1.3 2001/08/23 20:17:11 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                       functions for nc_class window                                 ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/nc_class/nc_class_func.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "nc_class_func.h"
 *
 * Modification History:
 *  07-Nov-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
void nc_class_callback(Widget w, XtPointer client, XtPointer call);
void nc_class_request(String request);
void read_nc_class_defaults(int argc, char **argv);
void write_nc_class_defaults(FILE *default_file);
String nc_class_get_plot_label(String);
String nc_class_get_args();
String nc_class_get_important_args();
void nc_class_set_cluster_param_fname();
char *nc_class_get_cluster_fname();
int nc_class_get_cluster_alg();
int nc_class_must_store_clustering();
#endif
