/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef reports_func_H
#define reports_func_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/reports/reports_func.h,v 1.5 2001/08/23 20:17:55 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                       Reports Function Declaraions                                 ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/reports/reports_func.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "reports_func.h"
 *
 * Modification History:
 *  21-Sep-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
void reports_callback(Widget, XtPointer, XtPointer);
void reports_request(String request);
void read_reports_defaults(int argc, char **argv);
void write_reports_defaults(FILE *default_file);
void create_experiment_file_names();
void plots_set_verror();
int chdir_and_execute_command(String shell_fname);
void set_temp_exp_path(FILE *shell_file);
void restore_exp_path();
#endif
