/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef select_H
#define select_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/select/select.h,v 1.3 2001/08/23 20:17:56 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            SELECT                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $SELECTHOME/src/select.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for select
 * 
 * Calling Sequence:
 *   #include <select.h>
 *
 * Modification History:
 *  10-Oct-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" select.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget selectDialogShell;
  Widget selectForm;
  Widget selectTypeLabel;
  Widget selectTypeRadioBox;
  Widget selectTypeAllToggle;
  Widget selectTypeFirstToggle;
  Widget selectTypeHandToggle;
  Widget selectTypeReadToggle;
  Widget firstNForm;
  Widget firstNLabel;
  Widget firstNText;
  Widget firstNOKPBtn;
  Widget firstNCancelPBtn;
  Widget featureListForm;
  Widget featureListLabel;
  Widget featureListText;
  Widget featureListOKPBtn;
  Widget featureListCancelPBtn;
  Widget listFileForm;
  Widget listFileLabel;
  Widget listFileText;
  Widget listFileOKPBtn;
  Widget listFileCancelPBtn;
  Widget searchLimitLabel;
  Widget searchLimitRadioBox;
  Widget searchLimitFirstNToggle;
  Widget searchLimitBestToggle;
  Widget searchNForm;
  Widget searchNLabel;
  Widget searchNText;
  Widget searchNOKPBtn;
  Widget searchNCancelPBtn;
  Widget featureLabels1;
  Widget featureLabels;
  Widget warningGlyphLabel;
  Widget errorLabel;
  Widget buttonForm;
  Widget separator;
  Widget genPBtn;
  Widget closePBtn;
} SelectWidgets;
 
#endif
