/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef struct_H
#define struct_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/struct/struct.h,v 1.4 2001/08/23 20:18:00 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            STRUCT                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $STRUCTHOME/src/struct.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for struct
 * 
 * Calling Sequence:
 *   #include <struct.h>
 *
 * Modification History:
 *  2-Nov-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" struct.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget structDialogShell;
  Widget structForm;
  Widget plotFnameLabel1;
  Widget plotFnameLabel;
  Widget autoscaleToggle;
  Widget noTextToggle;
  Widget showWeightToggle;
  Widget showWeightFrame;
  Widget showWeightForm;
  Widget weightForm;
  Widget maxLineWidthForm;
  Widget maxLineWidthLabel;
  Widget maxLineWidthText;
  Widget maxLineWidthOKPBtn;
  Widget maxLineWidthCancelPBtn;
  Widget blackAndWhiteRadioBox;
  Widget colorToggle;
  Widget blackAndWhiteToggle;
  Widget useThreshRadioBox;
  Widget showAllToggle;
  Widget useThreshToggle;
  Widget threshForm;
  Widget threshText;
  Widget threshOKPBtn;
  Widget threshCancelPBtn;
  Widget showWeightLabel;
  Widget biasToggle;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} StructWidgets;
 
#endif
