#! /opt/local/bin/perl
@cFiles = `find . -name '*.c' -print`;

foreach $file (@cFiles) {
    $have_stdc_headers = 0;
    $need_stdc_headers = 0;
    $done_stdc_headers = 0;
    $reason = "";
    open(FILE, $file);
    while(<FILE>){
	if(/STDC_HEADERS/){
	    $have_stdc_headers = 1;
	    $done_stdc_headers = 0;
	    next;
	}
	if(/endif/){
	    if($have_stdc_headers && !$done_stdc_headers){
		$done_stdc_headers = 1;
	    }
	    next;
	}
	if(/stdlib\.h/){
	    if(!$have_stdc_headers){
		$reason = $reason."stdlib and no stdc ";
		$need_stdc_headers = 1;
	    } else {
		if($done_stdc_headers){
		    $need_stdc_headers = 1;
		    $reason = $reason."stdlib after stdc ";
		}
	    }
	    next;
	}
	if(/stdarg\.h/){
	    if(!$have_stdc_headers){
		$need_stdc_headers = 1;
		$reason = $reason."stdarg and no stdc ";
	    } else {
		if($done_stdc_headers){
		    $need_stdc_headers = 1;
		    $reason = $reason."stdarg after stdc ";
		}
	    }
	    next;
	}
	if(/string\.h/){
	    if(!$have_stdc_headers){
		$need_stdc_headers = 1;
		$reason = $reason."string and no stdc ";
	    } else {
		if($done_stdc_headers){
		    $need_stdc_headers = 1;
		    $reason = $reason."string after stdc ";
		}
	    }
	    next;
	}
	if(/float\.h/){
	    if(!$have_stdc_headers){
		$need_stdc_headers = 1;
		$reason = $reason."float and no stdc ";
	    } else {
		if($done_stdc_headers){
		    $need_stdc_headers = 1;
		    $reason = $reason."float after stdc ";
		}
	    }
	    next;
	}
    }
    if($need_stdc_headers){
	print $reason.$file;
    }
}

