/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* LNKnet_subs.c */
void command_file_close (/* FILE *,char *, char * */);
int execute_command_file(/* char * */);
void stop_command_file(/* int */);
int chdir_and_execute_command(/* void */);
FILE * command_file_open (/* char *, char * */);
int file_exists (/* char * */);
char * make_net_string (/* int [] */);
char * make_float_string (/* float [] */);
char * make_labels_string (/* char *[] */);
int overwrite_ok (/* char * */);
int set_atoi_value(/* char *, char *, unsigned int, int */);
int set_atoi_low_value(/* char *, char *, unsigned int, int, int */);
int set_atoi_range_value(/* char *, char *, unsigned int, int, int, int */);
float set_atof_value(/* char *, char *, unsigned int, float */);
float set_atof_range_value(/* char *, char *, unsigned int, float,
			      float, float */);
float set_atof_low_value(/* char *, char *, unsigned_int, float, float */);
char *null_if_empty_string(/* char * */);
char *strcpy_empty_if_null(/* char *, char * */);
char *set_string_not_empty(/* char *, char *, unsigned_int, char * */);
void close_popup(/* unsigned int */);
void open_popup(/* unsigned int */);
void show_item(/* unsigned int, int */);
void gray_out_item(/* unsigned int, int */);
void show_int_value(/* unsigned int, int */);
void show_int_text(/* unsigned int, int */);
void show_int_label(/* unsigned int, int */);
void show_float_text(/* unsigned int, float */);
void show_float_label(/* unsigned int, float */);
void show_string_text(/* unsigned int, char * */);
void show_string_label(/* unsigned int, char * */);
void show_image_label(/* unsigned int, unsigned int */);
void setup_character_watch(/* unsigned int */);
int check_stringNwidget(/* char *, unsigned int, unsigned int */);
int check_intNwidget(/* int, unsigned int, unsigned int */);
void update_stringNwidget(/* char *, unsigned int, unsigned int */);
int set_string2intNcheck(/* unsigned int, unsigned int, int *,
			    char *, Event * char * */);
int set_string2intNcheck(/* unsigned int, unsigned int, float *,
			    char *, Event * char * */);

/* plots/plots.c */
void store_plot_start(/* FILE * */);
void store_plot_end(/* FILE * */);
void store_plot_end_outputs(/* FILE *, char * */);
void set_plot_labels(/* void */);
/* plots/region.c */
void region_create_plot_fname();
/* plots/profile.c */
void profile_create_plot_fname();
/* gnn/priors.c */
float *g_copy_test_priors_list(/* float * */);
/* gnn/gnn.c */
int gnn_get_which_data();
/* gnn/print.c */
void print_set_all_status(/* int */);
void print_set_log_status(/* int */);
void print_set_region_status(/* int */);
void print_set_profile_status(/* int */);
void print_set_cost_status(/* int */);
void print_set_perr_status(/* int */);
void print_set_struct_status(/* int */);
void print_set_prob_status(/* int */);
void print_set_detect_status(/* int */);
void print_set_reject_status(/* int */);
/* everywhere */
char *norm_description();
char *gmlp_get_plot_label();
char *gknn_get_plot_label();
char *gcknn_get_plot_label();
char *gbintree_get_plot_label();
char *grbf_get_plot_label();
char *girbf_get_plot_label();
char *glvq_get_plot_label();
char *gran_clus_get_plot_label();
char *gnc_class_get_plot_label();
char *gkmeans_get_plot_label();
char *gem_clus_get_plot_label();
char *glead_clus_get_plot_label();
char *ghyper_get_plot_label();
char *ggauss_get_plot_label();
char *gparzen_get_plot_label();
char *gnorm_get_plot_label();
char *ggmix_get_plot_label();
char *gartmap_get_plot_label();
char *gcommittee_get_plot_label();
char *ghistogram_get_plot_label();
/* which is the testing data set, taken from gnn/gnn.c */
#define CLASS_TRAIN 0
#define CLASS_EVAL 1
#define CLASS_TEST 2
#define TRAIN_TRAIN 3
#define CV_TRAIN 4

/* set up for printing constant width versions of shell script names
   in the notebook file */
#define CONSTWIDTH_FORMAT "%-17s"

/* a list of all the characters, for the CR messages, this was from
  Linda Sue Sohn */
#define GUIAlphabet \
"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"
#define GUINumeric "0123456789"
#define GUIPunct " !#$%&()*,/:;<=>?@[]^_`{|}~\"\'\\\0"
#define GUIDot "."
#define GUISigns "+-"
#define GUITerminators "\f\n\r\t\v\0"
#define ALLCHARS "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 !#$%&()*,/:;<=>?@[]^_`{|}~\"\'\\.+-\f\n\r\t\v\0"
/*  the end */

#define EVENT_IS_RTN(e) (event_action(e) == '\r' || event_action(e) == '\t')
