;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  606
	:height                 392
	:background-color       ""
	:foreground-color       ""
	:label                  "Fuzzy ARTMAP Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   param_controls
	:owner                  param_pop
	:help                   "Set parameters particular to the ARTMAP Classifier"
	:x                      0
	:y                      0
	:width                  606
	:height                 392
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   set_norm
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      12
	:width                  250
	:height                 69
	:value-x                16
	:value-y                29
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Additional Input Data Normalization:"
	:label-type             :string
	:notify-handler         gartmap_set_norm_handler
	:event-handler          nil
	:choices                ("Complement Coding" "Input Vector Sums to 1" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop set_norm)
		:when                   (Notify )
		:to                     (param_pop set_norm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_set_norm_handler)
		)
	)
)
(
	:type                   :message
	:name                   art_param_mess
	:owner                  param_controls
	:help                   ""
	:x                      120
	:y                      88
	:width                  154
	:height                 13
	:foreground-color       ""
	:label                  "Fuzzy ART Parameters:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   alpha
	:owner                  param_controls
	:help                   ""
	:x                      140
	:y                      112
	:width                  112
	:height                 15
	:value-x                188
	:value-y                112
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Alpha"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_alpha_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop alpha)
		:when                   (Notify )
		:to                     (param_pop alpha)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_alpha_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   beta
	:owner                  param_controls
	:help                   ""
	:x                      140
	:y                      132
	:width                  102
	:height                 15
	:value-x                178
	:value-y                132
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Beta"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_beta_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop beta)
		:when                   (Notify )
		:to                     (param_pop beta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_beta_handler)
		)
	)
)
(
	:type                   :message
	:name                   arta_vigil_mess
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      160
	:width                  111
	:height                 13
	:foreground-color       ""
	:label                  "ART A Vigilance:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   artb_vigil_mess
	:owner                  param_controls
	:help                   ""
	:x                      244
	:y                      160
	:width                  111
	:height                 13
	:foreground-color       ""
	:label                  "ART B Vigilance:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   arta_train
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      184
	:width                  131
	:height                 15
	:value-x                107
	:value-y                184
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Training"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_arta_train_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop arta_train)
		:when                   (Notify )
		:to                     (param_pop arta_train)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_arta_train_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   artb_train_test
	:owner                  param_controls
	:help                   ""
	:x                      276
	:y                      184
	:width                  190
	:height                 15
	:value-x                402
	:value-y                184
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Training/Testing"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_artb_train_test_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop artb_train_test)
		:when                   (Notify )
		:to                     (param_pop artb_train_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_artb_train_test_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   arta_test
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      208
	:width                  124
	:height                 15
	:value-x                100
	:value-y                208
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Testing"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_arta_test_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop arta_test)
		:when                   (Notify )
		:to                     (param_pop arta_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_arta_test_handler)
		)
	)
)
(
	:type                   :message
	:name                   halt_cond_mess
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      236
	:width                  223
	:height                 13
	:foreground-color       ""
	:label                  "Training Completion Conditions:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      256
	:width                  284
	:height                 32
	:value-x                40
	:value-y                273
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Maximum number of cycles through data:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_epochs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop epochs)
		:when                   (Notify )
		:to                     (param_pop epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_epochs_handler)
		)
	)
)
(
	:type                   :setting
	:name                   train_cycle
	:owner                  param_controls
	:help                   ""
	:x                      32
	:y                      300
	:width                  321
	:height                 23
	:value-x                32
	:value-y                300
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gartmap_train_cycle_handler
	:event-handler          nil
	:choices                ("errs doesn't change for two consecutive epochs" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop train_cycle)
		:when                   (Notify )
		:to                     (param_pop train_cycle)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_train_cycle_handler)
		)
	)
)
(
	:type                   :setting
	:name                   prune
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      336
	:width                  218
	:height                 23
	:value-x                16
	:value-y                336
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gartmap_prune_handler
	:event-handler          nil
	:choices                ("Prune unused ART A F2 nodes" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop prune)
		:when                   (Notify )
		:to                     (param_pop prune)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_prune_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   prune_thresh
	:owner                  param_controls
	:help                   ""
	:x                      40
	:y                      368
	:width                  538
	:height                 15
	:value-x                479
	:value-y                368
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Prune when node correctly classifies fewer input vectors than "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gartmap_prune_thresh_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop prune_thresh)
		:when                   (Notify )
		:to                     (param_pop prune_thresh)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gartmap_prune_thresh_handler)
		)
	)
)
)
