;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  444
	:height                 274
	:background-color       ""
	:foreground-color       ""
	:label                  "BINTREE Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   param_controls
	:owner                  param_pop
	:help                   "Set parameters particular to the K Nearest
Neighbor Classifier"
	:x                      0
	:y                      0
	:width                  444
	:height                 274
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   linear
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      16
	:width                  262
	:height                 46
	:value-x                16
	:value-y                16
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gbintree_linear_handler
	:event-handler          nil
	:choices                ("Split on Single Feature" "Split Using Linear Feature Combinations" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop linear)
		:when                   (Notify )
		:to                     (param_pop linear)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gbintree_linear_handler)
		)
	)
)
(
	:type                   :message
	:name                   message1
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      72
	:width                  69
	:height                 13
	:foreground-color       ""
	:label                  "TRAINING:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   train_full
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      96
	:width                  244
	:height                 46
	:value-x                16
	:value-y                96
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gbintree_train_full_handler
	:event-handler          nil
	:choices                ("Expand Tree Until there are No Errors" "Stop Expansion Early" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop train_full)
		:when                   (Notify )
		:to                     (param_pop train_full)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gbintree_train_full_handler)
		)
	)
)
(
	:type                   :message
	:name                   stop_message
	:owner                  param_controls
	:help                   ""
	:x                      128
	:y                      152
	:width                  215
	:height                 13
	:foreground-color       ""
	:label                  "Stop Growing if Zero Node Error"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   leaf_min_npatterns
	:owner                  param_controls
	:help                   ""
	:x                      128
	:y                      168
	:width                  231
	:height                 15
	:value-x                311
	:value-y                168
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "OR if Npatterns in Node <"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gbintree_leaf_min_npatterns_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop leaf_min_npatterns)
		:when                   (Notify )
		:to                     (param_pop leaf_min_npatterns)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gbintree_leaf_min_npatterns_handler)
		)
	)
)
(
	:type                   :message
	:name                   message2
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      192
	:width                  61
	:height                 13
	:foreground-color       ""
	:label                  "TESTING:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   test_full
	:owner                  param_controls
	:help                   ""
	:x                      16
	:y                      216
	:width                  280
	:height                 46
	:value-x                16
	:value-y                216
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gbintree_test_full_handler
	:event-handler          nil
	:choices                ("Use Full Tree for Testing" "Maximum Number of Nodes during Testing" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop test_full)
		:when                   (Notify )
		:to                     (param_pop test_full)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gbintree_test_full_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_test_nodes
	:owner                  param_controls
	:help                   ""
	:x                      304
	:y                      248
	:width                  48
	:height                 15
	:value-x                304
	:value-y                248
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gbintree_max_test_nodes_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop max_test_nodes)
		:when                   (Notify )
		:to                     (param_pop max_test_nodes)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gbintree_max_test_nodes_handler)
		)
	)
)
)
