;GIL-3
(
(
	:type                   :popup-window
	:name                   select_pop
	:owner                  main_window
	:width                  629
	:height                 263
	:background-color       ""
	:foreground-color       ""
	:label                  "Feature Selection"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   select_controls
	:owner                  select_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  629
	:height                 263
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   select_type
	:owner                  select_controls
	:help                   ""
	:x                      20
	:y                      12
	:width                  182
	:height                 109
	:value-x                20
	:value-y                29
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Selection Method"
	:label-type             :string
	:notify-handler         select_select_handler
	:event-handler          nil
	:choices                ("All Features" "First N               " "Check by Hand" "Read Feature List From File" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_type)
		:when                   (Notify )
		:to                     (select_pop select_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_n
	:owner                  select_controls
	:help                   ""
	:x                      208
	:y                      56
	:width                  96
	:height                 15
	:value-x                229
	:value-y                56
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "N:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              2000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_n)
		:when                   (Notify )
		:to                     (select_pop select_n)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_feature_list
	:owner                  select_controls
	:help                   ""
	:x                      208
	:y                      80
	:width                  418
	:height                 15
	:value-x                322
	:value-y                80
	:value-length           38
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Features: (0,1,2)"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_feature_list)
		:when                   (Notify )
		:to                     (select_pop select_feature_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_file
	:owner                  select_controls
	:help                   ""
	:x                      208
	:y                      104
	:width                  281
	:height                 15
	:value-x                329
	:value-y                104
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Feature List File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_file)
		:when                   (Notify )
		:to                     (select_pop select_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   select_search_limit
	:owner                  select_controls
	:help                   ""
	:x                      208
	:y                      124
	:width                  281
	:height                 23
	:value-x                392
	:value-y                124
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Features to Use From File:"
	:label-type             :string
	:notify-handler         select_select_handler
	:event-handler          nil
	:choices                ("First N" "Best" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_search_limit)
		:when                   (Notify )
		:to                     (select_pop select_search_limit)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_n_II
	:owner                  select_controls
	:help                   ""
	:x                      501
	:y                      128
	:width                  96
	:height                 15
	:value-x                522
	:value-y                128
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "N:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              2000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_n_II)
		:when                   (Notify )
		:to                     (select_pop select_n_II)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   feature_labels1
	:owner                  select_controls
	:help                   ""
	:x                      16
	:y                      160
	:width                  104
	:height                 13
	:foreground-color       ""
	:label                  "Feature Labels:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   feature_labels
	:owner                  select_controls
	:help                   ""
	:x                      128
	:y                      160
	:width                  101
	:height                 13
	:foreground-color       ""
	:label                  "Feature Labels"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_warning
	:owner                  select_controls
	:help                   ""
	:x                      16
	:y                      192
	:width                  64
	:height                 64
	:foreground-color       "Red"
	:label                  "../warning.icon"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_warning)
		:when                   (Select )
		:to                     (select_pop select_warning)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_message_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_error_message
	:owner                  select_controls
	:help                   ""
	:x                      104
	:y                      208
	:width                  98
	:height                 13
	:foreground-color       "Red"
	:label                  "Error Message"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_error_message)
		:when                   (Select )
		:to                     (select_pop select_error_message)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_message_handler)
		)
	)
)
(
	:type                   :button
	:name                   select_generate
	:owner                  select_controls
	:help                   ""
	:x                      104
	:y                      232
	:width                  195
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Generate Feature List File . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_pop select_generate)
		:when                   (Notify )
		:to                     (select_pop select_generate)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_btn_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   select_generate_pop
	:owner                  nil
	:width                  445
	:height                 620
	:background-color       ""
	:foreground-color       ""
	:label                  "Generate Feature List File"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           select_gen_close_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop)
		:when                   (Done )
		:to                     (select_generate_pop)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_close_handler)
		)
	)
)
(
	:type                   :control-area
	:name                   select_generate_controls
	:owner                  select_generate_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  445
	:height                 620
	:background-color       "White"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_file_msg1
	:owner                  select_generate_controls
	:help                   ""
	:x                      16
	:y                      8
	:width                  113
	:height                 13
	:foreground-color       ""
	:label                  "Feature List File:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_file_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      137
	:y                      9
	:width                  113
	:height                 13
	:foreground-color       ""
	:label                  "Feature List File:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   select_run
	:owner                  select_generate_controls
	:help                   ""
	:x                      19
	:y                      32
	:width                  151
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "START Feature Search"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_run)
		:when                   (Notify )
		:to                     (select_generate_pop select_run)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_btn_handler)
		)
	)
)
(
	:type                   :button
	:name                   select_plot_only
	:owner                  select_generate_controls
	:help                   ""
	:x                      180
	:y                      32
	:width                  75
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Plot Only"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_plot_only)
		:when                   (Notify )
		:to                     (select_generate_pop select_plot_only)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_btn_handler)
		)
	)
)
(
	:type                   :button
	:name                   select_cancel
	:owner                  select_generate_controls
	:help                   ""
	:x                      265
	:y                      32
	:width                  145
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "STOP Feature Search"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_cancel)
		:when                   (Notify )
		:to                     (select_generate_pop select_cancel)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_btn_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_shell_script1
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      56
	:width                  82
	:height                 13
	:foreground-color       ""
	:label                  "Shell Script:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_shell_script
	:owner                  select_generate_controls
	:help                   ""
	:x                      120
	:y                      56
	:width                  101
	:height                 13
	:foreground-color       ""
	:label                  "vowel.for.S.run"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_log_file1
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      80
	:width                  56
	:height                 13
	:foreground-color       ""
	:label                  "Log File:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_log_file
	:owner                  select_generate_controls
	:help                   ""
	:x                      88
	:y                      80
	:width                  98
	:height                 13
	:foreground-color       ""
	:label                  "vowel.for.S.log"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   select_classifier
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      104
	:width                  303
	:height                 63
	:value-x                24
	:value-y                121
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Search Algorithm:"
	:label-type             :string
	:notify-handler         select_gen_select_handler
	:event-handler          nil
	:choices                ("Nearest-Neighbor Leave-One-Out CV" "Current classifier with N-Fold Cross Validation" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_classifier)
		:when                   (Notify )
		:to                     (select_generate_pop select_classifier)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_n_folds_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      419
	:y                      170
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_alg_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      56
	:y                      176
	:width                  68
	:height                 13
	:foreground-color       ""
	:label                  "Algorithm"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   select_n_folds
	:owner                  select_generate_controls
	:help                   ""
	:x                      288
	:y                      176
	:width                  129
	:height                 15
	:value-x                353
	:value-y                176
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "N-Folds:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_n_folds)
		:when                   (Notify )
		:to                     (select_generate_pop select_n_folds)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :button
	:name                   select_alg_params
	:owner                  select_generate_controls
	:help                   ""
	:x                      48
	:y                      192
	:width                  172
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Algorithm Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         select_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_alg_params)
		:when                   (Notify )
		:to                     (select_generate_pop select_alg_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_btn_handler)
		)
	)
)
(
	:type                   :setting
	:name                   select_direction
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      240
	:width                  124
	:height                 86
	:value-x                24
	:value-y                257
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Search Direction:"
	:label-type             :string
	:notify-handler         select_gen_select_handler
	:event-handler          nil
	:choices                ("Forward" "Backward" "Forward and Back" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_direction)
		:when                   (Notify )
		:to                     (select_generate_pop select_direction)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   stop_early
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      336
	:width                  224
	:height                 46
	:value-x                24
	:value-y                336
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         select_gen_select_handler
	:event-handler          nil
	:choices                ("Order all Features" "Stop Search Early, Find N Features" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop stop_early)
		:when                   (Notify )
		:to                     (select_generate_pop stop_early)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_search_n_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      355
	:y                      359
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   select_search_n
	:owner                  select_generate_controls
	:help                   ""
	:x                      256
	:y                      360
	:width                  92
	:height                 15
	:value-x                277
	:value-y                360
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "N:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_search_n)
		:when                   (Notify )
		:to                     (select_generate_pop select_search_n)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_line
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      392
	:width                  387
	:height                 13
	:foreground-color       ""
	:label                  "___________________________________________"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   select_do_plot
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      416
	:width                  117
	:height                 23
	:value-x                24
	:value-y                416
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         select_gen_select_handler
	:event-handler          nil
	:choices                ("Generate Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_do_plot)
		:when                   (Notify )
		:to                     (select_generate_pop select_do_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_plot_file1
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      440
	:width                  99
	:height                 13
	:foreground-color       ""
	:label                  "Plot file name:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_plot_file
	:owner                  select_generate_controls
	:help                   ""
	:x                      128
	:y                      440
	:width                  104
	:height                 13
	:foreground-color       ""
	:label                  "vowel.for.S.plot"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   select_autoscale
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      456
	:width                  120
	:height                 23
	:value-x                24
	:value-y                456
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         select_gen_select_handler
	:event-handler          nil
	:choices                ("Autoscale Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_autoscale)
		:when                   (Notify )
		:to                     (select_generate_pop select_autoscale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_axes_limits
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      480
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_xmin_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      169
	:y                      495
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   select_xmin
	:owner                  select_generate_controls
	:help                   ""
	:x                      48
	:y                      496
	:width                  114
	:height                 15
	:value-x                98
	:value-y                496
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_xmin)
		:when                   (Notify )
		:to                     (select_generate_pop select_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_ymin_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      325
	:y                      496
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   select_ymin
	:owner                  select_generate_controls
	:help                   ""
	:x                      204
	:y                      497
	:width                  114
	:height                 15
	:value-x                254
	:value-y                497
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_ymin)
		:when                   (Notify )
		:to                     (select_generate_pop select_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_xmax_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      169
	:y                      517
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_ymax_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      325
	:y                      518
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   select_xmax
	:owner                  select_generate_controls
	:help                   ""
	:x                      48
	:y                      520
	:width                  115
	:height                 15
	:value-x                99
	:value-y                520
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_xmax)
		:when                   (Notify )
		:to                     (select_generate_pop select_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_ymax
	:owner                  select_generate_controls
	:help                   ""
	:x                      204
	:y                      521
	:width                  115
	:height                 15
	:value-x                255
	:value-y                521
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_ymax)
		:when                   (Notify )
		:to                     (select_generate_pop select_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_xstep_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      169
	:y                      544
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_ystep_cr_msg
	:owner                  select_generate_controls
	:help                   ""
	:x                      325
	:y                      544
	:width                  16
	:height                 16
	:foreground-color       "Red"
	:label                  "../CR.cursor"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   select_xstep
	:owner                  select_generate_controls
	:help                   ""
	:x                      48
	:y                      546
	:width                  118
	:height                 15
	:value-x                102
	:value-y                546
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_xstep)
		:when                   (Notify )
		:to                     (select_generate_pop select_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_ystep
	:owner                  select_generate_controls
	:help                   ""
	:x                      204
	:y                      547
	:width                  118
	:height                 15
	:value-x                258
	:value-y                547
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         select_gen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (select_generate_pop select_ystep)
		:when                   (Notify )
		:to                     (select_generate_pop select_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_gen_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   select_plot_label1
	:owner                  select_generate_controls
	:help                   ""
	:x                      24
	:y                      576
	:width                  71
	:height                 13
	:foreground-color       ""
	:label                  "Plot Label:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   select_plot_label
	:owner                  select_generate_controls
	:help                   ""
	:x                      32
	:y                      592
	:width                  121
	:height                 13
	:foreground-color       ""
	:label                  "forward, mlp, cv 0"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
