;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  470
	:height                 295
	:background-color       ""
	:foreground-color       ""
	:label                  "Kmeans Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  470
	:height                 295
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   cluster_by_class
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      16
	:width                  259
	:height                 23
	:value-x                8
	:value-y                16
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gkmeans_select_handler
	:event-handler          nil
	:choices                ("Cluster ignoring class" "Cluster by class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cluster_by_class)
		:when                   (Notify )
		:to                     (popup1 cluster_by_class)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   equal_ncenters
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      48
	:width                  158
	:height                 46
	:value-x                8
	:value-y                48
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gkmeans_select_handler
	:event-handler          nil
	:choices                ("K equal for all classes" "Specify K for each class" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 equal_ncenters)
		:when                   (Notify )
		:to                     (popup1 equal_ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ncenters
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      52
	:width                  228
	:height                 15
	:value-x                356
	:value-y                52
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Number of Centers (K):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeans_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters)
		:when                   (Notify )
		:to                     (popup1 ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ncenters_list
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      76
	:width                  240
	:height                 32
	:value-x                192
	:value-y                93
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Centers per class (3,4,10,...):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeans_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters_list)
		:when                   (Notify )
		:to                     (popup1 ncenters_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   total_ncenters_msg
	:owner                  controls2
	:help                   ""
	:x                      192
	:y                      112
	:width                  244
	:height                 13
	:foreground-color       ""
	:label                  "This will create a total of N centers."
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   reduce_step
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      132
	:width                  369
	:height                 32
	:value-x                16
	:value-y                149
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Num. of Centers to remove at a time for non-binary K:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeans_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 reduce_step)
		:when                   (Notify )
		:to                     (popup1 reduce_step)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   stop_percentage
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      172
	:width                  306
	:height                 15
	:value-x                258
	:value-y                172
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop when % sq. error difference <"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeans_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 stop_percentage)
		:when                   (Notify )
		:to                     (popup1 stop_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_iteration
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      200
	:width                  409
	:height                 15
	:value-x                326
	:value-y                200
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Max. iterations after split or center removal:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeans_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 max_iteration)
		:when                   (Notify )
		:to                     (popup1 max_iteration)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   split_percentage
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      228
	:width                  341
	:height                 15
	:value-x                293
	:value-y                228
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Perturb +/- this % stddev on each split:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeans_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 split_percentage)
		:when                   (Notify )
		:to                     (popup1 split_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   add_random_offset
	:owner                  controls2
	:help                   ""
	:x                      96
	:y                      248
	:width                  234
	:height                 23
	:value-x                296
	:value-y                248
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Add Random Offset on split:"
	:label-type             :string
	:notify-handler         gkmeans_select_handler
	:event-handler          nil
	:choices                ("" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 add_random_offset)
		:when                   (Notify )
		:to                     (popup1 add_random_offset)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeans_select_handler)
		)
	)
)
)
