;GIL-3
(
(
	:type                   :popup-window
	:name                   param_pop
	:owner                  nil
	:width                  296
	:height                 85
	:background-color       ""
	:foreground-color       ""
	:label                  "KNN Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   param_controls
	:owner                  param_pop
	:help                   "Set parameters particular to the K Nearest
Neighbor Classifier"
	:x                      0
	:y                      0
	:width                  296
	:height                 85
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   k
	:owner                  param_controls
	:help                   "Number of Closest neighbors used to determine
Majority class during classification
"
	:x                      36
	:y                      16
	:width                  91
	:height                 15
	:value-x                56
	:value-y                16
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "K:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gknn_k_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop k)
		:when                   (Notify )
		:to                     (param_pop k)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gknn_k_handler)
		)
	)
)
(
	:type                   :setting
	:name                   leave_1_out
	:owner                  param_controls
	:help                   ""
	:x                      36
	:y                      40
	:width                  229
	:height                 23
	:value-x                36
	:value-y                40
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gknn_leave_1_out_handler
	:event-handler          nil
	:choices                ("Leave-one-out Cross Validation" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (param_pop leave_1_out)
		:when                   (Notify )
		:to                     (param_pop leave_1_out)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gknn_leave_1_out_handler)
		)
	)
)
)
