;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  292
	:height                 322
	:background-color       ""
	:foreground-color       ""
	:label                  "Parzen Window Classifier"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  292
	:height                 322
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   train_msg
	:owner                  controls1
	:help                   ""
	:x                      8
	:y                      8
	:width                  144
	:height                 13
	:foreground-color       ""
	:label                  "Training Parameters:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   grand
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      32
	:width                  191
	:height                 63
	:value-x                24
	:value-y                49
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Diagonal Covariance Matrix:"
	:label-type             :string
	:notify-handler         gparzen_select_handler
	:event-handler          nil
	:choices                ("Separate for Each Class" "Same for All Classes (Grand)" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 grand)
		:when                   (Notify )
		:to                     (popup1 grand)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gparzen_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   per_input
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      104
	:width                  237
	:height                 63
	:value-x                24
	:value-y                121
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Covariance Matrix Components:"
	:label-type             :string
	:notify-handler         gparzen_select_handler
	:event-handler          nil
	:choices                ("Same for All Features (Circular)" "Separate for Each Feature (Elliptical)" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 per_input)
		:when                   (Notify )
		:to                     (popup1 per_input)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gparzen_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   minimum_variance
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      176
	:width                  221
	:height                 15
	:value-x                165
	:value-y                176
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gparzen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 minimum_variance)
		:when                   (Notify )
		:to                     (popup1 minimum_variance)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gparzen_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   test_msg
	:owner                  controls1
	:help                   ""
	:x                      8
	:y                      208
	:width                  137
	:height                 13
	:foreground-color       ""
	:label                  "Testing Parameters:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   spread
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      224
	:width                  224
	:height                 15
	:value-x                168
	:value-y                224
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Variance Multiplier:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gparzen_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 spread)
		:when                   (Notify )
		:to                     (popup1 spread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gparzen_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   linear
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      248
	:width                  88
	:height                 63
	:value-x                24
	:value-y                265
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Kernel Type:"
	:label-type             :string
	:notify-handler         gparzen_select_handler
	:event-handler          nil
	:choices                ("Gaussian" "Rectangular" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 linear)
		:when                   (Notify )
		:to                     (popup1 linear)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gparzen_select_handler)
		)
	)
)
)
