;GIL-3
(
(
	:type                   :popup-window
	:name                   plot_pop
	:owner                  main_window
	:width                  353
	:height                 603
	:background-color       ""
	:foreground-color       ""
	:label                  "Plotting Controls"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   plot_controls
	:owner                  plot_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  353
	:height                 603
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   plots_message
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      8
	:width                  214
	:height                 13
	:foreground-color       ""
	:label                  "Classification/Parameter Plots:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   decision_message
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      32
	:width                  152
	:height                 13
	:foreground-color       ""
	:label                  "Decision Region Plots:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   bound_select_test
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      56
	:width                  154
	:height                 81
	:value-x                32
	:value-y                56
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Decision Regions" "Scatter of Test Data" "Internals" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop bound_select_test)
		:when                   (Notify )
		:to                     (plot_pop bound_select_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_bound_params
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      88
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop plot_bound_params)
		:when                   (Notify )
		:to                     (plot_pop plot_bound_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :message
	:name                   plots_message2
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      144
	:width                  87
	:height                 13
	:foreground-color       ""
	:label                  "Profile Plots:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   profile_select_test
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      168
	:width                  197
	:height                 52
	:value-x                32
	:value-y                168
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Profile (Classifier Outputs)" "Histogram of Test Data" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop profile_select_test)
		:when                   (Notify )
		:to                     (plot_pop profile_select_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_profile_params
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      184
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop plot_profile_params)
		:when                   (Notify )
		:to                     (plot_pop plot_profile_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :setting
	:name                   do_train_plots
	:owner                  plot_controls
	:help                   ""
	:x                      64
	:y                      232
	:width                  188
	:height                 63
	:value-x                64
	:value-y                249
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Create Plots For:"
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Test Data Only" "Training Data and Test Data" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop do_train_plots)
		:when                   (Notify )
		:to                     (plot_pop do_train_plots)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   epoch_plots
	:owner                  plot_controls
	:help                   ""
	:x                      64
	:y                      304
	:width                  243
	:height                 23
	:value-x                64
	:value-y                304
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Use Movie Mode for Training Plots" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop epoch_plots)
		:when                   (Notify )
		:to                     (plot_pop epoch_plots)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   e_per_plot
	:owner                  plot_controls
	:help                   ""
	:x                      88
	:y                      328
	:width                  188
	:height                 15
	:value-x                205
	:value-y                328
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Epochs per Plot:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         plots_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop e_per_plot)
		:when                   (Notify )
		:to                     (plot_pop e_per_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   plot_struct_msg
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      368
	:width                  104
	:height                 13
	:foreground-color       ""
	:label                  "Structure Plots:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   struct_plot_select
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      384
	:width                  174
	:height                 23
	:value-x                32
	:value-y                384
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Structure Plot . . . . . . . ." )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop struct_plot_select)
		:when                   (Notify )
		:to                     (plot_pop struct_plot_select)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   struct_plot_parameters
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      386
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop struct_plot_parameters)
		:when                   (Notify )
		:to                     (plot_pop struct_plot_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :message
	:name                   plot_err_graph_msg
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      424
	:width                  182
	:height                 13
	:foreground-color       ""
	:label                  "Training Error File Graphs:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   cost_plot_select
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      440
	:width                  160
	:height                 23
	:value-x                32
	:value-y                440
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Cost  . . . . . . . . . . . . . " )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop cost_plot_select)
		:when                   (Notify )
		:to                     (plot_pop cost_plot_select)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_cost_params
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      440
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop plot_cost_params)
		:when                   (Notify )
		:to                     (plot_pop plot_cost_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :button
	:name                   percent_error_parameters
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      464
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop percent_error_parameters)
		:when                   (Notify )
		:to                     (plot_pop percent_error_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :setting
	:name                   perr_plot_select
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      469
	:width                  155
	:height                 23
	:value-x                32
	:value-y                469
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Percent Error . . . . . ." )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop perr_plot_select)
		:when                   (Notify )
		:to                     (plot_pop perr_plot_select)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   plot_test_err_graph_msg
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      504
	:width                  175
	:height                 13
	:foreground-color       ""
	:label                  "Testing Error File Graphs:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   prob_plot_select
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      520
	:width                  188
	:height                 23
	:value-x                32
	:value-y                520
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Posterior Probability  . . . " )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop prob_plot_select)
		:when                   (Notify )
		:to                     (plot_pop prob_plot_select)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_prob_params
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      520
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop plot_prob_params)
		:when                   (Notify )
		:to                     (plot_pop plot_prob_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :setting
	:name                   detect_plot_select
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      544
	:width                  177
	:height                 23
	:value-x                32
	:value-y                544
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Detection (ROC)  . . . . . ." )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop detect_plot_select)
		:when                   (Notify )
		:to                     (plot_pop detect_plot_select)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_detect_params
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      544
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop plot_detect_params)
		:when                   (Notify )
		:to                     (plot_pop plot_detect_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
(
	:type                   :setting
	:name                   reject_plot_select
	:owner                  plot_controls
	:help                   ""
	:x                      32
	:y                      568
	:width                  181
	:height                 23
	:value-x                32
	:value-y                568
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         plots_select_handler
	:event-handler          nil
	:choices                ("Rejection . . . . . . . . . . . . ." )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop reject_plot_select)
		:when                   (Notify )
		:to                     (plot_pop reject_plot_select)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_reject_params
	:owner                  plot_controls
	:help                   ""
	:x                      216
	:y                      568
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plots_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop plot_reject_params)
		:when                   (Notify )
		:to                     (plot_pop plot_reject_params)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plots_btn_handler)
		)
	)
)
)
