;GIL-3
(
(
	:type                   :popup-window
	:name                   prob_pop
	:owner                  main_window
	:width                  387
	:height                 518
	:background-color       ""
	:foreground-color       ""
	:label                  "Posterior Probability Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   prob_line_controls
	:owner                  prob_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  387
	:height                 518
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   target
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      8
	:width                  137
	:height                 15
	:value-x                105
	:value-y                8
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Target Class:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop target)
		:when                   (Notify )
		:to                     (prob_pop target)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :message
	:name                   target_label
	:owner                  prob_line_controls
	:help                   ""
	:x                      160
	:y                      8
	:width                  38
	:height                 13
	:foreground-color       ""
	:label                  "Label"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   bin_plot
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      32
	:width                  157
	:height                 63
	:value-x                8
	:value-y                49
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Plot Type:"
	:label-type             :string
	:notify-handler         prob_select_handler
	:event-handler          nil
	:choices                ("Scatter Plot" "Binned Probability Plot" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop bin_plot)
		:when                   (Notify )
		:to                     (prob_pop bin_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   var_bin
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      112
	:width                  153
	:height                 46
	:value-x                8
	:value-y                112
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         prob_select_handler
	:event-handler          nil
	:choices                ("N Constant Width Bins" "Specify Bin Ends" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop var_bin)
		:when                   (Notify )
		:to                     (prob_pop var_bin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_select_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   nbins
	:owner                  prob_line_controls
	:help                   ""
	:x                      176
	:y                      112
	:width                  92
	:height                 15
	:value-x                228
	:value-y                112
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Nbins:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop nbins)
		:when                   (Notify )
		:to                     (prob_pop nbins)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   bin_ends
	:owner                  prob_line_controls
	:help                   ""
	:x                      176
	:y                      136
	:width                  200
	:height                 32
	:value-x                176
	:value-y                153
	:value-length           25
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Bin Ends(0,10,...,100):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop bin_ends)
		:when                   (Notify )
		:to                     (prob_pop bin_ends)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_bin_count
	:owner                  prob_line_controls
	:help                   ""
	:x                      32
	:y                      176
	:width                  306
	:height                 15
	:value-x                298
	:value-y                176
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum number of patterns per bin"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop min_bin_count)
		:when                   (Notify )
		:to                     (prob_pop min_bin_count)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :setting
	:name                   chi_square
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      200
	:width                  169
	:height                 23
	:value-x                8
	:value-y                200
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         prob_select_handler
	:event-handler          nil
	:choices                ("Calculate Chi Squared" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop chi_square)
		:when                   (Notify )
		:to                     (prob_pop chi_square)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   no_text
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      232
	:width                  128
	:height                 23
	:value-x                8
	:value-y                232
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         prob_select_handler
	:event-handler          nil
	:choices                ("No Text on Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop no_text)
		:when                   (Notify )
		:to                     (prob_pop no_text)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   verbose
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      264
	:width                  183
	:height                 23
	:value-x                8
	:value-y                264
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         prob_select_handler
	:event-handler          nil
	:choices                ("Print Probabilities Table" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop verbose)
		:when                   (Notify )
		:to                     (prob_pop verbose)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_select_handler)
		)
	)
)
(
	:type                   :setting
	:name                   sum_to_one
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      296
	:width                  242
	:height                 23
	:value-x                8
	:value-y                296
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         prob_select_handler
	:event-handler          nil
	:choices                ("Normalize Outputs to Sum to One" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop sum_to_one)
		:when                   (Notify )
		:to                     (prob_pop sum_to_one)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_select_handler)
		)
	)
)
(
	:type                   :message
	:name                   prob_axes_limits
	:owner                  prob_line_controls
	:help                   ""
	:x                      12
	:y                      328
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   prob_xmin
	:owner                  prob_line_controls
	:help                   ""
	:x                      28
	:y                      352
	:width                  114
	:height                 15
	:value-x                78
	:value-y                352
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop prob_xmin)
		:when                   (Notify )
		:to                     (prob_pop prob_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   prob_xmax
	:owner                  prob_line_controls
	:help                   ""
	:x                      28
	:y                      376
	:width                  115
	:height                 15
	:value-x                79
	:value-y                376
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop prob_xmax)
		:when                   (Notify )
		:to                     (prob_pop prob_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   prob_xstep
	:owner                  prob_line_controls
	:help                   ""
	:x                      28
	:y                      402
	:width                  118
	:height                 15
	:value-x                82
	:value-y                402
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop prob_xstep)
		:when                   (Notify )
		:to                     (prob_pop prob_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :group
	:name                   group1
	:x                      28
	:y                      352
	:group-type             nil
	:members                (prob_xmin prob_xmax prob_xstep )
	:rows                   0
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   prob_ymin
	:owner                  prob_line_controls
	:help                   ""
	:x                      160
	:y                      352
	:width                  114
	:height                 15
	:value-x                210
	:value-y                352
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop prob_ymin)
		:when                   (Notify )
		:to                     (prob_pop prob_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   prob_ymax
	:owner                  prob_line_controls
	:help                   ""
	:x                      160
	:y                      376
	:width                  115
	:height                 15
	:value-x                211
	:value-y                376
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop prob_ymax)
		:when                   (Notify )
		:to                     (prob_pop prob_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   prob_ystep
	:owner                  prob_line_controls
	:help                   ""
	:x                      160
	:y                      402
	:width                  118
	:height                 15
	:value-x                214
	:value-y                402
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         prob_text_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (prob_pop prob_ystep)
		:when                   (Notify )
		:to                     (prob_pop prob_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (prob_text_handler)
		)
	)
)
(
	:type                   :group
	:name                   group2
	:x                      160
	:y                      352
	:group-type             nil
	:members                (prob_ymin prob_ymax prob_ystep )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   prob_plot_label1
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      432
	:width                  71
	:height                 13
	:foreground-color       ""
	:label                  "Plot Label:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   prob_plot_label
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      448
	:width                  102
	:height                 13
	:foreground-color       ""
	:label                  "prob plot label"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   prob_plot_file1
	:owner                  prob_line_controls
	:help                   ""
	:x                      8
	:y                      480
	:width                  104
	:height                 13
	:foreground-color       ""
	:label                  "Prob file name:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   prob_plot_file
	:owner                  prob_line_controls
	:help                   ""
	:x                      120
	:y                      480
	:width                  109
	:height                 13
	:foreground-color       ""
	:label                  "X1mlp.prob.plot"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
