;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  465
	:height                 194
	:background-color       ""
	:foreground-color       ""
	:label                  "Kmeans Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  465
	:height                 194
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   ncenters
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      16
	:width                  263
	:height                 15
	:value-x                180
	:value-y                16
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Centers (K):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1024
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeansm_ncenters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 ncenters)
		:when                   (Notify )
		:to                     (popup1 ncenters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeansm_ncenters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   reduce_step
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      40
	:width                  369
	:height                 32
	:value-x                16
	:value-y                57
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Num. of Centers to remove at a time for non-binary K:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeansm_reduce_step_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 reduce_step)
		:when                   (Notify )
		:to                     (popup1 reduce_step)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeansm_reduce_step_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   stop_percentage
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      80
	:width                  306
	:height                 15
	:value-x                258
	:value-y                80
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stop when % sq. error difference <"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeansm_stop_percentage_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 stop_percentage)
		:when                   (Notify )
		:to                     (popup1 stop_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeansm_stop_percentage_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_iteration
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      108
	:width                  409
	:height                 15
	:value-x                326
	:value-y                108
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Max. iterations after split or center removal:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeansm_max_iteration_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 max_iteration)
		:when                   (Notify )
		:to                     (popup1 max_iteration)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeansm_max_iteration_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   split_percentage
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      136
	:width                  341
	:height                 15
	:value-x                293
	:value-y                136
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Perturb +/- this % stddev on each split:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gkmeansm_split_percentage_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 split_percentage)
		:when                   (Notify )
		:to                     (popup1 split_percentage)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeansm_split_percentage_handler)
		)
	)
)
(
	:type                   :setting
	:name                   add_random_offset
	:owner                  controls2
	:help                   ""
	:x                      96
	:y                      156
	:width                  234
	:height                 23
	:value-x                296
	:value-y                156
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Add Random Offset on split:"
	:label-type             :string
	:notify-handler         gkmeansm_add_random_offset_handler
	:event-handler          nil
	:choices                ("" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 add_random_offset)
		:when                   (Notify )
		:to                     (popup1 add_random_offset)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gkmeansm_add_random_offset_handler)
		)
	)
)
)
