;GIL-3
(
(
	:type                   :menu
	:name                   quit_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("CANCEL" "CONFIRM" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil confirm_handler )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (quit_menu "CONFIRM")
		:when                   (Notify )
		:to                     (quit_menu "CONFIRM")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (confirm_handler)
		)
	)
)
(
	:type                   :menu
	:name                   mappers
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Mapping"
	:menu-item-labels       ("MLPM (Multi-Layer Perceptron)" "RBFM (Radial Basis Function)" "IRBFM (Incremental RBF)" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (nil nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (alg_mlpm_handler alg_rbfm_handler alg_irbfm_handler )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (mappers "MLPM (Multi-Layer Perceptron)")
		:when                   (Notify )
		:to                     (mappers "MLPM (Multi-Layer Perceptron)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_mlpm_handler)
		)
		(
		:from                   (mappers "RBFM (Radial Basis Function)")
		:when                   (Notify )
		:to                     (mappers "RBFM (Radial Basis Function)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_rbfm_handler)
		)
		(
		:from                   (mappers "IRBFM (Incremental RBF)")
		:when                   (Notify )
		:to                     (mappers "IRBFM (Incremental RBF)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_irbfm_handler)
		)
	)
)
(
	:type                   :menu
	:name                   clusters
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Clusters"
	:menu-item-labels       ("KMEANSM (K Means Clustering)" )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (nil )
	:initial-selections     (nil )
	:menu-item-handlers     (alg_kmeansm_handler )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (clusters "KMEANSM (K Means Clustering)")
		:when                   (Notify )
		:to                     (clusters "KMEANSM (K Means Clustering)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_kmeansm_handler)
		)
	)
)
(
	:type                   :menu
	:name                   alg_groups
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Algorithm Groups"
	:menu-item-labels       ("Mapping" "Clustering" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil nil )
	:menu-item-menus        (mappers clusters )
	:menu-item-colors       ("" "" )
	:pinnable               t
	:user-data              ()
	:actions                ()
)
(
	:type                   :base-window
	:name                   window1
	:owner                  nil
	:width                  577
	:height                 451
	:background-color       ""
	:foreground-color       ""
	:label                  "LNKmap v1 10/92"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              t
	:icon-file              "lnkmap.icon"
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   base_controls
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      0
	:width                  577
	:height                 451
	:background-color       "White"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   quit
	:owner                  base_controls
	:help                   ""
	:x                      16
	:y                      12
	:width                  71
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       "red"
	:label                  "QUIT  "
	:label-type             :string
	:initial-state          :active
	:menu                   quit_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   save_defaults
	:owner                  base_controls
	:help                   ""
	:x                      96
	:y                      12
	:width                  113
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "SAVE DEFAULTS"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         save_defaults_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 save_defaults)
		:when                   (Notify )
		:to                     (window1 save_defaults)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (save_defaults_handler)
		)
	)
)
(
	:type                   :button
	:name                   algorithms
	:owner                  base_controls
	:help                   ""
	:x                      252
	:y                      12
	:width                  105
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "ALGORITHM"
	:label-type             :string
	:initial-state          :active
	:menu                   alg_groups
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   algorithm_sel
	:owner                  base_controls
	:help                   "select an algorithm"
	:x                      364
	:y                      18
	:width                  129
	:height                 13
	:foreground-color       ""
	:label                  "Selected Algorithm"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   control_experiment_header
	:owner                  base_controls
	:help                   ""
	:x                      16
	:y                      40
	:width                  160
	:height                 13
	:foreground-color       ""
	:label                  "CONTROL EXPERIMENT:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   algorithm_parameters
	:owner                  base_controls
	:help                   "display the parameter window for the current algorithm"
	:x                      252
	:y                      40
	:width                  148
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Algorithm Params . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         algorithm_parameters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 algorithm_parameters)
		:when                   (Notify )
		:to                     (window1 algorithm_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (algorithm_parameters_handler)
		)
	)
)
(
	:type                   :button
	:name                   start_run
	:owner                  base_controls
	:help                   ""
	:x                      4
	:y                      56
	:width                  129
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "START New Exper."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         start_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 start_run)
		:when                   (Notify )
		:to                     (window1 start_run)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (start_handler)
		)
	)
)
(
	:type                   :button
	:name                   stop_run
	:owner                  base_controls
	:help                   ""
	:x                      136
	:y                      56
	:width                  92
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "STOP Exper."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         stop_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 stop_run)
		:when                   (Notify )
		:to                     (window1 stop_run)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (stop_handler)
		)
	)
)
(
	:type                   :button
	:name                   feature_select
	:owner                  base_controls
	:help                   ""
	:x                      252
	:y                      76
	:width                  134
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Feature Params . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 feature_select)
		:when                   (Notify )
		:to                     (feature_pop)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :button
	:name                   Continue
	:owner                  base_controls
	:help                   "Continue training the model for the current experiment"
	:x                      24
	:y                      80
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "CONTINUE Current Exper."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         continue_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 Continue)
		:when                   (Notify )
		:to                     (window1 Continue)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (continue_handler)
		)
	)
)
(
	:type                   :button
	:name                   plot_only
	:owner                  base_controls
	:help                   ""
	:x                      60
	:y                      104
	:width                  87
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "PLOT ONLY"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         plot_only_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 plot_only)
		:when                   (Notify )
		:to                     (window1 plot_only)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (plot_only_handler)
		)
	)
)
(
	:type                   :button
	:name                   file_button
	:owner                  base_controls
	:help                   ""
	:x                      252
	:y                      112
	:width                  67
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Files . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 file_button)
		:when                   (Notify )
		:to                     (file_pop)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :setting
	:name                   store_only
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      128
	:width                  239
	:height                 23
	:value-x                8
	:value-y                128
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         store_handler
	:event-handler          nil
	:choices                ("Only store shell script, do not run" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 store_only)
		:when                   (Notify )
		:to                     (window1 store_only)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (store_handler)
		)
	)
)
(
	:type                   :setting
	:name                   normalize
	:owner                  base_controls
	:help                   ""
	:x                      252
	:y                      144
	:width                  322
	:height                 23
	:value-x                360
	:value-y                144
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Normalization:"
	:label-type             :string
	:notify-handler         normalize_handler
	:event-handler          nil
	:choices                ("None" "Simple (mean=0, variance=1)" "Principal Components (PC)" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:choice-defaults        (nil nil nil )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 normalize)
		:when                   (Notify )
		:to                     (window1 normalize)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (normalize_handler)
		)
	)
)
(
	:type                   :message
	:name                   exper_msg1
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      152
	:width                  86
	:height                 13
	:foreground-color       ""
	:label                  "EXPERIMENT"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   norm_file
	:owner                  base_controls
	:help                   ""
	:x                      252
	:y                      168
	:width                  272
	:height                 15
	:value-x                332
	:value-y                168
	:value-length           24
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Norm. File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_fname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 norm_file)
		:when                   (Notify )
		:to                     (window1 norm_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_fname_handler)
		)
	)
)
(
	:type                   :setting
	:name                   train_select1
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      176
	:width                  66
	:height                 23
	:value-x                8
	:value-y                176
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         train1_handler
	:event-handler          nil
	:choices                ("Train" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 train_select1)
		:when                   (Notify )
		:to                     (window1 train_select1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (train1_handler)
		)
	)
)
(
	:type                   :setting
	:name                   train_select2
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      200
	:width                  166
	:height                 23
	:value-x                8
	:value-y                200
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         train2_handler
	:event-handler          nil
	:choices                ("Test on Training Data" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 train_select2)
		:when                   (Notify )
		:to                     (window1 train_select2)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (train2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   experiment_name
	:owner                  base_controls
	:help                   ""
	:x                      252
	:y                      200
	:width                  151
	:height                 15
	:value-x                347
	:value-y                200
	:value-length           7
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Exper. Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         experiment_name_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 experiment_name)
		:when                   (Notify )
		:to                     (window1 experiment_name)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (experiment_name_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   experiment_number
	:owner                  base_controls
	:help                   ""
	:x                      416
	:y                      200
	:width                  141
	:height                 15
	:value-x                482
	:value-y                200
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         experiment_number_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 experiment_number)
		:when                   (Notify )
		:to                     (window1 experiment_number)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (experiment_number_handler)
		)
	)
)
(
	:type                   :setting
	:name                   auto_inc
	:owner                  base_controls
	:help                   ""
	:x                      288
	:y                      216
	:width                  258
	:height                 23
	:value-x                288
	:value-y                216
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         auto_inc_handler
	:event-handler          nil
	:choices                ("Auto-increment experiment number" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 auto_inc)
		:when                   (Notify )
		:to                     (window1 auto_inc)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (auto_inc_handler)
		)
	)
)
(
	:type                   :setting
	:name                   train_select3
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      224
	:width                  60
	:height                 52
	:value-x                8
	:value-y                224
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         train3_handler
	:event-handler          nil
	:choices                ("Eval" "Test" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 train_select3)
		:when                   (Notify )
		:to                     (window1 train_select3)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (train3_handler)
		)
	)
)
(
	:type                   :button
	:name                   restore_defaults
	:owner                  base_controls
	:help                   ""
	:x                      256
	:y                      248
	:width                  187
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Restore Experiment Screens"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         restore_defaults_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 restore_defaults)
		:when                   (Notify )
		:to                     (window1 restore_defaults)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (restore_defaults_handler)
		)
	)
)
(
	:type                   :setting
	:name                   random_flag
	:owner                  base_controls
	:help                   ""
	:x                      248
	:y                      272
	:width                  201
	:height                 23
	:value-x                248
	:value-y                272
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         random_flag_handler
	:event-handler          nil
	:choices                ("Random presentation order" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 random_flag)
		:when                   (Notify )
		:to                     (window1 random_flag)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (random_flag_handler)
		)
	)
)
(
	:type                   :setting
	:name                   enable_plotting
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      280
	:width                  127
	:height                 23
	:value-x                8
	:value-y                280
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         enable_plotting_handler
	:event-handler          nil
	:choices                ("Enable Plotting" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 enable_plotting)
		:when                   (Notify )
		:to                     (window1 enable_plotting)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (enable_plotting_handler)
		)
	)
)
(
	:type                   :button
	:name                   plots
	:owner                  base_controls
	:help                   ""
	:x                      152
	:y                      280
	:width                  69
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Plots . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 plots)
		:when                   (Notify )
		:to                     (plot_pop)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :text-field
	:name                   seed
	:owner                  base_controls
	:help                   ""
	:x                      248
	:y                      296
	:width                  134
	:height                 15
	:value-x                299
	:value-y                296
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Seed:  "
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         seed_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 seed)
		:when                   (Notify )
		:to                     (window1 seed)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (seed_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cvtest_flag
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      304
	:width                  182
	:height                 23
	:value-x                8
	:value-y                304
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         cvtest_handler
	:event-handler          nil
	:choices                ("N-fold Cross-Validation" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 cvtest_flag)
		:when                   (Notify )
		:to                     (window1 cvtest_flag)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cvtest_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cv_from_file
	:owner                  base_controls
	:help                   ""
	:x                      24
	:y                      328
	:width                  71
	:height                 46
	:value-x                24
	:value-y                328
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         cv_from_file_handler
	:event-handler          nil
	:choices                ("Autosplit" "From file" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 cv_from_file)
		:when                   (Notify )
		:to                     (window1 cv_from_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cv_from_file_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cross_valid
	:owner                  base_controls
	:help                   ""
	:x                      108
	:y                      332
	:width                  118
	:height                 15
	:value-x                155
	:value-y                332
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Folds:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10000
	:min-value              2
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         cross_valid_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 cross_valid)
		:when                   (Notify )
		:to                     (window1 cross_valid)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cross_valid_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ext_cv
	:owner                  base_controls
	:help                   ""
	:x                      108
	:y                      352
	:width                  136
	:height                 15
	:value-x                196
	:value-y                352
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File Extens.:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ext_cv_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 ext_cv)
		:when                   (Notify )
		:to                     (window1 ext_cv)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ext_cv_handler)
		)
	)
)
(
	:type                   :setting
	:name                   epoch_plots
	:owner                  base_controls
	:help                   ""
	:x                      8
	:y                      384
	:width                  204
	:height                 23
	:value-x                8
	:value-y                384
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         epoch_plots_handler
	:event-handler          nil
	:choices                ("Store periodic training plots" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 epoch_plots)
		:when                   (Notify )
		:to                     (window1 epoch_plots)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (epoch_plots_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   e_per_plot
	:owner                  base_controls
	:help                   ""
	:x                      56
	:y                      408
	:width                  188
	:height                 15
	:value-x                173
	:value-y                408
	:value-length           3
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Epochs per Plot:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         e_per_plot_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 e_per_plot)
		:when                   (Notify )
		:to                     (window1 e_per_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (e_per_plot_handler)
		)
	)
)
(
	:type                   :message
	:name                   warning_message
	:owner                  base_controls
	:help                   ""
	:x                      40
	:y                      432
	:width                  463
	:height                 13
	:foreground-color       ""
	:label                  "NOTE: Entries in text fields MUST be followed by <Return> or <Tab>"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :popup-window
	:name                   clus_plot
	:owner                  window1
	:width                  414
	:height                 583
	:background-color       ""
	:foreground-color       ""
	:label                  "Cluster Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   clus_plot_controls
	:owner                  clus_plot
	:help                   ""
	:x                      0
	:y                      0
	:width                  414
	:height                 583
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   clus_plot_file
	:owner                  clus_plot_controls
	:help                   ""
	:x                      16
	:y                      8
	:width                  347
	:height                 15
	:value-x                123
	:value-y                8
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot file name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_plot_file_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_plot_file)
		:when                   (Notify )
		:to                     (clus_plot clus_plot_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_plot_file_handler)
		)
	)
)
(
	:type                   :message
	:name                   clus_dim_range
	:owner                  clus_plot_controls
	:help                   ""
	:x                      12
	:y                      32
	:width                  174
	:height                 13
	:foreground-color       ""
	:label                  "Input Dimensions to Plot:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   clus_dim_1
	:owner                  clus_plot_controls
	:help                   ""
	:x                      36
	:y                      56
	:width                  283
	:height                 15
	:value-x                220
	:value-y                56
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Horizontal (X) Dimension:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   clus_dim_2
	:owner                  clus_plot_controls
	:help                   ""
	:x                      36
	:y                      80
	:width                  265
	:height                 15
	:value-x                202
	:value-y                80
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Vertical (Y) Dimension;"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_dim_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_dim_2)
		:when                   (Notify )
		:to                     (clus_plot clus_dim_2)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_dim_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_other_vars
	:owner                  clus_plot_controls
	:help                   ""
	:x                      32
	:y                      104
	:width                  330
	:height                 32
	:value-x                32
	:value-y                121
	:value-length           41
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Settings for Other Dimensions (include X and Y)"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_other_vars_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_other_vars)
		:when                   (Notify )
		:to                     (clus_plot clus_other_vars)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_other_vars_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_npoints
	:owner                  clus_plot_controls
	:help                   ""
	:x                      20
	:y                      160
	:width                  336
	:height                 15
	:value-x                257
	:value-y                160
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Points per Dimension:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_npoints_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_npoints)
		:when                   (Notify )
		:to                     (clus_plot clus_npoints)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_npoints_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clus_autoscale
	:owner                  clus_plot_controls
	:help                   ""
	:x                      16
	:y                      184
	:width                  120
	:height                 23
	:value-x                16
	:value-y                184
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         clus_autoscale_handler
	:event-handler          nil
	:choices                ("Autoscale Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_autoscale)
		:when                   (Notify )
		:to                     (clus_plot clus_autoscale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_autoscale_handler)
		)
	)
)
(
	:type                   :message
	:name                   clus_axes_limits
	:owner                  clus_plot_controls
	:help                   ""
	:x                      24
	:y                      212
	:width                  83
	:height                 13
	:foreground-color       ""
	:label                  "Axes Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   clus_xmin
	:owner                  clus_plot_controls
	:help                   ""
	:x                      48
	:y                      236
	:width                  86
	:height                 15
	:value-x                98
	:value-y                236
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_xmin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_xmin)
		:when                   (Notify )
		:to                     (clus_plot clus_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_xmin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_ymin
	:owner                  clus_plot_controls
	:help                   ""
	:x                      160
	:y                      236
	:width                  86
	:height                 15
	:value-x                210
	:value-y                236
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_ymin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_ymin)
		:when                   (Notify )
		:to                     (clus_plot clus_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_ymin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_xmax
	:owner                  clus_plot_controls
	:help                   ""
	:x                      48
	:y                      260
	:width                  87
	:height                 15
	:value-x                99
	:value-y                260
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_xmax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_xmax)
		:when                   (Notify )
		:to                     (clus_plot clus_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_xmax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_ymax
	:owner                  clus_plot_controls
	:help                   ""
	:x                      160
	:y                      260
	:width                  87
	:height                 15
	:value-x                211
	:value-y                260
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_ymax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_ymax)
		:when                   (Notify )
		:to                     (clus_plot clus_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_ymax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_xstep
	:owner                  clus_plot_controls
	:help                   ""
	:x                      48
	:y                      284
	:width                  90
	:height                 15
	:value-x                102
	:value-y                284
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_xstep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_xstep)
		:when                   (Notify )
		:to                     (clus_plot clus_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_xstep_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_ystep
	:owner                  clus_plot_controls
	:help                   ""
	:x                      160
	:y                      284
	:width                  90
	:height                 15
	:value-x                214
	:value-y                284
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_ystep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_ystep)
		:when                   (Notify )
		:to                     (clus_plot clus_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_ystep_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clus_no_norm
	:owner                  clus_plot_controls
	:help                   ""
	:x                      16
	:y                      312
	:width                  222
	:height                 23
	:value-x                16
	:value-y                312
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         clus_no_norm_handler
	:event-handler          nil
	:choices                ("Do Not Normalize Data for Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_no_norm)
		:when                   (Notify )
		:to                     (clus_plot clus_no_norm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_no_norm_handler)
		)
	)
)
(
	:type                   :setting
	:name                   show_all_check_box
	:owner                  clus_plot_controls
	:help                   ""
	:x                      16
	:y                      344
	:width                  161
	:height                 23
	:value-x                16
	:value-y                344
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         show_all_handler
	:event-handler          nil
	:choices                ("Show All Data Points" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot show_all_check_box)
		:when                   (Notify )
		:to                     (clus_plot show_all_check_box)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (show_all_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   distance_limit
	:owner                  clus_plot_controls
	:help                   ""
	:x                      52
	:y                      372
	:width                  306
	:height                 15
	:value-x                294
	:value-y                372
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Show points at this distance limit:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         distance_limit_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot distance_limit)
		:when                   (Notify )
		:to                     (clus_plot distance_limit)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (distance_limit_handler)
		)
	)
)
(
	:type                   :message
	:name                   internals
	:owner                  clus_plot_controls
	:help                   ""
	:x                      32
	:y                      400
	:width                  66
	:height                 13
	:foreground-color       ""
	:label                  "Internals:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   internals_level
	:owner                  clus_plot_controls
	:help                   ""
	:x                      48
	:y                      424
	:width                  182
	:height                 15
	:value-x                159
	:value-y                424
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Level of Detail:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         internals_level_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot internals_level)
		:when                   (Notify )
		:to                     (clus_plot internals_level)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (internals_level_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   internals_scale
	:owner                  clus_plot_controls
	:help                   ""
	:x                      48
	:y                      440
	:width                  204
	:height                 15
	:value-x                188
	:value-y                440
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Global Scale Factor:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         internals_scale_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot internals_scale)
		:when                   (Notify )
		:to                     (clus_plot internals_scale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (internals_scale_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   clus_plot_label
	:owner                  clus_plot_controls
	:help                   ""
	:x                      24
	:y                      472
	:width                  360
	:height                 32
	:value-x                24
	:value-y                489
	:value-length           45
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Region Plot Label:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         clus_plot_label_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (clus_plot clus_plot_label)
		:when                   (Notify )
		:to                     (clus_plot clus_plot_label)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_plot_label_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   feature_pop
	:owner                  window1
	:width                  577
	:height                 107
	:background-color       ""
	:foreground-color       ""
	:label                  "Feature Selection"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   feat_search_controls
	:owner                  feature_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  577
	:height                 107
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   select_type
	:owner                  feat_search_controls
	:help                   ""
	:x                      20
	:y                      12
	:width                  117
	:height                 86
	:value-x                20
	:value-y                29
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Selection Method"
	:label-type             :string
	:notify-handler         select_type_handler
	:event-handler          nil
	:choices                ("All Features" "First N               " "Check by Hand" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (feature_pop select_type)
		:when                   (Notify )
		:to                     (feature_pop select_type)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (select_type_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   select_n
	:owner                  feat_search_controls
	:help                   ""
	:x                      144
	:y                      56
	:width                  96
	:height                 15
	:value-x                165
	:value-y                56
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "N:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   feature_list
	:owner                  feat_search_controls
	:help                   ""
	:x                      144
	:y                      80
	:width                  418
	:height                 15
	:value-x                258
	:value-y                80
	:value-length           38
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Features: (0,1,2)"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         feature_list_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (feature_pop feature_list)
		:when                   (Notify )
		:to                     (feature_pop feature_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (feature_list_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   norm_plot
	:owner                  window1
	:width                  384
	:height                 227
	:background-color       ""
	:foreground-color       ""
	:label                  "PC Eigenvalue Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   norm_plot_controls
	:owner                  norm_plot
	:help                   ""
	:x                      0
	:y                      0
	:width                  384
	:height                 227
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   norm_plot_file
	:owner                  norm_plot_controls
	:help                   ""
	:x                      16
	:y                      12
	:width                  347
	:height                 15
	:value-x                123
	:value-y                12
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot file name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_plot_file_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_plot_file)
		:when                   (Notify )
		:to                     (norm_plot norm_plot_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_plot_file_handler)
		)
	)
)
(
	:type                   :setting
	:name                   norm_autoscale
	:owner                  norm_plot_controls
	:help                   ""
	:x                      8
	:y                      40
	:width                  120
	:height                 23
	:value-x                8
	:value-y                40
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         norm_autoscale_handler
	:event-handler          nil
	:choices                ("Autoscale Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_autoscale)
		:when                   (Notify )
		:to                     (norm_plot norm_autoscale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_autoscale_handler)
		)
	)
)
(
	:type                   :message
	:name                   norm_axes_limits
	:owner                  norm_plot_controls
	:help                   ""
	:x                      16
	:y                      72
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   norm_xmin
	:owner                  norm_plot_controls
	:help                   ""
	:x                      40
	:y                      104
	:width                  114
	:height                 15
	:value-x                90
	:value-y                104
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_xmin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_xmin)
		:when                   (Notify )
		:to                     (norm_plot norm_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_xmin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_ymin
	:owner                  norm_plot_controls
	:help                   ""
	:x                      172
	:y                      104
	:width                  114
	:height                 15
	:value-x                222
	:value-y                104
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_ymin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_ymin)
		:when                   (Notify )
		:to                     (norm_plot norm_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_ymin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_xmax
	:owner                  norm_plot_controls
	:help                   ""
	:x                      40
	:y                      128
	:width                  115
	:height                 15
	:value-x                91
	:value-y                128
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_xmax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_xmax)
		:when                   (Notify )
		:to                     (norm_plot norm_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_xmax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_ymax
	:owner                  norm_plot_controls
	:help                   ""
	:x                      172
	:y                      128
	:width                  115
	:height                 15
	:value-x                223
	:value-y                128
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_ymax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_ymax)
		:when                   (Notify )
		:to                     (norm_plot norm_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_ymax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_xstep
	:owner                  norm_plot_controls
	:help                   ""
	:x                      40
	:y                      154
	:width                  118
	:height                 15
	:value-x                94
	:value-y                154
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_xstep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_xstep)
		:when                   (Notify )
		:to                     (norm_plot norm_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_xstep_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_ystep
	:owner                  norm_plot_controls
	:help                   ""
	:x                      172
	:y                      154
	:width                  118
	:height                 15
	:value-x                226
	:value-y                154
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_ystep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_ystep)
		:when                   (Notify )
		:to                     (norm_plot norm_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_ystep_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_plot_label
	:owner                  norm_plot_controls
	:help                   ""
	:x                      16
	:y                      180
	:width                  360
	:height                 32
	:value-x                16
	:value-y                197
	:value-length           45
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot Label:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_plot_label_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_plot norm_plot_label)
		:when                   (Notify )
		:to                     (norm_plot norm_plot_label)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_plot_label_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   file_pop
	:owner                  window1
	:width                  601
	:height                 493
	:background-color       ""
	:foreground-color       ""
	:label                  "Data Files"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   data_controls
	:owner                  file_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  601
	:height                 175
	:background-color       "Thistle"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   wdir_name
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      8
	:width                  410
	:height                 15
	:value-x                138
	:value-y                8
	:value-length           35
	:stored-length          256
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Current Directory:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       nil
	:initial-value          "/u/demo/lnknet"
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmap_wdir_name_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop wdir_name)
		:when                   (Notify )
		:to                     (file_pop wdir_name)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmap_wdir_name_handler)
		)
	)
)
(
	:type                   :message
	:name                   exper_msg
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      32
	:width                  118
	:height                 13
	:foreground-color       ""
	:label                  "Experiment Files:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   experiment_path
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      48
	:width                  286
	:height                 15
	:value-x                94
	:value-y                48
	:value-length           25
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Exper. Path:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         experiment_path_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop experiment_path)
		:when                   (Notify )
		:to                     (file_pop experiment_path)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (experiment_path_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   report_verbosity
	:owner                  data_controls
	:help                   ""
	:x                      344
	:y                      48
	:width                  197
	:height                 15
	:value-x                470
	:value-y                48
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Report Verbosity:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         report_verbosity_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop report_verbosity)
		:when                   (Notify )
		:to                     (file_pop report_verbosity)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (report_verbosity_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   model_file
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      64
	:width                  269
	:height                 15
	:value-x                117
	:value-y                64
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Parameter file:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         param_fname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop model_file)
		:when                   (Notify )
		:to                     (file_pop model_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (param_fname_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   verror
	:owner                  data_controls
	:help                   ""
	:x                      344
	:y                      71
	:width                  215
	:height                 15
	:value-x                488
	:value-y                71
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Error File Verbosity:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         verror_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop verror)
		:when                   (Notify )
		:to                     (file_pop verror)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (verror_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   error_file
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      80
	:width                  270
	:height                 15
	:value-x                126
	:value-y                80
	:value-length           19
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Error file prefix:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ename_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop error_file)
		:when                   (Notify )
		:to                     (file_pop error_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ename_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   debug_verbosity
	:owner                  data_controls
	:help                   ""
	:x                      344
	:y                      94
	:width                  196
	:height                 15
	:value-x                469
	:value-y                94
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Debug Verbosity:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         debug_verbosity_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop debug_verbosity)
		:when                   (Notify )
		:to                     (file_pop debug_verbosity)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (debug_verbosity_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   shell_file
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      96
	:width                  266
	:height                 15
	:value-x                82
	:value-y                96
	:value-length           24
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Shell file:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         shell_fname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop shell_file)
		:when                   (Notify )
		:to                     (file_pop shell_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (shell_fname_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   log_file
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      112
	:width                  271
	:height                 15
	:value-x                71
	:value-y                112
	:value-length           26
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Log file:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         log_file_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop log_file)
		:when                   (Notify )
		:to                     (file_pop log_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (log_file_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   screen_file
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      128
	:width                  290
	:height                 15
	:value-x                90
	:value-y                128
	:value-length           26
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Screen file"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         screen_file_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop screen_file)
		:when                   (Notify )
		:to                     (file_pop screen_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (screen_file_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   run_time_system
	:owner                  data_controls
	:help                   ""
	:x                      8
	:y                      152
	:width                  313
	:height                 15
	:value-x                225
	:value-y                152
	:value-length           12
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Optional Remote Server Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         run_time_system_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop run_time_system)
		:when                   (Notify )
		:to                     (file_pop run_time_system)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (run_time_system_handler)
		)
	)
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  file_pop
	:help                   ""
	:x                      0
	:y                      175
	:width                  601
	:height                 318
	:background-color       "Wheat"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   data_msg
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      16
	:width                  71
	:height                 13
	:foreground-color       ""
	:label                  "Data Files:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   data_path
	:owner                  controls1
	:help                   ""
	:x                      24
	:y                      40
	:width                  284
	:height                 15
	:value-x                100
	:value-y                40
	:value-length           26
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Data Path:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         dpath_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop data_path)
		:when                   (Notify )
		:to                     (file_pop data_path)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (dpath_handler)
		)
	)
)
(
	:type                   :scrolling-list
	:name                   standard_data_list
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      56
	:width                  200
	:height                 91
	:value-x                40
	:value-y                73
	:rows                   3
	:foreground-color       ""
	:label                  "STANDARD DATA SETS:"
	:title                  ""
	:label-type             :string
	:layout-type            :vertical
	:read-only              nil
	:multiple-selections    nil
	:selection-required     nil
	:initial-state          :active
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:notify-handler         standard_data_list_handler
	:event-handler          nil
	:initial-list-values    ("gauss_map" "trap_map" "step_map" "2pulse_map" "piston" "SineMap" "SineNMap" "ChaosMap" "sunspot" )
	:initial-list-glyphs    ("" "" "" "" "" "" "" "" "" )
	:initial-selections     (nil nil nil nil nil nil nil nil nil )
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop standard_data_list)
		:when                   (Notify )
		:to                     (file_pop standard_data_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (standard_data_list_handler)
		)
	)
)
(
	:type                   :button
	:name                   add_data
	:owner                  controls1
	:help                   ""
	:x                      280
	:y                      80
	:width                  42
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Add"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         add_data_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop add_data)
		:when                   (Notify )
		:to                     (file_pop add_data)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (add_data_handler)
		)
	)
)
(
	:type                   :button
	:name                   delete_data
	:owner                  controls1
	:help                   ""
	:x                      280
	:y                      112
	:width                  57
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Delete"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         delete_data_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop delete_data)
		:when                   (Notify )
		:to                     (file_pop delete_data)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (delete_data_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   data_file
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      152
	:width                  275
	:height                 15
	:value-x                155
	:value-y                152
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Data File Prefix:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         dname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop data_file)
		:when                   (Notify )
		:to                     (file_pop data_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (dname_handler)
		)
	)
)
(
	:type                   :message
	:name                   filename_msg2
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      168
	:width                  134
	:height                 13
	:foreground-color       ""
	:label                  "Data File Extension:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   patterns_msg_header2
	:owner                  controls1
	:help                   ""
	:x                      184
	:y                      168
	:width                  137
	:height                 13
	:foreground-color       ""
	:label                  "Number of Patterns:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   ext_train
	:owner                  controls1
	:help                   ""
	:x                      48
	:y                      184
	:width                  93
	:height                 15
	:value-x                93
	:value-y                184
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Train"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ext_train_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop ext_train)
		:when                   (Notify )
		:to                     (file_pop ext_train)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ext_train_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   npatterns_train
	:owner                  controls1
	:help                   ""
	:x                      200
	:y                      184
	:width                  128
	:height                 15
	:value-x                245
	:value-y                184
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Train"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         npatterns_train_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop npatterns_train)
		:when                   (Notify )
		:to                     (file_pop npatterns_train)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (npatterns_train_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ext_eval
	:owner                  controls1
	:help                   ""
	:x                      48
	:y                      200
	:width                  85
	:height                 15
	:value-x                85
	:value-y                200
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Eval"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ext_eval_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop ext_eval)
		:when                   (Notify )
		:to                     (file_pop ext_eval)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ext_eval_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   npatterns_eval
	:owner                  controls1
	:help                   ""
	:x                      200
	:y                      200
	:width                  120
	:height                 15
	:value-x                237
	:value-y                200
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Eval"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         npatterns_eval_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop npatterns_eval)
		:when                   (Notify )
		:to                     (file_pop npatterns_eval)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (npatterns_eval_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   ext_test
	:owner                  controls1
	:help                   ""
	:x                      48
	:y                      216
	:width                  86
	:height                 15
	:value-x                86
	:value-y                216
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Test"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         ext_test_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop ext_test)
		:when                   (Notify )
		:to                     (file_pop ext_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ext_test_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   npatterns_test
	:owner                  controls1
	:help                   ""
	:x                      200
	:y                      216
	:width                  121
	:height                 15
	:value-x                238
	:value-y                216
	:value-length           6
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Test"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         npatterns_test_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop npatterns_test)
		:when                   (Notify )
		:to                     (file_pop npatterns_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (npatterns_test_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   n_inputs
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      256
	:width                  182
	:height                 15
	:value-x                151
	:value-y                256
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Input Features:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         n_inputs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop n_inputs)
		:when                   (Notify )
		:to                     (file_pop n_inputs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (n_inputs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   n_outputs
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      272
	:width                  138
	:height                 15
	:value-x                107
	:value-y                272
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Outputs:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         n_outputs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop n_outputs)
		:when                   (Notify )
		:to                     (file_pop n_outputs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (n_outputs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   labels
	:owner                  controls1
	:help                   ""
	:x                      8
	:y                      296
	:width                  549
	:height                 15
	:value-x                117
	:value-y                296
	:value-length           55
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Output Labels:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         labels_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_pop labels)
		:when                   (Notify )
		:to                     (file_pop labels)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (labels_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   map_plot
	:owner                  window1
	:width                  412
	:height                 361
	:background-color       ""
	:foreground-color       ""
	:label                  "Mapping Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   plot_controls
	:owner                  map_plot
	:help                   ""
	:x                      0
	:y                      0
	:width                  412
	:height                 361
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   map_plot_file
	:owner                  plot_controls
	:help                   ""
	:x                      8
	:y                      8
	:width                  380
	:height                 15
	:value-x                148
	:value-y                8
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Map Plot file name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_plot_file_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_plot_file)
		:when                   (Notify )
		:to                     (map_plot map_plot_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_plot_file_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_in_dim
	:owner                  plot_controls
	:help                   ""
	:x                      24
	:y                      40
	:width                  283
	:height                 15
	:value-x                208
	:value-y                40
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Horizontal (X) Dimension:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_in_dim_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_in_dim)
		:when                   (Notify )
		:to                     (map_plot map_in_dim)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_in_dim_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_out_dim
	:owner                  plot_controls
	:help                   ""
	:x                      24
	:y                      64
	:width                  265
	:height                 15
	:value-x                190
	:value-y                64
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Vertical (Y) Dimension;"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              100
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_out_dim_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_out_dim)
		:when                   (Notify )
		:to                     (map_plot map_out_dim)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_out_dim_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   other_vars
	:owner                  plot_controls
	:help                   ""
	:x                      24
	:y                      88
	:width                  330
	:height                 32
	:value-x                24
	:value-y                105
	:value-length           41
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Settings for Other Dimensions (include X and Y)"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         other_vars_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot other_vars)
		:when                   (Notify )
		:to                     (map_plot other_vars)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (other_vars_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_npoints
	:owner                  plot_controls
	:help                   ""
	:x                      8
	:y                      128
	:width                  285
	:height                 15
	:value-x                194
	:value-y                128
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Points along X:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_npoints_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_npoints)
		:when                   (Notify )
		:to                     (map_plot map_npoints)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_npoints_handler)
		)
	)
)
(
	:type                   :setting
	:name                   map_autoscale
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      144
	:width                  120
	:height                 23
	:value-x                16
	:value-y                144
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         map_autoscale_handler
	:event-handler          nil
	:choices                ("Autoscale Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_autoscale)
		:when                   (Notify )
		:to                     (map_plot map_autoscale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_autoscale_handler)
		)
	)
)
(
	:type                   :message
	:name                   map_dim_range
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      176
	:width                  174
	:height                 13
	:foreground-color       ""
	:label                  "Input Dimensions to Plot:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   map_axes_limits
	:owner                  plot_controls
	:help                   ""
	:x                      16
	:y                      196
	:width                  83
	:height                 13
	:foreground-color       ""
	:label                  "Axes Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   map_xmin
	:owner                  plot_controls
	:help                   ""
	:x                      40
	:y                      220
	:width                  86
	:height                 15
	:value-x                90
	:value-y                220
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_xmin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_xmin)
		:when                   (Notify )
		:to                     (map_plot map_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_xmin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_ymin
	:owner                  plot_controls
	:help                   ""
	:x                      156
	:y                      220
	:width                  86
	:height                 15
	:value-x                206
	:value-y                220
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_ymin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_ymin)
		:when                   (Notify )
		:to                     (map_plot map_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_ymin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_xmax
	:owner                  plot_controls
	:help                   ""
	:x                      40
	:y                      244
	:width                  87
	:height                 15
	:value-x                91
	:value-y                244
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_xmax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_xmax)
		:when                   (Notify )
		:to                     (map_plot map_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_xmax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_ymax
	:owner                  plot_controls
	:help                   ""
	:x                      156
	:y                      244
	:width                  87
	:height                 15
	:value-x                207
	:value-y                244
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_ymax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_ymax)
		:when                   (Notify )
		:to                     (map_plot map_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_ymax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_xstep
	:owner                  plot_controls
	:help                   ""
	:x                      40
	:y                      268
	:width                  90
	:height                 15
	:value-x                94
	:value-y                268
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_xstep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_xstep)
		:when                   (Notify )
		:to                     (map_plot map_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_xstep_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_ystep
	:owner                  plot_controls
	:help                   ""
	:x                      156
	:y                      268
	:width                  90
	:height                 15
	:value-x                210
	:value-y                268
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_ystep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_ystep)
		:when                   (Notify )
		:to                     (map_plot map_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_ystep_handler)
		)
	)
)
(
	:type                   :setting
	:name                   no_norm
	:owner                  plot_controls
	:help                   ""
	:x                      8
	:y                      288
	:width                  222
	:height                 23
	:value-x                8
	:value-y                288
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         no_norm_handler
	:event-handler          nil
	:choices                ("Do Not Normalize Data for Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot no_norm)
		:when                   (Notify )
		:to                     (map_plot no_norm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (no_norm_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   map_plot_label
	:owner                  plot_controls
	:help                   ""
	:x                      8
	:y                      320
	:width                  360
	:height                 32
	:value-x                8
	:value-y                337
	:value-length           45
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot Label:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         map_plot_label_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (map_plot map_plot_label)
		:when                   (Notify )
		:to                     (map_plot map_plot_label)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_plot_label_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   plot_pop
	:owner                  window1
	:width                  373
	:height                 375
	:background-color       ""
	:foreground-color       ""
	:label                  "Plot Selection"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   plot_controls1
	:owner                  plot_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  373
	:height                 375
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   plots_message
	:owner                  plot_controls1
	:help                   ""
	:x                      16
	:y                      8
	:width                  139
	:height                 13
	:foreground-color       ""
	:label                  "Select Desired Plots:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   dependent_message
	:owner                  plot_controls1
	:help                   ""
	:x                      32
	:y                      32
	:width                  187
	:height                 13
	:foreground-color       ""
	:label                  "Algorithm Dependent Plots:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   map_plot_train
	:owner                  plot_controls1
	:help                   ""
	:x                      32
	:y                      56
	:width                  37
	:height                 69
	:value-x                32
	:value-y                73
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Train"
	:label-type             :string
	:notify-handler         map_plot_train_handler
	:event-handler          nil
	:choices                ("" "" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop map_plot_train)
		:when                   (Notify )
		:to                     (plot_pop map_plot_train)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_plot_train_handler)
		)
	)
)
(
	:type                   :setting
	:name                   map_plot_test
	:owner                  plot_controls1
	:help                   ""
	:x                      76
	:y                      56
	:width                  140
	:height                 69
	:value-x                76
	:value-y                73
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Test"
	:label-type             :string
	:notify-handler         map_plot_test_handler
	:event-handler          nil
	:choices                ("Mapped Function" "Input Data" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop map_plot_test)
		:when                   (Notify )
		:to                     (plot_pop map_plot_test)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (map_plot_test_handler)
		)
	)
)
(
	:type                   :button
	:name                   map_plot_parameters
	:owner                  plot_controls1
	:help                   ""
	:x                      216
	:y                      96
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop map_plot_parameters)
		:when                   (Notify )
		:to                     (map_plot)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :setting
	:name                   cost_plot
	:owner                  plot_controls1
	:help                   ""
	:x                      32
	:y                      136
	:width                  119
	:height                 40
	:value-x                32
	:value-y                153
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Error File Graphs:"
	:label-type             :string
	:notify-handler         error_graph_select_handler
	:event-handler          nil
	:choices                ("Cost" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop cost_plot)
		:when                   (Notify )
		:to                     (plot_pop cost_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (error_graph_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   cost_plot_parameters
	:owner                  plot_controls1
	:help                   ""
	:x                      216
	:y                      156
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop cost_plot_parameters)
		:when                   (Notify )
		:to                     (plot_pop cost_plot)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :text-field
	:name                   trial_average
	:owner                  plot_controls1
	:help                   ""
	:x                      24
	:y                      184
	:width                  188
	:height                 15
	:value-x                137
	:value-y                184
	:value-length           5
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Plot group size:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              10000
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         trial_average_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop trial_average)
		:when                   (Notify )
		:to                     (plot_pop trial_average)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (trial_average_handler)
		)
	)
)
(
	:type                   :message
	:name                   other_graphs_message
	:owner                  plot_controls1
	:help                   ""
	:x                      32
	:y                      208
	:width                  95
	:height                 13
	:foreground-color       ""
	:label                  "Other Graphs:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   norm_plot
	:owner                  plot_controls1
	:help                   ""
	:x                      24
	:y                      224
	:width                  148
	:height                 23
	:value-x                24
	:value-y                224
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         norm_graph_select_handler
	:event-handler          nil
	:choices                ("PC/LD Eigenvalues" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop norm_plot)
		:when                   (Notify )
		:to                     (plot_pop norm_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_graph_select_handler)
		)
	)
)
(
	:type                   :button
	:name                   norm_plot_parameters
	:owner                  plot_controls1
	:help                   ""
	:x                      216
	:y                      224
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop norm_plot_parameters)
		:when                   (Notify )
		:to                     (norm_plot)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :setting
	:name                   clus_plot
	:owner                  plot_controls1
	:help                   ""
	:x                      24
	:y                      256
	:width                  91
	:height                 98
	:value-x                24
	:value-y                273
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "Cluster Plots:"
	:label-type             :string
	:notify-handler         clus_plot_train_handler
	:event-handler          nil
	:choices                ("Region" "Scatter" "Internals" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop clus_plot)
		:when                   (Notify )
		:to                     (plot_pop clus_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (clus_plot_train_handler)
		)
	)
)
(
	:type                   :button
	:name                   cluster_plot_parameters
	:owner                  plot_controls1
	:help                   ""
	:x                      216
	:y                      296
	:width                  108
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (plot_pop cluster_plot_parameters)
		:when                   (Notify )
		:to                     (clus_plot)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :popup-window
	:name                   cost_plot
	:owner                  window1
	:width                  384
	:height                 232
	:background-color       ""
	:foreground-color       ""
	:label                  "Cost Plot Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   cost_line_controls
	:owner                  cost_plot
	:help                   ""
	:x                      0
	:y                      0
	:width                  384
	:height                 232
	:background-color       "Light Gray"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   cost_plot_file
	:owner                  cost_line_controls
	:help                   ""
	:x                      12
	:y                      16
	:width                  347
	:height                 15
	:value-x                119
	:value-y                16
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot file name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_plot_file_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_plot_file)
		:when                   (Notify )
		:to                     (cost_plot cost_plot_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_plot_file_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cost_autoscale
	:owner                  cost_line_controls
	:help                   ""
	:x                      8
	:y                      40
	:width                  120
	:height                 23
	:value-x                8
	:value-y                40
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         cost_autoscale_handler
	:event-handler          nil
	:choices                ("Autoscale Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_autoscale)
		:when                   (Notify )
		:to                     (cost_plot cost_autoscale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_autoscale_handler)
		)
	)
)
(
	:type                   :message
	:name                   cost_axes_limits
	:owner                  cost_line_controls
	:help                   ""
	:x                      16
	:y                      76
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   cost_xmin
	:owner                  cost_line_controls
	:help                   ""
	:x                      32
	:y                      100
	:width                  114
	:height                 15
	:value-x                82
	:value-y                100
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_xmin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_xmin)
		:when                   (Notify )
		:to                     (cost_plot cost_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_xmin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_ymin
	:owner                  cost_line_controls
	:help                   ""
	:x                      164
	:y                      100
	:width                  114
	:height                 15
	:value-x                214
	:value-y                100
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_ymin_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_ymin)
		:when                   (Notify )
		:to                     (cost_plot cost_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_ymin_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_xmax
	:owner                  cost_line_controls
	:help                   ""
	:x                      32
	:y                      124
	:width                  115
	:height                 15
	:value-x                83
	:value-y                124
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_xmax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_xmax)
		:when                   (Notify )
		:to                     (cost_plot cost_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_xmax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_ymax
	:owner                  cost_line_controls
	:help                   ""
	:x                      164
	:y                      124
	:width                  115
	:height                 15
	:value-x                215
	:value-y                124
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_ymax_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_ymax)
		:when                   (Notify )
		:to                     (cost_plot cost_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_ymax_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_xstep
	:owner                  cost_line_controls
	:help                   ""
	:x                      32
	:y                      150
	:width                  118
	:height                 15
	:value-x                86
	:value-y                150
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_xstep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_xstep)
		:when                   (Notify )
		:to                     (cost_plot cost_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_xstep_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_ystep
	:owner                  cost_line_controls
	:help                   ""
	:x                      164
	:y                      150
	:width                  118
	:height                 15
	:value-x                218
	:value-y                150
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_ystep_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_ystep)
		:when                   (Notify )
		:to                     (cost_plot cost_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_ystep_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_plot_label
	:owner                  cost_line_controls
	:help                   ""
	:x                      12
	:y                      180
	:width                  360
	:height                 32
	:value-x                12
	:value-y                197
	:value-length           45
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot Label:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         cost_plot_label_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_plot cost_plot_label)
		:when                   (Notify )
		:to                     (cost_plot cost_plot_label)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (cost_plot_label_handler)
		)
	)
)
)
