;GIL-3
(
(
	:type                   :menu
	:name                   classifiers
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Classification"
	:menu-item-labels       ("MLP (Multi-Layer Perceptron)" "GAUSS (Gaussian)" "RBF (Radial Basis Function)" "IRBF (Incremental RBF)" "GMIX (Gaussian Mixture)" )
	:menu-item-label-types  (:string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active )
	:menu-item-defaults     (nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil )
	:menu-item-handlers     (alg_class_handler alg_class_handler alg_class_handler alg_class_handler alg_class_handler )
	:menu-item-menus        (nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (classifiers "MLP (Multi-Layer Perceptron)")
		:when                   (Notify )
		:to                     (classifiers "MLP (Multi-Layer Perceptron)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "GAUSS (Gaussian)")
		:when                   (Notify )
		:to                     (classifiers "GAUSS (Gaussian)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "RBF (Radial Basis Function)")
		:when                   (Notify )
		:to                     (classifiers "RBF (Radial Basis Function)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "IRBF (Incremental RBF)")
		:when                   (Notify )
		:to                     (classifiers "IRBF (Incremental RBF)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
		(
		:from                   (classifiers "GMIX (Gaussian Mixture)")
		:when                   (Notify )
		:to                     (classifiers "GMIX (Gaussian Mixture)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_class_handler)
		)
	)
)
(
	:type                   :menu
	:name                   clusters
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Clustering"
	:menu-item-labels       ("KMEANS (K Means Clustering)" )
	:menu-item-label-types  (:string )
	:menu-item-states       (:active )
	:menu-item-defaults     (nil )
	:initial-selections     (nil )
	:menu-item-handlers     (alg_clus_handler )
	:menu-item-menus        (nil )
	:menu-item-colors       ("" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (clusters "KMEANS (K Means Clustering)")
		:when                   (Notify )
		:to                     (clusters "KMEANS (K Means Clustering)")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (alg_clus_handler)
		)
	)
)
(
	:type                   :menu
	:name                   contrib
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Contributed Algorithms"
	:menu-item-labels       ()
	:menu-item-label-types  ()
	:menu-item-states       ()
	:menu-item-defaults     ()
	:initial-selections     ()
	:menu-item-handlers     ()
	:menu-item-menus        ()
	:menu-item-colors       ()
	:pinnable               nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :menu
	:name                   alg_groups
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Algorithms"
	:menu-item-labels       ("Classification" "Clustering" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil nil )
	:menu-item-menus        (classifiers clusters )
	:menu-item-colors       ("" "" )
	:pinnable               t
	:user-data              ()
	:actions                ()
)
(
	:type                   :menu
	:name                   quit
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Cancel" "Quit" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil quit_handler )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (quit "Quit")
		:when                   (Notify )
		:to                     (quit "Quit")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (quit_handler)
		)
	)
)
)
