/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* nn_params.h */

struct nn_params_struct {
    /* main window */
    char *exp_name; /* experiment name head + classifier name */
    char *exp_prefix;
    char *classifier_name; /* stored in galgs */
    int store_only;
    char *ext_test_train;
    /* data window */
    char *data_path;
    char *data_base;
    char *desc_fname;
    char *desc_suff;
    char *ext_train;
    char *ext_eval;
    char *ext_test;
    int npatterns_train;
    int npatterns_eval;
    int npatterns_test;
    int nraw;
    int noutputs;
    int db_type;
    char **output_labels;
    char **input_labels;
    /* norm window */
    int normalize;
    char *norm_fname;
    /* select window */
    int ninputs;
    int *features;
    int window_width;
    int *window_frames;
    /* algorithm */
    int algorithm; /* galgs.c */
    /* plots */
    int epoch_plots;
    int e_per_plot;
    int train_plots;
    /* reports window */
    char *working_directory;
    char *exp_path;
    char *param_fname;
    char *shell_fname;
    char *shell_path;
    char *log_fname;
    char *screen_fname;
    char *screen_path;
    char *error_fname;
    int verbosity;
    int verror;
};
struct nn_params_struct nn_params;
