;GIL-3
(
(
	:type                   :popup-window
	:name                   norm_pop
	:owner                  main_window
	:width                  426
	:height                 241
	:background-color       ""
	:foreground-color       ""
	:label                  "Normalization"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   norm_controls
	:owner                  norm_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  426
	:height                 241
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   normalize
	:owner                  norm_controls
	:help                   ""
	:x                      16
	:y                      16
	:width                  194
	:height                 109
	:value-x                16
	:value-y                33
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Normalization:"
	:label-type             :string
	:notify-handler         norm_3_handler
	:event-handler          nil
	:choices                ("None" "Simple (mean=0, variance=1)" "Principal Components (PC)" "Linear Discriminants (LD)" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (norm_pop normalize)
		:when                   (Notify )
		:to                     (norm_pop normalize)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_3_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_file
	:owner                  norm_controls
	:help                   ""
	:x                      32
	:y                      136
	:width                  297
	:height                 15
	:value-x                169
	:value-y                136
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Normalization File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_pop norm_file)
		:when                   (Notify )
		:to                     (norm_pop norm_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_2_handler)
		)
	)
)
(
	:type                   :message
	:name                   norm_warning
	:owner                  norm_controls
	:help                   ""
	:x                      8
	:y                      160
	:width                  71
	:height                 13
	:foreground-color       ""
	:label                  "blank.icon"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_pop norm_warning)
		:when                   (Select )
		:to                     (norm_pop norm_warning)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_message_handler)
		)
	)
)
(
	:type                   :message
	:name                   norm_err_message
	:owner                  norm_controls
	:help                   ""
	:x                      88
	:y                      184
	:width                  98
	:height                 13
	:foreground-color       ""
	:label                  "Error Message"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_pop norm_err_message)
		:when                   (Select )
		:to                     (norm_pop norm_err_message)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_message_handler)
		)
	)
)
(
	:type                   :button
	:name                   norm_generate
	:owner                  norm_controls
	:help                   ""
	:x                      88
	:y                      208
	:width                  210
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Generate Normalization File . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         norm_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_pop norm_generate)
		:when                   (Notify )
		:to                     (norm_pop norm_generate)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_btn_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   norm_generate_pop
	:owner                  main_window
	:width                  425
	:height                 397
	:background-color       ""
	:foreground-color       ""
	:label                  "Generate Normalization File"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   norm_generate_controls
	:owner                  norm_generate_pop
	:help                   ""
	:x                      0
	:y                      0
	:width                  425
	:height                 397
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   norm_type_msg1
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      16
	:width                  100
	:height                 13
	:foreground-color       ""
	:label                  "Normalization:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   norm_type_msg
	:owner                  norm_generate_controls
	:help                   ""
	:x                      120
	:y                      16
	:width                  75
	:height                 13
	:foreground-color       ""
	:label                  "norm_type"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   norm_file_msg1
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      32
	:width                  102
	:height                 13
	:foreground-color       ""
	:label                  "Parameter File:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   norm_file_msg
	:owner                  norm_generate_controls
	:help                   ""
	:x                      128
	:y                      32
	:width                  69
	:height                 13
	:foreground-color       ""
	:label                  "norm_file"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   norm_run
	:owner                  norm_generate_controls
	:help                   ""
	:x                      24
	:y                      56
	:width                  42
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Run"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         norm_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_run)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_run)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_btn_handler)
		)
	)
)
(
	:type                   :button
	:name                   norm_plot_only
	:owner                  norm_generate_controls
	:help                   ""
	:x                      96
	:y                      56
	:width                  75
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Plot Only"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         norm_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_plot_only)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_plot_only)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_btn_handler)
		)
	)
)
(
	:type                   :button
	:name                   norm_cancel
	:owner                  norm_generate_controls
	:help                   ""
	:x                      200
	:y                      56
	:width                  59
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Cancel"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         norm_gen_btn_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_cancel)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_cancel)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_btn_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_shell_script
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      80
	:width                  346
	:height                 15
	:value-x                106
	:value-y                80
	:value-length           32
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Shell Script:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_shell_script)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_shell_script)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_log_file
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      104
	:width                  320
	:height                 15
	:value-x                80
	:value-y                104
	:value-length           32
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Log File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_log_file)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_log_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :message
	:name                   norm_underline
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      128
	:width                  378
	:height                 13
	:foreground-color       ""
	:label                  "__________________________________________"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   norm_do_plot
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      152
	:width                  117
	:height                 23
	:value-x                16
	:value-y                152
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         norm_gen_3_handler
	:event-handler          nil
	:choices                ("Generate Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_do_plot)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_do_plot)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_3_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_plot_file
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      176
	:width                  347
	:height                 15
	:value-x                123
	:value-y                176
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot file name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_plot_file)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_plot_file)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :setting
	:name                   norm_autoscale
	:owner                  norm_generate_controls
	:help                   ""
	:x                      16
	:y                      196
	:width                  120
	:height                 23
	:value-x                16
	:value-y                196
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         norm_gen_3_handler
	:event-handler          nil
	:choices                ("Autoscale Plot" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_autoscale)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_autoscale)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_3_handler)
		)
	)
)
(
	:type                   :message
	:name                   norm_axes_limits
	:owner                  norm_generate_controls
	:help                   ""
	:x                      24
	:y                      228
	:width                  145
	:height                 13
	:foreground-color       ""
	:label                  "Axes Numeric Limits:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   norm_xmin
	:owner                  norm_generate_controls
	:help                   ""
	:x                      48
	:y                      260
	:width                  114
	:height                 15
	:value-x                98
	:value-y                260
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_xmin)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_xmin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_ymin
	:owner                  norm_generate_controls
	:help                   ""
	:x                      180
	:y                      260
	:width                  114
	:height                 15
	:value-x                230
	:value-y                260
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Min:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_ymin)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_ymin)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_xmax
	:owner                  norm_generate_controls
	:help                   ""
	:x                      48
	:y                      284
	:width                  115
	:height                 15
	:value-x                99
	:value-y                284
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_xmax)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_xmax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_ymax
	:owner                  norm_generate_controls
	:help                   ""
	:x                      180
	:y                      284
	:width                  115
	:height                 15
	:value-x                231
	:value-y                284
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Max:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_ymax)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_ymax)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_xstep
	:owner                  norm_generate_controls
	:help                   ""
	:x                      48
	:y                      310
	:width                  118
	:height                 15
	:value-x                102
	:value-y                310
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "X Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_xstep)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_xstep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_ystep
	:owner                  norm_generate_controls
	:help                   ""
	:x                      180
	:y                      310
	:width                  118
	:height                 15
	:value-x                234
	:value-y                310
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Y Step:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_ystep)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_ystep)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   norm_plot_label
	:owner                  norm_generate_controls
	:help                   ""
	:x                      24
	:y                      336
	:width                  360
	:height                 32
	:value-x                24
	:value-y                353
	:value-length           45
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Plot Label:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         norm_gen_2_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (norm_generate_pop norm_plot_label)
		:when                   (Notify )
		:to                     (norm_generate_pop norm_plot_label)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (norm_gen_2_handler)
		)
	)
)
)
