;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  537
	:height                 278
	:background-color       ""
	:foreground-color       ""
	:label                  "IRBF Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  537
	:height                 278
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   clustering_active
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      8
	:width                  154
	:height                 23
	:value-x                8
	:value-y                8
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         girbf_create_clusters_handler
	:event-handler          nil
	:choices                ("Create clusters first" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_active)
		:when                   (Notify )
		:to                     (popup1 clustering_active)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_create_clusters_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   hspread
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      16
	:width                  253
	:height                 15
	:value-x                461
	:value-y                16
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Training Spread Factor (h):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_hspread_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 hspread)
		:when                   (Notify )
		:to                     (popup1 hspread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_hspread_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   extra_hspread
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      36
	:width                  239
	:height                 15
	:value-x                447
	:value-y                36
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Extra Test Spread Factor:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_extra_hspread_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 extra_hspread)
		:when                   (Notify )
		:to                     (popup1 extra_hspread)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_extra_hspread_handler)
		)
	)
)
(
	:type                   :setting
	:name                   clustering_algorithm
	:owner                  controls2
	:help                   ""
	:x                      12
	:y                      40
	:width                  146
	:height                 40
	:value-x                12
	:value-y                57
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Clustering algorithm:"
	:label-type             :string
	:notify-handler         girbf_clustering_algorithm_handler
	:event-handler          nil
	:choices                ("Kmeans" "E&M Binary Split" "Leader Cluster" "Random" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:choice-defaults        (nil nil nil nil )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_algorithm)
		:when                   (Notify )
		:to                     (popup1 clustering_algorithm)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_clustering_algorithm_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_magnitude
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      56
	:width                  261
	:height                 15
	:value-x                469
	:value-y                56
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Maximum of initial weights"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_max_magnitude_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 max_magnitude)
		:when                   (Notify )
		:to                     (popup1 max_magnitude)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_max_magnitude_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   min_var
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      76
	:width                  205
	:height                 15
	:value-x                413
	:value-y                76
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Minimum Variance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_min_var_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 min_var)
		:when                   (Notify )
		:to                     (popup1 min_var)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_min_var_handler)
		)
	)
)
(
	:type                   :button
	:name                   clustering_parameters
	:owner                  controls2
	:help                   ""
	:x                      16
	:y                      80
	:width                  175
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clustering Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         girbf_clustering_parameters_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 clustering_parameters)
		:when                   (Notify )
		:to                     (popup1 clustering_parameters)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_clustering_parameters_handler)
		)
	)
)
(
	:type                   :setting
	:name                   bias
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      92
	:width                  165
	:height                 23
	:value-x                272
	:value-y                92
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         girbf_bias_handler
	:event-handler          nil
	:choices                ("Constant Output Bias" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 bias)
		:when                   (Notify )
		:to                     (popup1 bias)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_bias_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cluster_param_fname
	:owner                  controls2
	:help                   ""
	:x                      20
	:y                      112
	:width                  240
	:height                 32
	:value-x                20
	:value-y                129
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Cluster Parameter Filename:"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_cluster_param_fname_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cluster_param_fname)
		:when                   (Notify )
		:to                     (popup1 cluster_param_fname)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_cluster_param_fname_handler)
		)
	)
)
(
	:type                   :setting
	:name                   cost_func
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      128
	:width                  136
	:height                 63
	:value-x                272
	:value-y                145
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Cost Function"
	:label-type             :string
	:notify-handler         girbf_cost_func_handler
	:event-handler          nil
	:choices                ("Squared Error" "Top Two Difference" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cost_func)
		:when                   (Notify )
		:to                     (popup1 cost_func)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_cost_func_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      164
	:width                  252
	:height                 15
	:value-x                145
	:value-y                164
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Number of Epochs:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              1000
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_epochs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 epochs)
		:when                   (Notify )
		:to                     (popup1 epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_epochs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   weight_eta
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      192
	:width                  212
	:height                 15
	:value-x                172
	:value-y                192
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize for weights"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_weight_eta_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 weight_eta)
		:when                   (Notify )
		:to                     (popup1 weight_eta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_weight_eta_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_param
	:owner                  controls2
	:help                   ""
	:x                      320
	:y                      200
	:width                  162
	:height                 15
	:value-x                402
	:value-y                200
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Steepness:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_cost_param_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cost_param)
		:when                   (Notify )
		:to                     (popup1 cost_param)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_cost_param_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   mean_eta
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      216
	:width                  204
	:height                 15
	:value-x                164
	:value-y                216
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize for means"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_mean_eta_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 mean_eta)
		:when                   (Notify )
		:to                     (popup1 mean_eta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_mean_eta_handler)
		)
	)
)
(
	:type                   :setting
	:name                   grandvar
	:owner                  controls2
	:help                   ""
	:x                      272
	:y                      224
	:width                  170
	:height                 46
	:value-x                272
	:value-y                224
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         girbf_grandvar_handler
	:event-handler          nil
	:choices                ("Per Hidden Unit Variance" "Grand Variance" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 grandvar)
		:when                   (Notify )
		:to                     (popup1 grandvar)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_grandvar_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   var_eta
	:owner                  controls2
	:help                   ""
	:x                      24
	:y                      240
	:width                  225
	:height                 15
	:value-x                185
	:value-y                240
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Stepsize for variances"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         girbf_var_eta_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 var_eta)
		:when                   (Notify )
		:to                     (popup1 var_eta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (girbf_var_eta_handler)
		)
	)
)
)
