;GIL-3
(
(
	:type                   :popup-window
	:name                   popup1
	:owner                  nil
	:width                  403
	:height                 173
	:background-color       ""
	:foreground-color       ""
	:label                  "MLP Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  403
	:height                 173
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   epochs
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      12
	:width                  340
	:height                 15
	:value-x                268
	:value-y                12
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "# of Epochs (cycles through all data):"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_epochs_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 epochs)
		:when                   (Notify )
		:to                     (popup1 epochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_epochs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   layers
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      32
	:width                  263
	:height                 32
	:value-x                8
	:value-y                49
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Nodes/Layer (input,hidden,. . . ,output):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_layers_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 layers)
		:when                   (Notify )
		:to                     (popup1 layers)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_layers_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   etta
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      72
	:width                  257
	:height                 15
	:value-x                185
	:value-y                72
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Step size for all weights:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_etta_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 etta)
		:when                   (Notify )
		:to                     (popup1 etta)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_etta_handler)
		)
	)
)
(
	:type                   :button
	:name                   weight_button
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      96
	:width                  154
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Weight Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 weight_button)
		:when                   (Notify )
		:to                     (weight_popup)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :button
	:name                   cost_button
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      120
	:width                  139
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Cost Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 cost_button)
		:when                   (Notify )
		:to                     (cost_popup)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :button
	:name                   node_button
	:owner                  controls2
	:help                   ""
	:x                      8
	:y                      144
	:width                  143
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Node Parameters . . ."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 node_button)
		:when                   (Notify )
		:to                     (node_popup)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :popup-window
	:name                   weight_popup
	:owner                  nil
	:width                  582
	:height                 392
	:background-color       ""
	:foreground-color       ""
	:label                  "MLP Weight Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  weight_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  582
	:height                 392
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   etta_change
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      8
	:width                  401
	:height                 69
	:value-x                16
	:value-y                8
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gmlp_etta_change_handler
	:event-handler          nil
	:choices                ("Constant Step Size" "Constant then C/trials Step Size (set only on create)" "Adapt Step Size for each weight each batch (set only on create)" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup etta_change)
		:when                   (Notify )
		:to                     (weight_popup etta_change)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_etta_change_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   etta_nepochs
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      88
	:width                  536
	:height                 15
	:value-x                496
	:value-y                88
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Number of epochs (may be fractional) before step size reduction:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_ntrials_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup etta_nepochs)
		:when                   (Notify )
		:to                     (weight_popup etta_nepochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_ntrials_handler)
		)
		(
		:from                   (weight_popup etta_nepochs)
		:when                   (Notify )
		:to                     (weight_popup etta_nepochs)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_nepochs_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   kappa
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      112
	:width                  355
	:height                 15
	:value-x                315
	:value-y                112
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Added increment for Adapted Step Size:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_kappa_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup kappa)
		:when                   (Notify )
		:to                     (weight_popup kappa)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_kappa_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   epsilon
	:owner                  controls1
	:help                   ""
	:x                      40
	:y                      137
	:width                  362
	:height                 15
	:value-x                322
	:value-y                137
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Scaled Decrement for Adapted Step Size:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_epsilon_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup epsilon)
		:when                   (Notify )
		:to                     (weight_popup epsilon)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_epsilon_handler)
		)
	)
)
(
	:type                   :setting
	:name                   use_etta_list
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      160
	:width                  290
	:height                 46
	:value-x                16
	:value-y                160
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gmlp_use_etta_list_handler
	:event-handler          nil
	:choices                ("Use Step size on MLP window for all weights" "Use Step size list for weights in each layer" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup use_etta_list)
		:when                   (Notify )
		:to                     (weight_popup use_etta_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_use_etta_list_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   etta_list
	:owner                  controls1
	:help                   ""
	:x                      310
	:y                      188
	:width                  260
	:height                 15
	:value-x                410
	:value-y                188
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Step size list:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_etta_list_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup etta_list)
		:when                   (Notify )
		:to                     (weight_popup etta_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_etta_list_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   decay
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      216
	:width                  183
	:height                 15
	:value-x                119
	:value-y                216
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Weight Decay:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_decay_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup decay)
		:when                   (Notify )
		:to                     (weight_popup decay)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_decay_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   momentum
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      240
	:width                  274
	:height                 15
	:value-x                210
	:value-y                240
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Weight Change Momentum:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_alpha_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup momentum)
		:when                   (Notify )
		:to                     (weight_popup momentum)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_alpha_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   tolerance
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      264
	:width                  197
	:height                 15
	:value-x                133
	:value-y                264
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Error Tolerance:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_tolerance_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup tolerance)
		:when                   (Notify )
		:to                     (weight_popup tolerance)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_tolerance_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   max_weight
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      288
	:width                  357
	:height                 15
	:value-x                293
	:value-y                288
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Maximum Magnitude of Initial Weights:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_max_weight_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup max_weight)
		:when                   (Notify )
		:to                     (weight_popup max_weight)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_max_weight_handler)
		)
	)
)
(
	:type                   :setting
	:name                   weight_update
	:owner                  controls1
	:help                   ""
	:x                      16
	:y                      312
	:width                  271
	:height                 63
	:value-x                16
	:value-y                329
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Weight update mode:"
	:label-type             :string
	:notify-handler         gmlp_weight_update_handler
	:event-handler          nil
	:choices                ("Update weights after each trial (no batch)" "Batch Weight Update each epoch" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (weight_popup weight_update)
		:when                   (Notify )
		:to                     (weight_popup weight_update)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_weight_update_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   cost_popup
	:owner                  nil
	:width                  549
	:height                 169
	:background-color       ""
	:foreground-color       ""
	:label                  "MLP Cost Function Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls4
	:owner                  cost_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  549
	:height                 169
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   cost_func
	:owner                  controls4
	:help                   ""
	:x                      16
	:y                      16
	:width                  229
	:height                 132
	:value-x                16
	:value-y                33
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "COST FUNCTION:"
	:label-type             :string
	:notify-handler         gmlp_cost_func_handler
	:event-handler          nil
	:choices                ("Squared Error" "Cross Entropy" "Maximum Likelihood" "Perceptron Convergence Procedure" "Differential" )
	:choice-label-types     (:string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" )
	:initial-selections     (nil nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (cost_popup cost_func)
		:when                   (Notify )
		:to                     (cost_popup cost_func)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_cost_func_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   cost_param
	:owner                  controls4
	:help                   ""
	:x                      264
	:y                      130
	:width                  247
	:height                 15
	:value-x                431
	:value-y                130
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Differential Steepness:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_cost_param_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (cost_popup cost_param)
		:when                   (Notify )
		:to                     (cost_popup cost_param)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_cost_param_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   node_popup
	:owner                  nil
	:width                  449
	:height                 212
	:background-color       ""
	:foreground-color       ""
	:label                  "MLP Node Function Parameters"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls3
	:owner                  node_popup
	:help                   ""
	:x                      0
	:y                      0
	:width                  449
	:height                 212
	:background-color       "white"
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   ofunction
	:owner                  controls3
	:help                   ""
	:x                      8
	:y                      8
	:width                  149
	:height                 86
	:value-x                8
	:value-y                25
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Output Node Function"
	:label-type             :string
	:notify-handler         gmlp_ofunction_handler
	:event-handler          nil
	:choices                ("Standard Sigmoid" "Symetric Sigmoid" "Linear" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (node_popup ofunction)
		:when                   (Notify )
		:to                     (node_popup ofunction)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_ofunction_handler)
		)
	)
)
(
	:type                   :setting
	:name                   hfunction
	:owner                  controls3
	:help                   ""
	:x                      192
	:y                      11
	:width                  149
	:height                 63
	:value-x                192
	:value-y                28
	:rows                   0
	:columns                1
	:layout-type            :vertical
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Hidden Node Function"
	:label-type             :string
	:notify-handler         gmlp_hfunction_handler
	:event-handler          nil
	:choices                ("Standard Sigmoid" "Symetric Sigmoid" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (node_popup hfunction)
		:when                   (Notify )
		:to                     (node_popup hfunction)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_hfunction_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   sigmoid_param
	:owner                  controls3
	:help                   ""
	:x                      32
	:y                      107
	:width                  221
	:height                 15
	:value-x                173
	:value-y                107
	:value-length           10
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Sigmoid Steepness:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_sigmoid_param_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (node_popup sigmoid_param)
		:when                   (Notify )
		:to                     (node_popup sigmoid_param)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_sigmoid_param_handler)
		)
	)
)
(
	:type                   :setting
	:name                   use_sigmoid_list
	:owner                  controls3
	:help                   ""
	:x                      8
	:y                      132
	:width                  281
	:height                 23
	:value-x                8
	:value-y                132
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         gmlp_use_sigmoid_list_handler
	:event-handler          nil
	:choices                ("Specify sigmoid steepness for each layer" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (node_popup use_sigmoid_list)
		:when                   (Notify )
		:to                     (node_popup use_sigmoid_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_use_sigmoid_list_handler)
		)
	)
)
(
	:type                   :text-field
	:name                   sigmoid_list
	:owner                  controls3
	:help                   ""
	:x                      32
	:y                      165
	:width                  398
	:height                 32
	:value-x                32
	:value-y                182
	:value-length           40
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Sigmoid Steepness per layer (input layer has no sigmoid):"
	:label-type             :string
	:layout-type            :vertical
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         gmlp_sigmoid_param_list_handler
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (node_popup sigmoid_list)
		:when                   (Notify )
		:to                     (node_popup sigmoid_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gmlp_sigmoid_param_list_handler)
		)
	)
)
)
