                  /* bintree_args.h */
#ifndef bintree_args_h
#define bintree_args_h

static int linear = 0;
static int stop_train_early = 0;
static int prune_tree = 0;
static int leaf_min_npatterns = 5;
static int max_nodes = 0;

static ARG	bintree_tab[] =
{
    {"linear", BOOLEAN, &linear, "to use linear splitting set linear flag."},
    {"stop_train_early", BOOLEAN, &stop_train_early, 
       "Stop Training when npatterns in leaf is leaf_min_npatterns (default train to no errors"},
    {"leaf_min_npatterns", INT, &leaf_min_npatterns,
       "Number of patterns in an unsplit leaf"},
    {"prune_tree", BOOLEAN, &prune_tree,
       "Prune tree to max_nodes non-terminal nodes (default: test full tree)"},
    {"max_nodes", INT, &max_nodes,
       "maximum number nodes of testing tree after pruning"},
 };
#define BINTREE_TABSIZE (sizeof(bintree_tab)/sizeof(ARG))
#endif
