/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* $Header: /data/speech/kukolich/cvsroot/lnknet/src/include/err2data_args.h,v 11.5 2001/08/23 20:14:33 craig Exp $ */


/* Argument variables for err2data program */
static char **file_list = NULL;
static int noutputs = 0;
static char *exp_path = "./";
static char *output_file = NULL;

static ARG	err2data_tab[] =
{
    {"path_exp", STRING, (int *)&exp_path, "path to files in file_list"},
    {"file_list", STRING_ALLOC_LIST, (int *)&file_list,
       "files to be abutted to create the new data file"},
    {"noutputs", INT, (int *)&noutputs, "number of output classes"},
    {"output_file", STRING, (int *)&output_file,
       "new data file"},
};
#define ERR2DATA_TABSIZE (sizeof(err2data_tab)/sizeof(ARG))
