/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/* $Header: /data/speech/kukolich/cvsroot/lnknet/src/include/lead_clus_args.h,v 11.3 2001/08/23 20:14:36 craig Exp $ */


/* Argument variables for lead_clus program */
static float	delta = 1.0;
static float	*delta_list = NULL;
static int	cluster_by_class = 0; /* 1 cluster by ncenter_list */

static ARG	lead_clus_tab[] =
{
    {"cluster_by_class", BOOLEAN, &cluster_by_class,
       "cluster centers by class"},
    {"delta", FLOAT, (int *)&delta,
       "radius of sphere around each selected point"},
    {"delta_list", FLOAT_ALLOC_LIST, (int *)&delta_list,
       "list of deltas for each class. default: \"delta\" for each class"},
};
#define LEAD_CLUS_TABSIZE (sizeof(lead_clus_tab)/sizeof(ARG))
