/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
int * build_cross_index(int nclasses, int n_trials, int n_folds, int *desired_classes);
main(void) {
    int i, j = 0, desired[68], *index;

    for(i = 0; i < 46; i++){
	desired[i] = j;
	j = (++j) % 7;
    }
    j++;
    for(; i < 51; i++){
	desired[i] = j;
	j = (++j) % 7;
    }
    j += 2;
    for(; i < 56; i++){
	desired[i] = j;
	j = (++j) % 7;
    }
    j += 2;
    for(; i < 60; i++){
	desired[i] = j;
	j = (++j) % 7;
    }
    j += 3;
    desired[i++] = j++;
    desired[i++] = j++;
    j = 1;
    desired[i++] = j++;
    j += 3;
    desired[i++] = j++;
    desired[i++] = j;
    j = 5;
    desired[i++] = j++;
    desired[i++] = j;
    desired[i] = 5;
    
    index = build_cross_index(7, 68, 4, desired);
    printf("hello world\n");

}
int *
build_cross_index(int nclasses, int n_trials, int n_folds, int *desired_classes)
{
    register int i, class, rem, total;
    int *class_cnt, *cross_index;
    
    class_cnt = allocate_ivector(nclasses);
    cross_index = allocate_ivector(n_trials);

			/* find the number of patterns in each class */
    for (i = 0; i < n_trials; i++) class_cnt[desired_classes[i]]++;

			/* find the starting position for each class */
    for (i = 0, total = 0; i < nclasses; i++){
	rem = total % n_folds;
	total += class_cnt[i];
	class_cnt[i] = rem;
    }
			/* build an index for splitting patterns into folds */
    for(i = 0; i < n_trials; i++){
	class = desired_classes[i];
	cross_index[i] = class_cnt[class];
	class_cnt[class] = (class_cnt[class] + 1) % n_folds;
    }

    deallocate_ivector(class_cnt);
    return(cross_index);
}
