/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/*-----------------------------------------------------------------------------
* NAME:		g_data 
* PURPOSE:	contains data to initialize global arrays used for graphics 
* USAGE: 
* 	linked into package to initialize variables 
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/g_data.c,v 11.3 2001/08/23 20:15:06 craig Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/g_data.c,v $
* CREATED: 4-Apr-84 rpl   LAST UPDATE:  4-Apr-84 rpl	MIT LINCOLN LABORATORY
*---------------------------------------------------------------------------*/
/* config.h must go first */
#if HAVE_CONFIG_H
#include <config.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#endif
#include "g_gvt.h"
/* a and b are the y and x dimensions of a character plus spacing around
   characters and are set only
   for the single size characters on the gvt 
   ------------------------------------------*/
float GGa[4]={15.0, 15.0, 15.0, 15.0};
float GGb[4]={9.0, 9.0, 9.0, 9.0};
/* c and d are the offsets from a character center to the bottom left of
   a character and are set only for the single size characters on a gvt
   --------------------------------------------------------------------*/
int GGc[4]={-7,-7,-7,-7};
int GGd[4]={-4,-4,-4,-4};
float GGcs[361] = { 0 } ; /* cosine and sine functions accurate to one degree */
float GGsn[361] = { 0 } ;
struct GG_ GG_ = { 0 } ;
char GGhc_buff[HC_BUFFER] = { 0 };		/* hard copy buffer */
int GGhc_count = 0;				/* chars in hard copy buffer */
char GGerror[160];			/* buffer for error message printout */
