/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/*-----------------------------------------------------------------------------
* NAME:     gcolor 
* PURPOSE:  select x window graphics color
* USAGE: 
*   gcolor(string)
*   char *string - line color
* LIMITATIONS:
*   Works only on x graphics window. See color description in
*       header for x_plot_init().
*   If color is the null string or "current" doesn't change color.
*       Should have some default string for foreground and background
*       and reverse video colors.
*
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/gcolor.c,v 11.3 2001/08/23 20:15:07 craig Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/gcolor.c,v $
* CREATED: 4-Apr-84 rpl   LAST UPDATE:  4-Apr-84 rpl    MIT LINCOLN LABORATORY
*---------------------------------------------------------------------------*/
/* config.h must go first */
#if HAVE_CONFIG_H
#include <config.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#endif
#include "g_gvt.h"
#if HAVE_STRINGS_H
#include <strings.h>
#endif
#include "xlippic.h"
void
gcolor (string) 
char *string;   
{       
    /* don't change color if null string */
    if ( string == NULL || (strlen(string) == 0) )
        return;
    else
        {
        x_plot_color(string);
        strcpy(GG_.color, string);
        if ( GG_.hardcopy)
        hc_color(string);
        }
}
