/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/*-----------------------------------------------------------------------------
* NAME:		greset 
* PURPOSE:	reset graphics features to normal except buffering,hardcopy
* USAGE: 
* 	greset()
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/greset.c,v 11.3 2001/08/23 20:15:08 craig Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/greset.c,v $
* NOTES: forces all mode changes by setting GG_.* variables
*        because state of terminal is unknown
* CREATED: 26-Jun-84 rpl LAST UPDATE: 26-Jun-84 rpl	MIT LINCOLN LABORATORY
*---------------------------------------------------------------------------*/
/* config.h must go first */
#if HAVE_CONFIG_H
#include <config.h>
#endif
#if STDC_HEADERS
#include <stdlib.h>
#include <string.h>
#endif
#include "g_gvt.h"
#include "xlippic.h"
void
greset()	
{

	/* normal window and char size */
	GG_.umin=0;	
	GG_.vmin=0;
	GG_.umax=G_XMAX;
	GG_.vmax=G_YMAX;
	GG_.csize=0;

	/* special computational expensive line extension off */
	gextend(0);

	/* normal scaling with plot on screen */
	gscale( 0.0, 0.0, 1.0, 1.0);

	/* solid lines */
	GG_.texture = 0;
	gtexture(0);

}
