/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/*-----------------------------------------------------------------------------
* NAME:		lippicDecl
* PURPOSE:	declarations of functions in the xlippic libraries
* $Header: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/lippicDecl.h,v 11.2 2004/01/15 19:29:28 kukolich Exp $
* $Source: /data/speech/kukolich/cvsroot/lnknet/src/lippic/xlippic/lippicDecl.h,v $
* CREATED: 7-May-99 rpl				MIT LINCOLN LABORATORY
*---------------------------------------------------------------------------*/
void g_clip(int u1, int v1, int u2, int v2);
int g_code(int u, int v);
void g_initerr(void);
void g_line(int u1, int v1, int u2, int v2);
void g_move(int x, int y);
void g_vect(int x, int y);
void gcolor(char *string);
void gexit(int flag);
void gextend(int x);
void ghardcopy(int flag);
void gimagen(int verbose);
void gputc(/*int center, char c*/);
void greset(void);
void grcmove(int l_offset, int c_offset);
char *gsave(char *name, int verbose);
/* this is commented out so the auto conversion to double isn't screwed up */
void gscale(/*float x, float y, float xf, float yf*/);
void gsymbol(/*char symbol, int r*/);
void gtexture(int type);
void hc_blob(int npoints, int *xarray, int *yarray);
void hc_circle(int xi, int yi, int ri);
void hc_cont(int x, int y);
void hc_color(char *s);
void hc_fill(int mode);
void hc_font(char *s);
void hc_label(char *s);
void hc_move(int x, int y);
void hc_poly(int count);
void hc_polydraw(void);
void hc_putstring(char *s);
void hc_reset(void);
void hc_space(int x0, int y0, int x1, int y1);
void hc_texture(int mode);
/* this takes a variable argument list */
void lippic_fatal_error();
char *lippic_malloc(unsigned n, char *for_message);
void sig_init(void);
void uvblob(char *color, int npoints, int *xarray, int *yarray);
void uvblock(char *color, int u1, int v1, int u2, int v2);
void uvcircle(int u, int v, int r);
void uvcont(int u, int v);
void uvdot(char *color, int u, int v, int r);
void uvline(int u1, int v1, int u2, int v2);
void uvmove(int u, int v);
void uvpairs(int x0, int y0, int x[], int y[], int n, int texture, char *color);
void uvpoint(int u, int v);
void uvrcont(int u, int v);
void uvrect(int u1, int v1, int u2, int v2);
void uvrmove(int u, int v);
int xybar();
int xygraph();
void x_plot_blob(int npoint, int *xarray, int *yarray);
