/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef data_func_H
#define data_func_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/data/data_func.h,v 1.4 2001/08/23 20:16:10 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                       lnknet                                 ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/data/data_func.h,v $
 *
 * Language: C
 *
 * Purpose:
 *  declarations of all the functions defined for the data windows
 * 
 * Calling Sequence:
 *   #include "data_func.h"
 *
 * Modification History:
 *  11-Sep-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
void data_request(String request);
void read_data_defaults(int argc, char **argv);
void write_data_defaults(FILE *default_file);
FILE *open_data_base_file(String ext);
void close_data_base_file(FILE *fp);
void set_priors_string(FILE *fp, int npatterns);
void set_npatterns_train(int value);
void set_train_priors_string(FILE *fp);
void set_train_file();
void set_npatterns_eval(int value);
void set_eval_priors_string(FILE *fp);
void set_eval_file();
void set_npatterns_test(int value);
void set_test_priors_string(FILE *fp);
void set_test_file();
void data_set_data_base();
void defaults_request(String request);
void dataSelect_request(String request);
#endif
