/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef em_clus_params_H
#define em_clus_params_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/em_clus/em_clus_params.h,v 1.3 2001/08/23 20:16:24 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                       Parameters for em_clus                         ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/em_clus/em_clus_params.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "em_clus_params.h"
 *
 * Modification History:
 *  18-Oct-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
typedef struct {
    int cluster_by_class;
    int ncenters;
    char * ncenters_string;
    int *ncentersList;
    char *ncentersList_string;
    int total_ncenters;
    float splitPercentage;
    char * splitPercentage_string;
    int addRandomOffset;
    int maxIteration;
    char * maxIteration_string;
    float stopPercentage;
    char *stopPercentage_string;
    int reduceStep;
    char *reduceStep_string;
    int specify_by_class;
    float varSpread;
    char *varSpread_string;
    float minVar;
    char *minVar_string;
    int useKmeans;
    float kmeansStop;
    char *kmeansStop_string;
} Em_clusParams;
#endif
