/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef irbf_H
#define irbf_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/irbf/irbf.h,v 1.4 2001/08/23 20:16:40 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            IRBF                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $IRBFHOME/src/irbf.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for irbf
 * 
 * Calling Sequence:
 *   #include <irbf.h>
 *
 * Modification History:
 *  7-Nov-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" irbf.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget irbfDialogShell;
  Widget irbfForm;
  Widget clusterFrame;
  Widget clusterForm;
  Widget createClustersToggle;
  Widget clustAlgOptionMenu;
  Widget clustAlgPulldownMenu;
  Widget kmeansPBtn;
  Widget em_clusPBtn;
  Widget lead_clusPBtn;
  Widget ran_clusPBtn;
  Widget clustParamsPBtn;
  Widget clustFnameLabel;
  Widget clustFnameLabel1;
  Widget clusterLabel;
  Widget nEpochsForm;
  Widget nEpochsLabel;
  Widget nEpochsText;
  Widget nEpochsOKPBtn;
  Widget nEpochsCancelPBtn;
  Widget hSpreadForm;
  Widget hSpreadLabel;
  Widget hSpreadText;
  Widget hSpreadOKPBtn;
  Widget hSpreadCancelPBtn;
  Widget extraHspreadForm;
  Widget extraHspreadLabel;
  Widget extraHspreadText;
  Widget extraHspreadOKPBtn;
  Widget extraHspreadCancelPBtn;
  Widget stepsizeFrame;
  Widget stepsizeForm;
  Widget weightEttaForm;
  Widget weightEttaLabel;
  Widget weightEttaText;
  Widget weightEttaOKPBtn;
  Widget weightEttaCancelPBtn;
  Widget meanEttaForm;
  Widget meanEttaLabel;
  Widget meanEttaText;
  Widget meanEttaOKPBtn;
  Widget meanEttaCancelPBtn;
  Widget varEttaForm;
  Widget varEttaLabel;
  Widget varEttaText;
  Widget varEttaOKPBtn;
  Widget varEttaCancelPBtn;
  Widget stepsizeLabel;
  Widget grandVarLabel;
  Widget grandVarRadioBox;
  Widget separateVarToggle;
  Widget grandVarToggle;
  Widget costFuncLabel;
  Widget costFuncRadioBox;
  Widget sqErrToggle;
  Widget top2diffToggle;
  Widget costParamForm;
  Widget costParamLabel;
  Widget costParamText;
  Widget costParamOKPBtn;
  Widget costParamCancelPBtn;
  Widget biasToggle;
  Widget maxMagForm;
  Widget maxMagLabel;
  Widget maxMagText;
  Widget maxMagOKPBtn;
  Widget maxMagCancelPBtn;
  Widget minVarForm;
  Widget minVarLabel;
  Widget minVarText;
  Widget minVarOKPBtn;
  Widget minVarCancelPBtn;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} IrbfWidgets;
 
#endif
