/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
/***************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
#ifndef plots_func_H
#define plots_func_H
/* rcsid_h "$Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/plots/plots_func.h,v 1.5 2001/08/23 20:17:22 craig Exp $" */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                       functions for plot selection window                                 ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $Source: /data/speech/kukolich/cvsroot/lnknet/src/mclass/plots/plots_func.h,v $
 *
 * Language: C
 *
 * Purpose:
 * 
 * Calling Sequence:
 *   #include "plots_func.h"
 *
 * Modification History:
 *  24-Oct-95     Linda C Kukolich   initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
void plots_callback(Widget w, XtPointer client, XtPointer call);
void plots_request(String request);
void plots_arg_request(String request, int arg);
int plots_verror_value_ok(int value);
int plots_train_verror_value_ok(int value);
void set_plot_labels();
void store_alg_plot_commands(FILE *shell_file, int show_plot, int which_data);
void store_train_plot_commands(FILE *shell_file);
void store_test_plot_commands(FILE *shell_file);
void setup_epoch_plot_calls(FILE *shell_file);
void finish_epoch_plot_calls(FILE *shell_file);
void store_plot_start(FILE *shell_file);
void store_plot_end(FILE *shell_file);
void store_plot_end_outputs(FILE *shell_file, char *plot_title, char *plot_fname);
void create_plot_file_names();
void read_plots_defaults(int argc, char **argv);
void write_plots_defaults(FILE *default_file);
#endif
