/* (c) Copyright 1999 M.I.T. Lincoln Laboratory


Permission is hereby granted, without written agreement or royalty fee,
to use, copy, modify, and distribute this software and its
documentation for any purpose, provided that the above copyright notic
and the following three paragraphs appear in all copies of this software.

IN NO EVENT SHALL M.I.T. LINCOLN LABORATORY BE LIABLE TO ANY PARTY FOR
DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF M.I.T. LINCOLN
LABORATORY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. M.I.T. LINCOLN
LABORATORY SPECIFICALLY DISCLAIMS ANY WARRANTIES INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
AND NON-INFRINGEMENT.

THE SOFTWARE IS PROVIDED ON AN "AS IS" BASIS AND M.I.T. LINCOLN
LABORATORY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS. */
#ifndef ran_clus_H
#define ran_clus_H
/**************************************************************************
                Copyright 1995 MIT Lincoln Laboratory.
This software is not for release and should neither be copied
nor distributed without explicit permission of MIT Lincoln Laboratory
**************************************************************************/
 
/* rcsid = $Header: /data/speech/kukolich/cvsroot/lnknet/src/mclass/ran_clus/ran_clus.h,v 1.3 2001/08/23 20:17:39 craig Exp $ */

 
/******************************************************************************
 ******************************************************************************
 ****                                                                      ****
 ****                       MIT Lincoln Laboratory                         ****
 ****                            RAN_CLUS                              ****
 ****                          Window Interface                            ****
 ****                                                                      ****
 ******************************************************************************
 ******************************************************************************
 *
 * File Name: $RAN_CLUSHOME/src/ran_clus.h
 *
 * Language: C
 *
 * Purpose: Structure definitions for ran_clus
 * 
 * Calling Sequence:
 *   #include <ran_clus.h>
 *
 * Modification History:
 *  27-Oct-1995     Linda C Kukolich         initial creation
 *
 ******************************************************************************
 ******************************************************************************
 */
 
/*
 * Structures created by command "gawk -f uil.awk ansi="yes" rcs="yes" ran_clus.uil"
 * Structures for the TopLevelShells or DialogShells
 *  and their widgets.
 */
typedef struct {
  Widget ran_clusDialogShell;
  Widget ran_clusForm;
  Widget clusterByClassRadioBox;
  Widget ignoreClassToggle;
  Widget clusterByClassToggle;
  Widget ncentersByClassRadioBox;
  Widget equalNcentersToggle;
  Widget ncentersByClassToggle;
  Widget ncentersForm;
  Widget ncentersLabel;
  Widget ncentersText;
  Widget ncentersOKPBtn;
  Widget ncentersCancelPBtn;
  Widget ncentersListForm;
  Widget ncentersListLabel;
  Widget ncentersListText;
  Widget ncentersListOKPBtn;
  Widget ncentersListCancelPBtn;
  Widget totalNcentersLabel;
  Widget randomLabel1;
  Widget randomLabel2;
  Widget buttonForm;
  Widget separator;
  Widget closePBtn;
} Ran_clusWidgets;
 
#endif
